title: The Impressionist Blogging Movement
url: https://blog.jim-nielsen.com/2024/impressionist-blogging/
hash_url: 1a30c47a2b293dcfaee45ee5a67efdd1
archive_date: 2024-09-30
og_image: https://blog.jim-nielsen.com/assets/img/twitter-card.png
description: Writing about the big beautiful mess that is making things for the world wide web.
favicon: https://blog.jim-nielsen.com/favicon.ico
language: en_US

<p>I love this articulation: AI enables action without thought. It comes from <a href="https://ia.net/topics/design-as-thought">an iA article about AI and the future of design</a> (emphasis mine):</p>
<blockquote>
<p>Now, what actually is AI? The Italian philosopher and technology ethicist Luciano Floridi sums it up nicely. He posits that AI doesn’t replace our thinking with its own thought. AI, he says, doesn’t think for us. AI doesn’t think at all. <strong>AI enables action without thinking</strong>. It allows us to perform actions that would previously have required thought.</p>
</blockquote>
<p>There are certain tasks where technology can be a lever to help us be more productive. And there are other tasks that beg to receive the attention of human thought and emotional energy. Our task is to figure out which is which:</p>
<blockquote>
<p>Students shouldn’t focus on learning how to be productive with technology; they need to learn how to think about how they use it.</p>
</blockquote>
<p>This is a good way of framing some nuance because not everyone needs to learn to be a writer. But there are certain tasks which necessitate humans writing because that’s what is going to squeeze some thought and energy out of us and into whatever we’re producing.</p>
<p>Writing is how we communicate. It’s our shared expression, our most common shared space of understanding. </p>
<blockquote>
<p>Human expression requires a form of language. Unfortunately, it’s not enough to be adept at drawing, painting, or animation. We need to be able to explain ourselves, market ourselves, and sell ourselves. When you’re formulating verbal language you need to stick close to pre-existing patterns. We need a shared language in order to give expression to our emotions. Without that shared space, others couldn’t translate our expression back into their impression.</p>
</blockquote>
<p>I love this idea of design being what turns impression into expression. That’s really all I’m doing with this blog post. I read iA’s expression, it makes an impression on me, and then I clarify my own impression by creating this expression — action with thought.</p>
<p>Now-a-days the pertinent question is: “Why continue blogging?” After all, AI seems bent on sucking up everything and give no credit where it’s due.</p>
<p>I think <a href="https://ia.net/topics/ai-and-the-beauty-of-human-flaws">this other post from the folks at iA</a> gets at <em>part</em> of the answer:</p>
<blockquote>
<p>When cameras emerged in the 19th century, artists had to reconsider why they should continue painting. The Impressionist movement arose from this. It was no longer enough to simply replicate nature. The essential was how one expressed their impression of nature. Something similar is happening today.</p>
</blockquote>
<p>It will no longer be enough to blog in order to merely “put out content”. The key will be what has always been key to great blogging: expressing your unique, inimitable impression.</p>
<p>Blogging is expressing your impression. It’s deriving action from thought. Regardless of how much the AI sphere may not be giving thought to its actions, continued blogging in the face of that reality is deliberate action with thought — something only us humans can do. Blog. Blog against the dying of the light.</p>
