title: What you see | everything changes
url: https://everythingchanges.us/blog/what-you-see/
hash_url: 1fc13a9dd6654dd40f95de0d7d657128
archive_date: 2024-04-22
og_image: https://everythingchanges.us/assets/img/social.png
description: Attending to your own attention.
favicon: https://everythingchanges.us/favicon.ico
language: en_US

<p>IN 1999, Christopher Chabris and Daniel Simons ran a simple research study: they screened a short video in which a group of people passed a basketball between them, and asked subjects to count the number of passes. At the conclusion of the video, they asked a few questions, among them: how many passes did you observe? And—did you notice the gorilla?</p>

<p>Halfway through the video, a person in a gorilla suit had walked through the field of play. But in the initial and subsequent studies, more than half of the subjects hadn’t noticed the gorilla at all. <a href="https://en.wikipedia.org/wiki/Inattentional_blindness#Invisible_Gorilla_Test">Chabris and Simons refer to this phenomena as “inattentional blindness,”</a> and note that we can consider it both a limiting factor of our perception, as well as a useful consequence of our ability to stay focused. That is, whether or not we are able to <em>see</em> something is as much a product of our <em>attention</em> as our eyes; just as importantly, the ability to focus on one task or object necessarily entails ignoring—even to the point of being entirely unaware of—other things that cross our path.</p>

<p>In other words, we’re all of us, all of the time, watching out for our own version of the ball, the things that we’ve learned (or been taught) to care about, while at the same time remaining blissfully unaware of entire bands of gorillas thumping their chests before our eyes.</p>

<h1 id="what-you-get">What you get</h1>

<p>Most of us have learned by now that we should give feedback on <em>observations</em>—not judgments, not assumptions, not interpretations or explanations. Only things we can observe, with our eyes and ears. The purpose of this guidance (which is good, by the way) is to avoid triggering someone’s defenses when you share feedback. You want to deliver feedback in a way that it can be received and accepted, and you want—as much as possible—to skip past the ramparts and archers that most people keep on hand to defend against potential harm. By making an observation, rather than delivering a judgment, you can slip through a side door, shed some light on something that happened, and let the recipient of the feedback arrive at the proper conclusion—without their soldiers so much as twitching their thumbs.</p>

<p>The trouble arises when we realize that even our observations are sullied by our perspectives and beliefs. I may notice the basketball because I’ve been instructed or incentivized to pay attention to it, or have simply made a choice to do so, even while you are—for probably very good reasons—concerned about the gorilla.</p>

<p>In reality, we cannot make observations without first deciding what is worth noticing, and that decision—to see the ball, to follow the gorilla, to do something else altogether—is itself a kind of judgment or interpretation of the world. Any observation has behind it a human doing the observing—a human with experience and ideas and perspectives, which can’t simply be jettisoned when they are inconvenient. We can try to aim ourselves at some theoretical objective ideal, but at best we can only approach it asymptotically, and often our efforts to move closer to the line only take us alongside it.</p>

<h1 id="start-at-the-beginning">Start at the beginning</h1>

<p>And yet, making observations is a good starting point for giving feedback. The trouble arises when we assume that those observations are both the start <em>and the end,</em> that we’re walking along a very short track.</p>

<p>Things get more interesting when you accept your observations as the <em>beginning</em> of something, rather than the conclusion. You can get curious about what you’re observing, and what it says about you at that moment in time. Let’s say you notice that a member of your team seems routinely distracted during standup. Instead of gearing up for a feedback conversation, you might first ask yourself <em>why</em> you happened to notice that particular behavior. Why is <em>this</em> the thing you’re paying attention to? What does it say about your own needs or concerns? Maybe you’re noticing this behavior because you’re on alert to potential attrition after multiple rounds of layoffs. In which case, the task at hand isn’t to give feedback, but to better understand what people need to stick around.</p>

<p>And this means you also need to get curious about your colleague. Getting curious here does <em>not</em> mean giving feedback: feedback may <em>follow</em> that curiosity, but it’s often premature if it arrives beforehand. Instead, you might check in with her and ask how she’s doing, if there’s anything about the project she’s concerned or frustrated with, if there’s anything she thinks should change or be attended to. And then listen, without drawing any immediate conclusions, without honing in on what you think is going on, but staying open to learning something new—something you haven’t yet fixed your attention on to.</p>

<p>That’s the tricky bit here—you have to be willing to let your attention wander, to release your grip on whatever was drawing your eye, to be willing to notice something that, until just a moment ago, you couldn’t see at all.</p>

<h1 id="stay-on-the-track">Stay on the track</h1>

<p>Too often, I notice that the instinct to give feedback works to cut off that kind of exploration. We assume that the person who is the object of our feedback has something to learn and fail to notice the same thing about ourselves. We presume that if something uncomfortable or unexpected happens, it represents an opportunity (or even an obligation) to give feedback—rather than an opportunity to get curious, to inquire into what’s going on.</p>

<p>We’ve funneled so much energy into feedback processes that I fear we’ve neglected more foundational skills: the ability to ask questions, to listen deeply, to see the things before us that we’re wont to ignore.</p>

<p>This is not to say that there is <em>never</em> a good time for feedback, but that there are better times for it—notably, after you’ve asked some questions and listened attentively to the answers. After all, you may be worried about the ball, while your colleagues busy themselves corralling a horde of gorillas. But you’ll never know if you don’t first give yourself a chance to look around.<svg class="stopmark"><use xlink:href="https://everythingchanges.us/assets/img/ec-symbols.svg#stopmark"></use></svg></p>
