title: An Anonymous Source Shared Thousands of Leaked Google Search API Documents with Me; Everyone in SEO Should See Them
url: https://sparktoro.com/blog/an-anonymous-source-shared-thousands-of-leaked-google-search-api-documents-with-me-everyone-in-seo-should-see-them/
hash_url: 2eba81418d244e79cef08638976dbeae
archive_date: 2024-05-31
og_image: https://sparktoro.com/blog/wp-content/uploads/2024/05/google-api-content-warehouse-leak-conversation-anonymized-1024x604.jpg
description: On Sunday, May 5th, I received an email from a person claiming to have access to a massive leak of API documentation from inside Google’s Search division.
favicon: https://sparktoro.com/favicon.ico
language: en_US

<p>On Sunday, May 5th, I received an email from a person claiming to have access to a massive leak of API documentation from inside Google’s Search division. The email further claimed that these leaked documents were confirmed as authentic by ex-Google employees, and that those ex-employees and others had shared additional, private information about Google’s search operations.</p>
<p>Many of their claims directly contradict <a href="https://www.seroundtable.com/google-ctr-search-rankings-27157.html">public statements</a> made by Googlers over the years, in particular the company’s <a href="https://www.seroundtable.com/google-ctr-dwell-time-signals-myths-27083.html">repeated denial</a> that <a href="https://www.blindfiveyearold.com/is-click-through-rate-a-ranking-signal">click-centric user signals</a> are employed, <a href="https://iloveseo.com/seo/google-says-subdomains-vs-subfolders-doesnt-matter/">denial</a> that subdomains are considered separately in rankings, <a href="https://www.seroundtable.com/google-sandbox-nope-28082.html">denials</a> of a sandbox for newer websites, <a href="https://www.seroundtable.com/google-domain-age-23697.html">denials</a> that a domain’s age is collected or considered, and more. </p>
<p>Naturally, I was skeptical. The claims made by this source (who asked to remain anonymous) seemed extraordinary–claims like:</p>
<ul>
<li>In their early years, Google’s search team recognized a need for full clickstream data (every URL visited by a browser) for a large percent of web users to improve their search engine’s result quality.</li>
<li>A system called “NavBoost” (cited by VP of Search, Pandu Nayak, in his <a href="https://thecapitolforum.com/wp-content/uploads/2023/10/101823-USA-v-Google-PM.pdf">DOJ case testimony</a>) initially gathered data from Google’s <a href="https://moz.com/blog/what-is-googles-pagerank-good-for-whiteboard-friday">Toolbar PageRank</a>, and desire for more clickstream data served as the key motivation for creation of the Chrome browser (<a href="https://www.npr.org/2008/09/05/94299337/google-launches-chrome-web-browser">launched</a> in 2008).</li>
<li>NavBoost uses the number of searches for a given keyword to identify trending search demand, the number of clicks on a search result (I ran <a href="https://sparktoro.com/blog/queries-clicks-influence-googles-results/">several</a> <a href="https://x.com/randfish/status/1704722903550644430">experiments</a> on this from 2013-2015), and long clicks versus short clicks (which I <a href="https://moz.com/blog/impact-of-queries-and-clicks-on-googles-rankings-whiteboard-friday">presented theories about in this 2015 video</a>).</li>
<li>Google utilizes cookie history, logged-in Chrome data, and pattern detection (referred to in the leak as “unsquashed” clicks versus “squashed” clicks) as effective means for fighting manual &amp; automated click spam.</li>
<li>NavBoost also scores queries for user intent. For example, certain thresholds of attention and clicks on videos or images will trigger video or image features for that query and related, NavBoost-associated queries.</li>
<li>Google examines clicks and engagement on searches both during and after the main query (referred to as a “NavBoost query”). For instance, if many users search for “Rand Fishkin,” don’t find SparkToro, and immediately change their query to “SparkToro” and click SparkToro.com in the search result, SparkToro.com (and websites mentioning “SparkToro”) will receive a boost in the search results for the “Rand Fishkin” keyword.</li>
<li>NavBoost’s data is used at the host level for evaluating a site’s overall quality (my anonymous source speculated that this could be what Google and SEOs called “<a href="https://www.youtube.com/watch?v=k06ezwACeNM">Panda</a>”). This evaluation can result in a boost or a demotion.</li>
<li>Other minor factors such as penalties for domain names that exactly match unbranded search queries (e.g. mens-luxury-watches.com or milwaukee-homes-for-sale.net), a newer “BabyPanda” score, and spam signals are also considered during the quality evaluation process.</li>
<li>NavBoost geo-fences click data, taking into account country and state/province levels, as well as mobile versus desktop usage. However, if Google lacks data for certain regions or user-agents, they may apply the process universally to the query results.</li>
<li>During the Covid-19 pandemic, Google employed whitelists for websites that could appear high in the results for Covid-related searches</li>
<li>Similarly, during democratic elections, Google employed whitelists for sites that should be shown (or demoted) for election-related information</li>
</ul>
<p>And these are only the tip of the iceberg.</p>
<p>Extraordinary claims require extraordinary evidence. And while some of these overlap with information revealed during the Google/DOJ case (some of which <a href="https://x.com/randfish/status/1288980563219513345">you can read about on this thread from 2020</a>), many are novel and suggest insider knowledge.</p>
<p>So, this past Friday, May 24th (following several emails), I had a video call with the anonymous source.</p>
<div class="wp-block-image">
<figure data-wp-context='{"uploadedSrc":"https:\/\/images.sparktoro.com\/blog\/wp-content\/uploads\/2024\/05\/google-api-content-warehouse-leak-conversation-anonymized.jpg","figureClassNames":"aligncenter size-large","figureStyles":null,"imgClassNames":"wp-image-8937","imgStyles":"object-fit:cover","targetWidth":1126,"targetHeight":664,"scaleAttr":"cover","ariaLabel":"Enlarge image","alt":""}' data-wp-interactive="core/image" class="aligncenter size-large wp-lightbox-container"><img fetchpriority="high" decoding="async" data-wp-init="callbacks.setButtonStyles" data-wp-on--click="actions.showLightbox" data-wp-on--load="callbacks.setButtonStyles" data-wp-on-window--resize="callbacks.setButtonStyles" src="https://images.sparktoro.com/blog/wp-content/uploads/2024/05/google-api-content-warehouse-leak-conversation-anonymized-1024x604.jpg" alt class="wp-image-8937" srcset="https://images.sparktoro.com/blog/wp-content/uploads/2024/05/google-api-content-warehouse-leak-conversation-anonymized-1024x604.jpg 1024w, https://images.sparktoro.com/blog/wp-content/uploads/2024/05/google-api-content-warehouse-leak-conversation-anonymized-300x177.jpg 300w, https://images.sparktoro.com/blog/wp-content/uploads/2024/05/google-api-content-warehouse-leak-conversation-anonymized-768x453.jpg 768w, https://images.sparktoro.com/blog/wp-content/uploads/2024/05/google-api-content-warehouse-leak-conversation-anonymized.jpg 1126w" sizes="(max-width: 1024px) 100vw, 1024px"><button class="lightbox-trigger" type="button" aria-haspopup="dialog" aria-label="Enlarge image" data-wp-init="callbacks.initTriggerButton" data-wp-on--click="actions.showLightbox" data-wp-style--right="context.imageButtonRight" data-wp-style--top="context.imageButtonTop">
<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewbox="0 0 12 12">
<path fill="#fff" d="M2 0a2 2 0 0 0-2 2v2h1.5V2a.5.5 0 0 1 .5-.5h2V0H2Zm2 10.5H2a.5.5 0 0 1-.5-.5V8H0v2a2 2 0 0 0 2 2h2v-1.5ZM8 12v-1.5h2a.5.5 0 0 0 .5-.5V8H12v2a2 2 0 0 1-2 2H8Zm2-12a2 2 0 0 1 2 2v2h-1.5V2a.5.5 0 0 0-.5-.5H8V0h2Z"></path>
</svg>
</button><figcaption class="wp-element-caption">An anonymized screen capture from Rand’s call with the source</figcaption></figure></div>
<p>Update (5/28 at 10:00am Pacific): The anonymous source has decided to come forward. This video announces their identity, <a href="https://www.linkedin.com/in/erfanazimi/">Erfan Azimi</a>, an SEO practitioner and the founder of EA Eagle Digital.</p>
<figure class="wp-block-embed is-type-video is-provider-youtube wp-block-embed-youtube wp-embed-aspect-4-3 wp-has-aspect-ratio"><p class="wp-block-embed__wrapper">
<iframe title="Erfan Azimi: Leaked Google Ranking Factors (Public Statement) - Rand Fishkin, Mike King" src="https://www.youtube.com/embed/AEb8_rbfFVw?feature=oembed" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen>VIDEO</iframe>
</p></figure>
<p>Prior to the email and call, I had neither met nor heard of Erfan. He asked that his identity remain veiled, and that I merely include the quote below:</p>
<p class="has-text-align-center has-medium-font-size"><em>An eagle uses the storm to reach unimaginable heights.</em><br>– Matshona Dhliwayo</p>
<p>After the call I was able to confirm details of Erfan’s work history, mutual people we both know from the marketing world, and several of their claims about being at particular events with industry insiders (including Googlers), though I cannot confirm details of the meetings nor the content of discussions they claim to have had.</p>
<p>During our call, Erfan showed me the leak itself: more than 2,500 pages of API documentation containing 14,014 attributes (API features) that appear to come from Google’s internal “Content API Warehouse.” Based on the document’s commit history, this code was uploaded to GitHub on Mar 27, 2024 and not removed until May 7, 2024. (Note: because this piece was, post-publishing, edited to reflect Erfan’s identity, he’s referred to below as “the anonymous source”).</p>
<p>This documentation doesn’t show things like the weight of particular elements in the search ranking algorithm, nor does it prove which elements are used in the ranking systems. But, it does show incredible details about data Google collects. Here’s an example of the document format:</p>
<div class="wp-block-image">
<figure data-wp-context='{"uploadedSrc":"https:\/\/images.sparktoro.com\/blog\/wp-content\/uploads\/2024\/05\/google-api-content-warehouse-quality-navboost.gif","figureClassNames":"aligncenter size-large","figureStyles":null,"imgClassNames":"wp-image-8941","imgStyles":null,"targetWidth":1714,"targetHeight":960,"scaleAttr":false,"ariaLabel":"Enlarge image","alt":""}' data-wp-interactive="core/image" class="aligncenter size-large wp-lightbox-container"><img decoding="async" data-wp-init="callbacks.setButtonStyles" data-wp-on--click="actions.showLightbox" data-wp-on--load="callbacks.setButtonStyles" data-wp-on-window--resize="callbacks.setButtonStyles" src="https://images.sparktoro.com/blog/wp-content/uploads/2024/05/google-api-content-warehouse-quality-navboost-1024x574.gif" alt class="wp-image-8941" srcset="https://images.sparktoro.com/blog/wp-content/uploads/2024/05/google-api-content-warehouse-quality-navboost-1024x574.gif 1024w, https://images.sparktoro.com/blog/wp-content/uploads/2024/05/google-api-content-warehouse-quality-navboost-300x168.gif 300w, https://images.sparktoro.com/blog/wp-content/uploads/2024/05/google-api-content-warehouse-quality-navboost-768x430.gif 768w, https://images.sparktoro.com/blog/wp-content/uploads/2024/05/google-api-content-warehouse-quality-navboost-1536x860.gif 1536w" sizes="(max-width: 1024px) 100vw, 1024px"><button class="lightbox-trigger" type="button" aria-haspopup="dialog" aria-label="Enlarge image" data-wp-init="callbacks.initTriggerButton" data-wp-on--click="actions.showLightbox" data-wp-style--right="context.imageButtonRight" data-wp-style--top="context.imageButtonTop">
<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewbox="0 0 12 12">
<path fill="#fff" d="M2 0a2 2 0 0 0-2 2v2h1.5V2a.5.5 0 0 1 .5-.5h2V0H2Zm2 10.5H2a.5.5 0 0 1-.5-.5V8H0v2a2 2 0 0 0 2 2h2v-1.5ZM8 12v-1.5h2a.5.5 0 0 0 .5-.5V8H12v2a2 2 0 0 1-2 2H8Zm2-12a2 2 0 0 1 2 2v2h-1.5V2a.5.5 0 0 0-.5-.5H8V0h2Z"></path>
</svg>
</button><figcaption class="wp-element-caption">Screen capture of leaked data about “good” and “bad” clicks, including length of clicks (i.e. how long a visitor spends on a web page they’ve clicked from Google’s search results before going back to the search results)</figcaption></figure></div>
<p>After walking me through a handful of these API modules, the source explained their motivations (around transparency, holding Google to account, etc.) and their hope: that I would publish an article sharing this leak, revealing some of the many interesting pieces of data it contained, and refuting some “lies” Googlers “had been spreading for years.”</p>
<div class="wp-block-image">
<figure data-wp-context='{"uploadedSrc":"https:\/\/images.sparktoro.com\/blog\/wp-content\/uploads\/2024\/05\/google-statements-on-using-clicks-in-rankings.jpg","figureClassNames":"aligncenter size-large","figureStyles":null,"imgClassNames":"wp-image-8946","imgStyles":null,"targetWidth":1580,"targetHeight":1170,"scaleAttr":false,"ariaLabel":"Enlarge image","alt":""}' data-wp-interactive="core/image" class="aligncenter size-large wp-lightbox-container"><img loading="lazy" decoding="async" data-wp-init="callbacks.setButtonStyles" data-wp-on--click="actions.showLightbox" data-wp-on--load="callbacks.setButtonStyles" data-wp-on-window--resize="callbacks.setButtonStyles" src="https://images.sparktoro.com/blog/wp-content/uploads/2024/05/google-statements-on-using-clicks-in-rankings-1024x758.jpg" alt class="wp-image-8946" srcset="https://images.sparktoro.com/blog/wp-content/uploads/2024/05/google-statements-on-using-clicks-in-rankings-1024x758.jpg 1024w, https://images.sparktoro.com/blog/wp-content/uploads/2024/05/google-statements-on-using-clicks-in-rankings-300x222.jpg 300w, https://images.sparktoro.com/blog/wp-content/uploads/2024/05/google-statements-on-using-clicks-in-rankings-768x569.jpg 768w, https://images.sparktoro.com/blog/wp-content/uploads/2024/05/google-statements-on-using-clicks-in-rankings-1536x1137.jpg 1536w, https://images.sparktoro.com/blog/wp-content/uploads/2024/05/google-statements-on-using-clicks-in-rankings.jpg 1580w" sizes="(max-width: 1024px) 100vw, 1024px"><button class="lightbox-trigger" type="button" aria-haspopup="dialog" aria-label="Enlarge image" data-wp-init="callbacks.initTriggerButton" data-wp-on--click="actions.showLightbox" data-wp-style--right="context.imageButtonRight" data-wp-style--top="context.imageButtonTop">
<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewbox="0 0 12 12">
<path fill="#fff" d="M2 0a2 2 0 0 0-2 2v2h1.5V2a.5.5 0 0 1 .5-.5h2V0H2Zm2 10.5H2a.5.5 0 0 1-.5-.5V8H0v2a2 2 0 0 0 2 2h2v-1.5ZM8 12v-1.5h2a.5.5 0 0 0 .5-.5V8H12v2a2 2 0 0 1-2 2H8Zm2-12a2 2 0 0 1 2 2v2h-1.5V2a.5.5 0 0 0-.5-.5H8V0h2Z"></path>
</svg>
</button><figcaption class="wp-element-caption">A sample of statements from Google representatives (Matt Cutts, Gary Ilyes, and John Mueller) denying the use of click-based user signals in rankings over the years</figcaption></figure></div>
<h2 class="wp-block-heading">Is this API Leak Authentic? Can We Trust It?</h2>
<p>A critical next step in the process was verifying the authenticity of the API Content Warehouse documents.  So, I reached out to some ex-Googler friends, shared the leaked docs, and asked for their thoughts. Three ex-Googlers wrote back: one said they didn’t feel comfortable looking at or commenting on it. The other two shared the following (off the record and anonymously):</p>
<ul>
<li>“I didn’t have access to this code when I worked there. But this certainly looks legit. “</li>
<li>“It has all the hallmarks of an internal Google API.”</li>
<li>“It’s a Java-based API. And someone spent a lot of time adhering to Google’s own internal standards for documentation and naming.”</li>
<li>“I’d need more time to be sure, but this matches internal documentation I’m familiar with.”</li>
<li>“Nothing I saw in a brief review suggests this is anything but legit.”</li>
</ul>
<p>Next, I needed help analyzing and deciphering the naming conventions and more technical aspects of the documentation. I’ve worked with APIs a bit, but it’s been 20 years since I wrote code and 6 years since I practiced SEO professionally. So, I reached out to one of the world’s foremost technical SEOs: <a href="https://www.linkedin.com/in/michaelkingphilly/">Mike King</a>, founder of <a href="https://ipullrank.com">iPullRank</a>.</p>
<p>During a 40-minute phone call on Friday afternoon, Mike reviewed the leak and confirmed my suspicions: <strong>this appears to be a legitimate set of documents from inside Google’s Search division</strong>, and contains an extraordinary amount of previously-unconfirmed information about Google’s inner workings.</p>
<p>2,500 technical documents is an unreasonable amount of material to ask one man (a dad, husband, and entrepreneur, no less) to review in a single weekend. But, that didn’t stop Mike from doing his best.<br>He’s put together an <strong><a href="https://ipullrank.com/google-algo-leak">exceptionally detailed initial review of the Google API leak here</a></strong>, which I’ll reference more in the findings below. And he’s also agreed to join us at <a href="https://sparktoro.com/sparktogether">SparkTogether 2024</a> in Seattle, WA on Oct. 8, where he’ll present the fully transparent story of this leak in far greater detail, and with the benefit of the next few months of analysis.</p>

<hr class="wp-block-separator has-alpha-channel-opacity">
<h2 class="wp-block-heading">Qualifications and Motivations for this Post</h2>
<p>Before we go further, a few disclaimers: I no longer work in the SEO field. My knowledge of and experience with SEO is 6+ years out of date. I don’t have the technical expertise or knowledge of Google’s internal operations to analyze an API documentation leak and confirm with certainty whether it’s authentic (hence getting Mike’s help and the input of ex-Googlers).</p>
<p>So why publish on this topic?</p>
<p>Because when I spoke to the party that sent me this information, I found them credible, thoughtful, and deeply knowledgeable. Despite going into the conversation deeply skeptical, I could identify no red flags, nor any malicious motivation. This person’s sole aim appeared quite aligned with my own: to hold Google accountable for public statements that conflict with private conversations and leaked documentation, and to bring greater transparency to the field of search marketing. And they believed that, despite my years removed from SEO, I was the best person to share this publicly.</p>
<p>These are goals I cared about deeply for almost two decades. And while my professional life has moved on (I now run two companies: <a href="https://sparktoro.com">SparkToro</a>, which makes audience research software and <a href="https://snackbarstudio.com">Snackbar Studio</a>, an indie video game developer), my interest in and connections to the world of Search Engine Optimization remain strong. I feel a deep obligation to share information about how the world’s dominant search engine works, especially information Google would prefer to keep quiet. And sadly, I’m not sure where else to send something this potentially groundbreaking.</p>
<p>Years ago, before he left journalism to become Google’s Search Liaison, <a href="https://dannysullivan.com/">Danny Sullivan</a>, would have been my go-to source for a leak of this magnitude. He had the gravitas, resume, knowledge, and experience to examine a claim like this and present it fairly in the court of public opinion. There have been so many times in the last few years I’ve wished for Danny’s calm, even-handed, tough-but-fair-on-Google approach to newsworthy pieces like this–pieces that could reach as far as the company’s statements on the witness stand (e.g. <a href="https://martech.org/dark-google-search-terms-not-provided-one-year-later/">his eloquent writing on Google’s indefensible privacy claims about organic keyword data</a>).</p>
<p>Whatever Google’s paying him, it isn’t nearly enough.</p>
<p>Apologies that instead of Danny, dear reader, you’re stuck with me. But since you are, I’m going to assume you may not be familiar with my background or credentials, and briefly share those.</p>
<ul>
<li>I started doing SEO for small businesses in the Seattle area in 2001, and co-founded the SEO consultancy that would become <a href="https://moz.com">Moz</a> (originally called SEOmoz) in 2003.</li>
<li>For the next 15 years, I worked in the search marketing industry and was often recognized as an influential leader in that field. I authored/co-authored <a href="https://www.amazon.com/Lost-Founder-Painfully-Honest-Startup/dp/0593853962/">Lost and Founder: A Painfully Honest Field Guide to the Startup World</a>, <a href="https://www.artofseo.com/">The Art of SEO</a>, and <a href="https://www.amazon.com/Inbound-Marketing-SEO-Insights-Blog/dp/1118551559">Inbound Marketing and SEO</a>.</li>
<li>Publications including <a href="https://www.wsj.com/articles/rand-fishkins-tales-from-the-startup-world-1528824786">the WSJ</a>, <a href="https://www.inc.com/larry-kim/15-remarkable-facts-about-entrepreneurial-wizard-of-moz-rand-fishkin.html">Inc</a>, <a href="https://www.forbes.com/sites/robertadams/2016/09/06/how-rand-fishkin-created-an-seo-sempire-the-story-of-moz-com/?sh=4a571f812b90">Forbes</a>, and <a href="https://www.google.com/search?q=rand+fishkin+seo+news">hundreds more</a> have written about and quoted me on the world of SEO and Google search, many of them citing a popular weekly video series I hosted for a decade: <a href="https://www.youtube.com/playlist?list=PL8A5C517175C28573">Whiteboard Friday</a>.</li>
<li>Moz grew to 35,000+ paying customers of its SEO software, revenues of $50M+, and a team of ~200 before being <a href="https://sparktoro.com/blog/the-final-chapter-of-my-first-startup/">sold</a> to a private equity buyer in 2021. I <a href="https://sparktoro.com/blog/last-day-moz-first-day-sparktoro/">left</a> in 2018 and started SparkToro, and in 2023, Snackbar Studio.</li>
<li>I dropped out of college at the University of Washington in 2001 and do not hold a degree, yet my work on Google and SEO has been <a href="https://www.seroundtable.com/rand-fishkin-congressional-hearing-on-google-27904.html">cited by the United States Congress</a>, the US <a href="https://www.ftc.gov/system/files/ftc_gov/pdf/FTC%20and%20Justice%20Department%20Listening%20Forum%20on%20Firsthand%20Effects%20of%20Mergers%20and%20Acquisitions-%20Technology%20-%20May%2012%2C%202022_0.pdf">Federal Trade Commission</a>, the <a href="https://www.wsj.com/articles/lyrics-site-genius-com-accuses-google-of-lifting-its-content-11560677400">Wall Street Journal</a>, <a href="https://www.ftc.gov/system/files/ftc_gov/pdf/FTC%20and%20Justice%20Department%20Listening%20Forum%20on%20Firsthand%20Effects%20of%20Mergers%20and%20Acquisitions-%20Technology%20-%20May%2012%2C%202022_0.pdf">New York Times</a>, and John Oliver’s <a href="https://sparktoro.com/blog/google-apple-and-amazon-stifle-innovation-when-they-favor-their-own-products/">Last Week Tonight</a>, among dozens of others.</li>
<li>I hold several <a href="https://patents.justia.com/inventor/s-rand-mitchell-fishkin">patents</a> around the design of a web scale link index, and am the creator of numerous link-index metrics, including <a href="https://moz.com/learn/seo/domain-authority">Domain Authority</a>, a machine-learning based score commonly used in the digital marketing world to assess a website’s capability to rank in Google’s search engine.</li>
</ul>
<p>OK. Back to the Google leak.</p>
<hr class="wp-block-separator has-alpha-channel-opacity">
<h2 class="wp-block-heading">What is the Google API Content Warehouse?</h2>
<p>When looking through the massive trove of API documentation, the first reasonable set of questions might be: “What is this? What is it used for? Why does it exist in the first place?”</p>

<p>The leak appears to come from <a href="https://github.com/googleapis/">GitHub</a>, and the most credible explanation for its exposure matches what my anonymous source told me on our call: these documents were inadvertently and briefly made public (many links in the documentation point to <a href="https://github.com/googleapis/google-api-nodejs-client/issues/1884">private GitHub repositories</a> and <a href="https://g3doc.corp.google.com/repository/webref/preprocessing/names/tnc_classifier/README.md">internal pages on Google’s corporate site</a> that require specific, Google-credentialed logins). During this probably-accidental, public period between March and May of 2024, the API documentation was spread to Hexdocs (which indexes public GitHub repos) and found/circulated by other sources (I’m certain that others have a copy, though it’s odd that I could find no public discourse until now).</p>
<p>According to my ex-Googler sources, documentation like this exists on almost every Google team, explaining various API attributes and modules to help familiarize those working on a project with the data elements available. This leak matches others in public GitHub repositories and on <a href="https://cloud.google.com/apis/docs/overview">Google’s Cloud API documentation</a>, using the same notation style, formatting, and even process/module/feature names and references.</p>
<p>If that all sounds like a technical mouthful, think of this as instructions for members of Google’s search engine team. It’s like an inventory of books in a library, a card catalogue of sorts, telling those employees who need to know what’s available and how they can get it.</p>
<p>But, whereas libraries are public, Google search is one of the most secretive, closely-guarded black boxes in the world. <strong>In the last quarter century, no leak of this magnitude or detail has ever been reported from Google’s search division</strong>.</p>
<h2 class="wp-block-heading">How certain can we be that Google’s search engine uses everything detailed in these API docs?</h2>
<p>That’s open to interpretation. Google could have retired some of these, used others exclusively for testing or internal projects, or may even have made API features available that were never employed.</p>
<p>However, there are references in the documentation to deprecated features and specific notes on others indicating they should no longer be used. That strongly suggests those not marked with such details were still in active use as of the March, 2024 leak.</p>
<p>We also can’t say for certain whether the March leak is of the most recent version of this documentation. The most recent date I can find referenced in the API docs is August of 2023:</p>

<p>The relevant text reads:</p>
<p><em>“The domain-level display name of the website, such as “Google” for google.com. See go/site-display-name for more details. <strong>As of Aug 2023, this field is being deprecated</strong> in favor of info.[AlternativeTitlesResponse].site_display_name_response field, which also contains host-level site display names with additional information.”</em></p>
<p>A reasonable reader would conclude that the documentation was up-to-date as of last summer (references to other changes in 2023 and earlier years, all the way back to 2005, are also present), and possibly even up-to-date as of the March 2024 date of disclosure.</p>
<p>Google search obviously changes massively from year to year, and recent introductions like their <a href="https://www.androidauthority.com/shut-down-google-ai-overview-3446038/">much-maligned AI Overviews</a>, do not make an appearance in this leak. Which of the items mentioned are actively used today in Google’s ranking systems? That’s open to speculation. This trove contains fascinating references, many that will be entirely new to non-Google-search-engineers.</p>
<p>But,<strong> I would urge readers not to point to a particular API feature in this leak and say: “SEE! That’s proof Google uses XYZ in their rankings.”</strong> It’s not quite proof. It’s a strong indication, stronger than patent applications or public statements from Googlers, but still no guarantee.</p>
<p>That said, it’s as close to a smoking gun as anything since <a href="https://www.justice.gov/d9/2023-11/418021.pdf">Google’s execs testified in the DOJ trial</a> last year. And, speaking of that testimony, much of it is corroborated and expanded on in the document leak, as Mike <a href="https://ipullrank.com/google-algo-leak">details in his post</a>. 👀</p>
<h2 class="wp-block-heading"><strong>What can we learn from the Data Warehouse Leak?</strong></h2>
<p>I expect that interesting and marketing-applicable insights will be mined from this massive file set for years to come. It’s simply too big and too dense to think that a weekend of browsing could unearth a comprehensive set of takeaways, or even come close.</p>
<p>However, I will share five of the most interesting, early discoveries in my perusal, some that shed new light on things Google has long been assumed to be doing, and others that suggest the company’s public statements (especially those on what they “collect”) have been erroneous. Because doing so would be tedious and could be perceived as personal grievances (given Google’s historic attacks on my work), I won’t bother showing side-by-sides of what Googlers said vs. what this document insinuates. Besides, Mike did a great job of that in his post.</p>
<p>Instead, I’ll focus on interesting and/or useful takeaways, and my conclusions from the whole of the modules I’ve been able to review, <a href="https://ipullrank.com/google-algo-leak">Mike’s piece</a> on the leak, and how this combines with other things we know to be true of Google.</p>
<h2 class="wp-block-heading">#1: Navboost and the use of clicks, CTR, long vs. short clicks, and user data</h2>

<p>A handful of modules in the documentation make reference to features like “goodClicks,” “badClicks,” “lastLongestClicks,” impressions, squashed, unsquashed, and unicorn clicks. These are tied to Navboost and Glue, two words that may be familiar to folks who reviewed <a href="https://thecapitolforum.com/wp-content/uploads/2023/10/101823-USA-v-Google-PM.pdf">Google’s DOJ testimony</a>. Here’s a relevant excerpt from DOJ attorney Kenneth Dintzer’s cross-examination of Pandu Nayak, VP of Search on the Search Quality team:</p>
<p>Q. So remind me, is navboost all the way back to 2005?<br>A. It’s somewhere in that range. It might even be before that.</p>
<p>Q. And it’s been updated. It’s not the same old navboost that it was back then?<br>A. No.</p>
<p>Q. And another one is glue, right?<br>A. Glue is just another name for navboost that includes all of the other features on the page.</p>
<p>Q. Right. I was going to get there later, but we can do that now. Navboost does web results, just like we discussed, right?<br>A. Yes.</p>
<p>Q. And glue does everything else that’s on the page that’s not web results, right?<br>A. That is correct.</p>
<p>Q. Together they help find the stuff and rank the stuff that ultimately shows up on our SERP?<br>A. That is true. They’re both signals into that, yes.</p>
<p>A savvy reader of these API documents would find they support Mr. Nayak’s testimony (and align with Google’s <a href="https://thecapitolforum.com/wp-content/uploads/2023/10/101823-USA-v-Google-PM.pdf">patent on site quality</a>):</p>

<p>Google appears to have ways to filter out clicks they don’t want to count in their ranking systems, and include ones they do. They also seem to measure length of clicks (i.e. <a href="https://moz.com/blog/seo-satisfaction">pogo-sticking</a> – when a searcher clicks a result and then quickly clicks the back button, unsatisfied by the answer they found) and impressions.</p>
<p>Plenty has already been written about Google’s use of click data, so I won’t belabor the point. What matters is that Google has named and described features for that measurement, adding even more evidence to the pile.</p>
<h2 class="wp-block-heading">#2: Use of Chrome browser clickstreams to power Google Search</h2>

<p>My anonymous source claimed that way back in 2005, Google wanted the full clickstream of billions of Internet users, and with Chrome, they’ve now got it. The API documents suggest Google calculates several types of metrics that can be called using Chrome views related to both individual pages and entire domains.</p>
<p><a href="https://hexdocs.pm/google_api_content_warehouse/0.4.0/GoogleApi.ContentWarehouse.V1.Model.QualitySitemapTargetGroup.html#module-attributes">This document</a>, describing the features around how Google creates Sitelinks, is particularly interesting. It showcases a call named topUrl, which is “A list of top urls with highest two_level_score, i.e., chrome_trans_clicks.” My read is that Google likely uses the number of clicks on pages in Chrome browsers and uses that to determine the most popular/important URLs on a site, which go into the calculation of which to include in the sitelinks feature.</p>

<p>E.G. In the above screenshot from Google’s results, pages like “Pricing,” the “Blog,” and the “Login” pages are our most-visited, and Google knows this through their tracking of billions of Chrome users’ clickstreams.</p>

<h2 class="wp-block-heading">#3: Whitelists in Travel, Covid, and Politics</h2>
<p>A module on “Good Quality Travel Sites” would lead reasonable readers to conclude that a whitelist exists for Google in the travel sector (unclear if this is exclusively for Google’s “Travel” search tab, or web search more broadly). References in several places to flags for “isCovidLocalAuthority” and “isElectionAuthority” further suggests that Google is whitelisting particular domains that are appropriate to show for highly controversial of potentially problematic queries. </p>
<p>For example, following the 2020 US Presidential election, one candidate claimed (without evidence) that the election had been stolen, and encouraged their followers to storm the Capital and take potentially violent action against lawmakers, i.e. commit an insurrection.</p>
<p>Google would almost certainly be one of the first places people turned to for information about this event, and if their search engine returned propaganda websites that inaccurately portrayed the election evidence, that could directly lead to more contention, violence, or even the end of US democracy. Those of us who want free and fair elections to continue should be very grateful Google’s engineers are employing whitelists in this case.</p>

<h2 class="wp-block-heading">#4: Employing Quality Rater Feedback</h2>

<p>Google has long had a quality rating platform called EWOK (Cyrus Shepard, a notable leader in the SEO space, spent several years contributing to this and <a href="https://zyppy.com/seo/google-search-quality-rater/">wrote about it here</a>). We now have evidence that some elements from the quality raters are used in the search systems.</p>
<p>How influential these rater-based signals are, and what precisely they’re used for is unclear to me in an initial read, but I suspect some thoughtful SEO detectives will dig into the leak, learn, and publish more about it. What I find fascinating is that scores and data generated by EWOK’s quality raters may be <strong>directly involved</strong> in Google’s search system, rather than simply a training set for experiments. Of course, it’s possible these are “just for testing,” but as you browse through the leaked documents, you’ll find that when that’s true, it’s specifically called out in the notes and module details.</p>
<p><a href="https://hexdocs.pm/google_api_content_warehouse/0.3.0/GoogleApi.ContentWarehouse.V1.Model.RepositoryWebrefDocLevelRelevanceRatings.html">This one</a> calls out a “per document relevance rating” sourced from evaluations done via EWOK. There’s no detailed notation, but it’s not much of a logic-leap to imagine how important those human evaluations of websites really are.</p>

<p>This one calls out “Human Ratings (e.g. ratings from EWOK)” and notes that they’re “typically only populated in the evaluation pipelines,” which suggests they may be primarily training data in this module (I’d argue that’s still a hugely important role, and marketers shouldn’t dismiss how important it is that quality raters perceive and rate their websites well).</p>

<h2 class="wp-block-heading">#5: Google Uses Click Data to Determine How to Weight Links in Rankings</h2>
<p>This one’s fascinating, and comes directly from the anonymous source who first shared the leak. In their words: “Google has three buckets/tiers for classifying their link indexes (low, medium, high quality). Click data is used to determine which link graph index tier a document belongs to. See <a href="https://hexdocs.pm/google_api_content_warehouse/0.4.0/GoogleApi.ContentWarehouse.V1.Model.AnchorsAnchor.html">SourceType here</a>, and <a href="https://hexdocs.pm/google_api_content_warehouse/0.4.0/GoogleApi.ContentWarehouse.V1.Model.RepositoryWebrefDocumentMetadata.html">TotalClicks here</a>.” In summary:</p>
<ul>
<li>If Forbes.com/Cats/ has no clicks it goes into the low-quality index and the link is ignored</li>
<li>If Forbes.com/Dogs/ has a high volume of clicks from verifiable devices (all the Chrome-related data discussed previously), it goes into the high-quality index and the link passes ranking signals</li>
</ul>
<p>Once the link becomes “trusted” because it belongs to a higher tier index, it can flow PageRank and anchors, or be filtered/demoted by link spam systems. Links from the low-quality link index won’t hurt a site’s ranking; they are merely <a href="https://hexdocs.pm/google_api_content_warehouse/0.4.0/GoogleApi.ContentWarehouse.V1.Model.IndexingDocjoinerAnchorSpamInfo.html">ignored</a>.</p>
<hr class="wp-block-separator has-alpha-channel-opacity">
<h2 class="wp-block-heading">Big Picture Takeaways for Marketers who Care About Organic Search Traffic</h2>
<p>If you care strategically about the value of organic search traffic, but don’t have much use for the technical details of how Google works, this section’s for you. It’s my attempt to sum up much of Google’s evolution from the period this leak covers: 2005 – 2023, and I won’t limit myself exclusively to confirmed elements of the leak.</p>
<ol>
<li><strong>Brand matters more than anything else<br></strong>Google has numerous ways to identify entities, sort, rank, filter, and employ them. Entities include brands (brand names, their official websites, associated social accounts, etc.), and as we’ve <a href="https://sparktoro.com/blog/who-sends-traffic-on-the-web-and-how-much-new-research-from-datos-sparktoro/">seen in our clickstream research with Datos</a>, they’ve been on an inexorable path toward exclusively ranking and sending traffic to big, powerful brands that dominate the web &gt; small, independent sites and businesses.<br><br>If there was one universal piece of advice I had for marketers seeking to broadly improve their organic search rankings and traffic, it would be: “Build a notable, popular, well-recognized brand in your space, outside of Google search.”<br></li>
<li><strong>Experience, expertise, authoritativeness, and trustworthiness </strong>(“E-E-A-T”)<strong> might not matter as directly as some SEOs think.</strong><br>The only mention of topical expertise in the leak we’ve found so far is a brief <a href="https://hexdocs.pm/google_api_content_warehouse/0.3.0/GoogleApi.ContentWarehouse.V1.Model.AppsPeopleOzExternalMergedpeopleapiMapsExtendedData.html#module-attributes">notation</a> about Google Maps review contributions. The other aspects of E-E-A-T are either buried, indirect, labeled in hard-to-identify ways, or, more likely (in my opinion) correlated with things Google uses and cares about, but not specific elements of the ranking systems.<br><br>As Mike <a href="https://ipullrank.com/google-algo-leak">noted</a> in his article, there is documentation in the leak suggesting Google can identify authors and treats them as entities in the system. Building up one’s influence as an author online may indeed lead to ranking benefits in Google. But what exactly in the ranking systems makes up “E-E-A-T” and how powerful those elements are is an open question. I’m a bit worried that E-E-A-T is 80% propaganda, 20% substance. There are plenty of powerful brands that rank remarkably well in Google and have very little experience, expertise, authoritativeness, or trustworthiness, as <a href="https://housefresh.com/david-vs-digital-goliaths/">HouseFresh’s recent, viral article</a> details in depth.<br></li>
<li><strong>Content and links are secondary when user intention around navigation (and the patterns that intent creates) are present.</strong><br>Let’s say, for example, that many people in the Seattle area search for “Lehman Brothers” and scroll to page 2, 3, or 4 of the search results until they find the theatre listing for the Lehman Brother stage production, then click that result. Fairly quickly, Google will learn that’s what searchers for those words in that area want.<br><br>Even if the Wikipedia article about Lehman Brothers’ role in the financial crisis of 2008 were to invest heavily in link building and content optimization, it’s unlikely they could outrank the user-intent signals (calculated from queries and clicks) of Seattle’s theatre-goers.<br><br>Extending this example to the broader web and search as a whole, if you can create demand for your website among enough likely searchers in the regions you’re targeting, you may be able to end-around the need for classic on-and-off-page SEO signals like links, anchor text, optimized content, and the like. The power of Navboost and the intent of users is likely the most powerful ranking factor in Google’s systems. As Google VP Alexander Grushetsky put it in <a href="http://chrome-extension://efaidnbmnnnibpcajpcglclefindmkaj/https://www.justice.gov/d9/2023-11/417828.pdf" target="_blank" rel="noreferrer noopener">a 2019 email to other Google execs</a> (including Danny Sullivan and Pandu Nayak): <br><br>“<em>We already know, one signal could be more powerful than the whole big system on a given metric. For example, I’m pretty sure that NavBoost alone was / is more positive on clicks (and likely even on precision / utility metrics) by itself than the rest of ranking (BTW, engineers outside of Navboost team used to be also not happy about the power of Navboost, and the fact it was “stealing wins”)</em>“<br><br>Those seeking even more confirmation could review Google engineer <a href="https://avalonlibrary.net/Project_Veritas_Google_document_dump/Fake%20News/Paul%20Haahr_%20Google%20Resume.pdf" target="_blank" rel="noreferrer noopener">Paul Haahr’s detailed resume</a>, which states:<br><br><em>“I’m the manager for logs-based ranking projects. The team’s efforts are currently split among four areas: 1) Navboost. This is already one of Google’s strongest ranking signals. Current work is on automation in building new navboost data;”</em><br></li>
<li><strong>Classic ranking factors: PageRank, anchors (topical PageRank based on the anchor text of the link), and text-matching have been waning in importance for years. But Page Titles are still quite important.</strong><br>This is a finding from Mike’s excellent analysis that I’d be foolish not to call out here. PageRank still appears to have a place in search indexing and rankings, but it’s almost certainly evolved from the original 1998 paper. The document leak insinuates multiple versions of PageRank (<a href="https://hexdocs.pm/google_api_content_warehouse/0.3.0/GoogleApi.ContentWarehouse.V1.Model.CompositeDocForwardingDup.html#module-attributes">rawPagerank</a>, a deprecated <a href="https://hexdocs.pm/google_api_content_warehouse/0.3.0/GoogleApi.ContentWarehouse.V1.Model.GeostoreUrlProto.html#module-attributes">PageRank referencing “nearest seeds,”</a> <a href="https://hexdocs.pm/google_api_content_warehouse/0.3.0/GoogleApi.ContentWarehouse.V1.Model.IndexingSignalAggregatorAgeWeightedCoverageData.html#module-attributes">firstCoveragePageRank</a> from when the document was first served, etc.) have been created and discarded over the years. And anchor text links, while present in the leak, don’t seem to be as crucial or omnipresent as I’d have expected from my earlier years in SEO.<br></li>
<li><strong>For most small and medium businesses and newer creators/publishers, SEO is likely to show poor returns until you’ve established credibility, navigational demand, and a strong reputation among a sizable audience.</strong><br>SEO is a big brand, popular domain’s game. As an entrepreneur, I’m not ignoring SEO, but I strongly expect that for the years ahead, until/unless SparkToro becomes a much larger, more popular, more searched-for and clicked-on brand in its industry, this website will continue to be outranked, even for its original content, by aggregators and publishers who’ve existed for 10+ years.<br><br>This is almost certainly true for other creators, publishers, and SMBs. The content you create is unlikely to perform well in Google if competition from big, popular websites with well-known brands exists. Google no longer rewards scrappy, clever, SEO-savvy operators who know all the right tricks. They reward established brands, search-measurable forms of popularity, and established domains that searchers already know and click. From 1998 – 2018 (or so), one could reasonable start a powerful marketing flywheel with SEO for Google. In 2024, I don’t think that’s realistic, at least, not on the English-language web in competitive sectors.</li>
</ol>
<h2 class="wp-block-heading">Next Steps for the Search Industry</h2>
<p>I’m excited to see how practitioners with more recent experience and deeper technical knowledge go about analyzing this leak. I encourage anyone curious to dig into the documentation, attempt to connect it to other public documents, statements, testimony, and ranking experiments, then publish their findings.</p>
<p>Historically, some of the search industry’s loudest voices and most prolific publishers have been happy to uncritically repeat Google’s public statements. They write headlines like “Google says XYZ is true,” rather than “Google Claims XYZ; Evidence Suggests Otherwise.”</p>
<div class="wp-block-image">
<figure class="aligncenter size-full is-resized"><img loading="lazy" decoding="async" src="https://images.sparktoro.com/blog/wp-content/uploads/2024/05/image-14.png" alt class="wp-image-8984" srcset="https://images.sparktoro.com/blog/wp-content/uploads/2024/05/image-14.png 1018w, https://images.sparktoro.com/blog/wp-content/uploads/2024/05/image-14-300x91.png 300w, https://images.sparktoro.com/blog/wp-content/uploads/2024/05/image-14-768x233.png 768w" sizes="(max-width: 1018px) 100vw, 1018px"><figcaption class="wp-element-caption">The SEO industry doesn’t benefit from these kinds of headlines</figcaption></figure></div>
<p>Please, do better. If this leak and the DOJ trial can create just one change, I hope this is it.</p>
<p>When those new to the field read Search Engine Roundtable, Search Engine Land, SE Journal, and the many agency blogs and websites that cover the SEO field’s news, they don’t necessarily know how seriously to take Google’s statements. Journalists and authors should not presume that readers are savvy enough to know that dozens or hundreds of past public comments by Google’s official representatives were later proven wrong.</p>
<p>This obligation isn’t just about helping the search industry—it’s about helping the whole world. Google is one of the most powerful, influential forces for the spread of information and commerce on this planet. Only recently have they been held to some account by governments and reporters. The work of journalists and writers in the search marketing field carries weight in the courts of public opinion, in the halls of elected officials, and in the hearts of Google employees, all of whom have the power to change things for the better or ignore them at our collective peril.</p>
<hr class="wp-block-separator has-alpha-channel-opacity">
<p>Thank you to Mike King for his invaluable help on this document leak story, to <a href="https://amandanat.com/">Amanda Natividad</a> for editing help, and to the anonymous source who shared this leak with me. I expect that updates to this piece may arrive over the next few days and weeks as it reaches more eyeballs. If you have findings that support or contradict statements I’ve made here, please feel free to share them in the comments below.</p>
