title: When you’re driving in Google Maps you’re re-enacting an ancient space combat sim
url: https://interconnected.org/home/2024/05/17/arrow
hash_url: 37e471123bcb625e1ada602b1168a3dd
archive_date: 2024-05-20
og_image: https://interconnected.org/home/2024/05/17/arrow.png?v=1
description: Posted on Friday 17 May 2024. 1,259 words, 14 links. By Matt Webb.
favicon: 
language: en_US

<p class="measure-wide f6 f5-l lh-copy black-80">This week I’m midway through my now-annual lecture series on <a href="https://www.actsnotfacts.com/made/folktales">folktales from the history of computing</a> at <a href="https://aho.no/en">AHO</a> (the Oslo School of Architecture and Design).</p>
<p class="measure-wide f6 f5-l lh-copy black-80">The idea is that I trace an admittedly idiosyncratic path through the history of the personal computer by focusing on certain stories that were, once upon a time, handed down to me as being pivotal. (Though I try to be rigorous when it comes to the lineage: I love evidence for the interconnections.)</p>
<p class="measure-wide f6 f5-l lh-copy black-80">Then I unpack the tales to look at the world they were in, roads not taken, voices not heard, and I share a view on where I stand with respect to what we should take from it all.</p>
<p class="measure-wide f6 f5-l lh-copy black-80">With a dash of speculative design and storytelling.</p>
<p class="measure-wide f6 f5-l lh-copy black-80">Look, it’s this blog in lecture form, that’s all you need to know.</p>
<p class="measure-wide f6 f5-l lh-copy black-80">I’m pretty well grooved in now. This is my fourth time giving the talks with AHO, and I had a ton of fun doing the whole series on three successive nights for a tech conference back in 2021.</p>
<p class="measure-wide f6 f5-l lh-copy black-80">But: each year I keep notes of where I feel I hit speed bumps to fix for the next time. And the opening of the first talk has never felt satisfying to me. Too much exposition, not enough feel.</p>
<p class="measure-wide f6 f5-l lh-copy black-80">Anyway! I fixed that this year! I have a new story to open.</p>
<hr class="xh1 bg-white w3 ml0 mv5 bb-0 bl-0 br-0 bt-1 b--black">
<p class="measure-wide f6 f5-l lh-copy black-80">It’s about the little dart-shaped arrow that appears at the top of your iPhone when an app is using your location. <a href="https://support.apple.com/en-gb/102647">You know the arrow I mean.</a> The students all recognise it too.</p>
<p class="measure-wide f6 f5-l lh-copy black-80">The heart of this story is from research and a long read by <a href="https://www.benjedwards.com">Benj Edwards</a>, tech historian and journalist.</p>
<p class="measure-wide f6 f5-l lh-copy black-80">Back in 2015, Edwards published this amazing history of the first ever in-car computerised navigation system:</p>
<blockquote cite="https://www.fastcompany.com/3047828/who-needs-gps-the-forgotten-story-of-etaks-amazing-1985-car-navigation-system" class="quoteback bl bw2 pl2 b--orange ml0 italic i" data-author="Benj Edwards, Fast Company" data-title="Who Needs GPS? The Forgotten Story of Etak's Amazing 1985 Car Navigation System (2015)">
<p class="measure-wide f6 f5-l lh-copy black-80">Thirty years ago, a company called Etak released the first commercially available computerized navigation system for automobiles. Spearheaded by an engineer named Stan Honey and bankrolled by Nolan Bushnell, the cofounder of Atari, the company’s Navigator was so far ahead of its time that the phrase “ahead of its time” seems like an understatement.</p>

</blockquote>
<p class="measure-wide f6 f5-l lh-copy black-80">So, that dart-shaped arrow…</p>
<p class="measure-wide f6 f5-l lh-copy black-80">…is also the arrow used in Google Maps turn-by-turn navigation to show your current location. You can see it if you use directions in the app today. You can see it in the <a href="https://web.archive.org/web/20091214013008/https://googleblog.blogspot.com/2009/10/announcing-google-maps-navigation-for.html">Google Maps Navigation launch blog post from 2009</a>.</p>
<p class="measure-wide f6 f5-l lh-copy black-80">And what Edwards spotted is that the same Google Maps arrow was used by Etak to show the current location of your car, way back then.</p>
<p class="measure-wide f6 f5-l lh-copy black-80">To give you an idea of how much 1985 was a different era: there were no GPS satellites. So you had to put magnetic sensors in your wheels to count rotations.</p>
<p class="measure-wide f6 f5-l lh-copy black-80">Map data was stored on audio cassette tapes in the back of the car!</p>
<p class="measure-wide f6 f5-l lh-copy black-80">The screen didn’t have pixels! It was a vector screen, with electron beams painting lines on directly on the phosphors, like an oscilloscope.</p>
<p class="measure-wide f6 f5-l lh-copy black-80">So check out his article, because there’s a photo of the Etak Navigator, and you can see the dart-arrow, right there in the mirror. So is that the origin?</p>
<p class="measure-wide f6 f5-l lh-copy black-80">Edwards goes further. In a follow-up article, he figured out the connection:</p>
<blockquote cite="https://www.fastcompany.com/3068135/the-untold-story-of-atari-founder-nolan-bushnells-visionary-1980s-tech-incubator" class="quoteback bl bw2 pl2 b--orange ml0 italic i" data-author="Benj Edwards, Fast Company" data-title="The Untold Story of Atari Founder Nolan Bushnell's Visionary 1980s Tech Incubator (2017)">
<p class="measure-wide f6 f5-l lh-copy black-80">To Etak’s benefit, Catalyst’s shared office building encouraged the cross-pollination of ideas between companies. Alcorn, while working at Cumma, recalls being fascinated by the activities at Etak. During development, he snuck into nearby Atari’s coin-op division building with Etak engineers to show them the hit 1979 arcade title Asteroids. The game used a vector display that produced fluid animations with low-cost hardware. It’s little surprise, then, that <u>Etak’s final on-screen representation of the car in its shipping product was a vector triangle nearly identical to the ship from Asteroids.</u></p>

</blockquote>
<p class="measure-wide f6 f5-l lh-copy black-80">Asteroids? <a href="https://en.wikipedia.org/wiki/Asteroids_(video_game)">Asteroids</a> <em>(Wikipedia).</em> The break-out coin-op arcade game. The dart-arrow is the spaceship, it’s right there!</p>
<p class="measure-wide f6 f5-l lh-copy black-80"><em>Thank you Benj, amazing research!</em></p>
<p class="measure-wide f6 f5-l lh-copy black-80">btw: Benj has a new book out, a history of Nintendo’s OG virtual reality gaming device, <em>Virtual Boy</em> from 1995: <a href="https://www.amazon.com/Seeing-Red-Nintendos-Virtual-Platform/dp/0262045060/">Seeing Red</a> <em>(Amazon).</em></p>
<hr class="xh1 bg-white w3 ml0 mv5 bb-0 bl-0 br-0 bt-1 b--black">
<p class="measure-wide f6 f5-l lh-copy black-80">I think we can take another step back…</p>
<p class="measure-wide f6 f5-l lh-copy black-80">Before <em>Asteroids</em> there was <a href="https://en.wikipedia.org/wiki/Spacewar!">Spacewar!</a> <em>(Wikipedia).</em></p>
<p class="measure-wide f6 f5-l lh-copy black-80"><em>Spacewar</em> was developed in 1962 for the PDP-1 – cost: $120k then, $1.2m in today’s money, only 55 ever made.</p>
<p class="measure-wide f6 f5-l lh-copy black-80"><em>Spacewar</em> was the first popular video game. (That is, it may not have been the first graphical video game, but it was the first one popular enough to be copied to other locations). It was played mainly illicitly… the PDP-1 was a research computer, and the game was played after hours.</p>
<p class="measure-wide f6 f5-l lh-copy black-80">It’s a simulation of space combat between two ships: the needle and the wedge.</p>
<p class="measure-wide f6 f5-l lh-copy black-80">But it pointed at a new application of real-time computers. Brenda Laurel (in <em>Computers as Theatre)</em> observes that <em>Spacewar</em> showed that</p>
<blockquote class="bl bw2 pl2 b--orange ml0 italic i">
<p class="measure-wide f6 f5-l lh-copy black-80">[the computer’s] interesting potential lay not in its ability to perform calculations but in its capacity to <em>represent action in which humans could participate.</em></p>
</blockquote>
<p class="measure-wide f6 f5-l lh-copy black-80">Its popularity broke through: Stewart Brand wrote about <em>Spacewar</em> <a href="https://www.labouseur.com/courses/gamesem/rolling-stone-1972.pdf">in Rolling Stone magazine in 1972</a> <em>(pdf).</em></p>
<blockquote class="bl bw2 pl2 b--orange ml0 italic i">
<p class="measure-wide f6 f5-l lh-copy black-80">Ready or not, computers are coming to the people. That’s good news, maybe the best since psychedelics.</p>
</blockquote>
<p class="measure-wide f6 f5-l lh-copy black-80">Brand used <em>Spacewar</em> as a subcultural phenomenon to introduce what was going on in those days with computing, and in particular at Xerox PARC. He got some good quotes. Here’s one:</p>
<blockquote class="bl bw2 pl2 b--orange ml0 italic i">
<p class="measure-wide f6 f5-l lh-copy black-80">Alan Kay: “The game of Spacewar blossoms spontaneously wherever there is a graphics display connected to a computer.”</p>
</blockquote>
<p class="measure-wide f6 f5-l lh-copy black-80">And of course Stewart Brand, having <a href="/home/2021/05/05/strange_loop">been present at the birth of personal computing in 1968</a>, went on to be the first person to use <q>personal computer</q> in print (to mean the thing we mean today) in 1974. <a href="https://x.com/genmon/status/1660533557511479296">Here’s the Twitter thread where I asked him.</a></p>
<p class="measure-wide f6 f5-l lh-copy black-80">ANYWAY.</p>
<p class="measure-wide f6 f5-l lh-copy black-80"><em>Spacewar</em> inspired <em>Asteroids.</em></p>
<p class="measure-wide f6 f5-l lh-copy black-80">So. While “the wedge” spaceship in <em>Spacewar</em> isn’t visually identical to the ship in <em>Asteroids,</em> and therefore to Etak, and Google Maps, and the dart-arrow that appears in the iPhone, there’s the ancestry.</p>
<hr class="xh1 bg-white w3 ml0 mv5 bb-0 bl-0 br-0 bt-1 b--black">
<p class="measure-wide f6 f5-l lh-copy black-80">When you’re driving around in Google Maps, you’re piloting a spaceship in an ancient simulation of space warfare.</p>
<p class="measure-wide f6 f5-l lh-copy black-80">That’s what I’m saying. And, like, does it <em>matter?</em> Does the connection <em>mean</em> anything?</p>
<p class="measure-wide f6 f5-l lh-copy black-80">I tend to believe that it does matter, yes, that vibe <em>transmits</em> somehow. A chair made by a carpenter who sits badly will impart their twisted stance on anyone who sits in it.</p>
<p class="measure-wide f6 f5-l lh-copy black-80">I can’t tell you exactly why I think it’s worth looking at, or what would have been different had the original game been a digital Ouija Board or a virtual loom or proto-Farmville.</p>
<p class="measure-wide f6 f5-l lh-copy black-80">And if we disagree on whether it matters then that’s worth talking about too!</p>
<p class="measure-wide f6 f5-l lh-copy black-80">Speculating on the counterfactuals, opening up whether it even matters, and finding joy in the interconnectedness of all things – that’s what the talk series is all about.</p>
<hr class="xh1 bg-white w3 ml0 mv5 bb-0 bl-0 br-0 bt-1 b--black">
<blockquote cite="https://longnow.org/essays/big-here-long-now/" class="quoteback bl bw2 pl2 b--orange ml0 italic i" data-author="Brian Eno" data-title="The Big Here and Long Now (01995)">
<p class="measure-wide f6 f5-l lh-copy black-80">“Now” is never just a moment. The Long Now is the recognition that <u>the precise moment you’re in grows out of the past and is a seed for the future.</u></p>

</blockquote>
<p class="measure-wide f6 f5-l lh-copy black-80">The lectures wind up in a meditation on the braided tendencies in computing of collaboration and control. These idealistic moments - effective and wrong-headed, we get both - in a technology that finds its evolution in ugly periods and repeatedly tends towards population control… can we take lessons from that, too?</p>
<p class="measure-wide f6 f5-l lh-copy black-80">Well. A story for another day.</p>
