title: Follow your ADHD flow
url: https://adhdftw.com/follow-your-adhd-flow/
hash_url: 3d60afcca78959bd637ac725d0a7fc7e
archive_date: 2024-04-14
og_image: https://adhdftw.com/img/og.png
description: One of the most things that’s had the biggest impact on my ability to be happy and fulfilled has been working with my ADHD instead of trying to fight against it.
favicon: https://adhdftw.com/img/favicon.ico
language: en_US

<p>One of the most things that’s had the biggest impact on my ability to be happy and fulfilled has been working <em>with</em> my ADHD instead of trying to fight against it.</p>

<p>Yesterday, we talked about the importance of <a href="https://adhdftw.com/your-second-brain/">a second brain</a>. Today, we’re going to talk about how you might use that second brain differently depending on what your current ADHD state is.</p>

<p>Let’s dig in!</p>

<h2 id="your-natural-states">Your natural states</h2>

<p>I’ve found I personally have three <em>states of being</em>…</p>

<ol>
<li><strong>Hyperfocus,</strong> where I’m deeply focused on one thing and phenomenally productive.</li>
<li><strong>Physical,</strong> where I have lots of energy, but little mental focus.</li>
<li><strong>Burnt out,</strong> where both my mental and physical energy are low.</li>
</ol>

<p>Your states of being might be different. These are three I tend to operate in most frequently.</p>

<p>I’m better suited for certain types of tasks depending on which state I’m in. Understanding what my current <em>state of being</em> is, and choosing tasks for the day that align with it, helps me live a more happy, healthy, and fulfilling life with less stress.</p>

<h2 id="hyperfocus">Hyperfocus</h2>

<p>At its best, hyperfocus is a bit like being <em>in the zone</em> or feeling the <em>flow</em>.</p>

<p>You can tunnel vision in on a specific task or collection of tasks and get a phenomenal amount done! This is the state in which I tend to do my best deep work.</p>

<p>I was in hyperfocus mode when I created <a href="https://gomakethings.com/courses/">all of my courses</a>, <a href="https://reefjs.com">Reef JS</a>, and various other projects. At my last job, I got three months of coding done in about three weeks during an intense period of hyperfocus.</p>

<p>The challenge with hyperfocus is that sometimes it zeroes in on the wrong thing (as in <em>not</em> the task you <em>need</em> to be doing).</p>

<p>But trying to fight it is a fool’s errand. I get literally nothing done in those situations.</p>

<p>Best to just give in to it and let it run its course.</p>

<p><strong>On <em>hyperfocus</em> days,</strong> I don’t really look at my second brain at all. I just start working, and only open up my second brain to add things I don’t want to forget later, like a piece of digital scrap paper.</p>

<h2 id="physical">Physical</h2>

<p>Sometimes, I have a lot of energy, but head is full of bees, scattered and unable to focus on any one thing for too long.</p>

<p>When I’m in this state, I can usually knock a ton of small-to-mid-sized tasks off my todo list. These are the kinds of things that my brain would find annoying during a period of hyperfocus, but require little thought and let me go into a place a rote zen.</p>

<p>It includes things like…</p>

<ul>
<li>Making phone calls</li>
<li>Responding to emails</li>
<li>Folding laundry</li>
<li>Doing dishes</li>
<li>Paying bills</li>
<li>Vacuuming the house</li>
</ul>

<p>I’ll often throw Bob Ross videos on in the background or listen to a podcast while doing these kinds of tasks, just to keep myself entertained.</p>

<p><strong>On <em>physical</em> days,</strong> I review all of the tasks in my second brain in the morning, and flag any of the ones that I think I can do that day as <em>stuff to do today</em> (more on how I do that in another article).</p>

<p>Then, I get to it! I do take frequent breaks throughout the day, though.</p>

<h2 id="burnt-out">Burnt out</h2>

<p>It’s not uncommon for folks with ADHD to feel burnt out.</p>

<p>After an extended period of hyperfocus or bees in the head, you feel kind of spent. You’re too fuzzy in the brain to hyperfocus, but too physically tired to do anything else.</p>

<p>I don’t try to fight that anymore.</p>

<p>I take leisurely walks with <a href="https://adhdftw.com/about-ryder/">my dog</a>. I go for a hike or swim or bike ride. I read a book or just veg out on a TV show or movie.</p>

<p>Green time is better than screen time (like, literally, for your ADHD brain), but I don’t beat myself up about it if I watch something instead of getting outside.</p>

<p>Often, though, being out in nature helps reenergize me and calm my busy brain. I’ll often use that time to brainstorm and come up with ideas or clarify how I’m thinking about something.</p>

<p>Sometimes, it even shifts me into a <em>hyperfocus</em> or <em>physical</em> state.</p>

<p><strong>On <em>burnt out</em> days,</strong> I may check my second brain for really important has-to-be-done-today tasks, or add things that come to mind, but I’m not looking at it all that much.</p>

<h2 id="don-t-fight-your-natural-state">Don’t fight your natural state</h2>

<p>If I try to do mundane tasks when I’m in a <em>hyperfocus</em> mode, my brain keeps shifting back to whatever its hyperfocused on, and I get nothing done.</p>

<p>If I try to do deep work when I’m in a <em>physical</em> state, I sit staring at my computer for hours and get nothing done.</p>

<p>Working <em>with</em> your ADHD unlocks so much hidden potential inside you!</p>
