title: What's next for Kagi?
url: https://blog.kagi.com/what-is-next-for-kagi#9
hash_url: 463a5fd436bb887f90f9e01b01b7716b
archive_date: 2024-06-24
og_image: data:image/svg+xml,<svg xmlns=%22http://www.w3.org/2000/svg%22 viewBox=%220 0 100 100%22><text y=%22.9em%22 font-size=%2290%22>%f0%9f%97%9d%ef%b8%8f</text></svg>
description: Two years ago, on June 1st, 2022, Kagi introduced ( https://blog.kagi.com/kagi-orion-public-beta ) a search engine that challenged the ad-supported version of the web.
favicon: data:image/svg+xml,<svg xmlns=%22http://www.w3.org/2000/svg%22 viewBox=%220 0 100 100%22><text y=%22.9em%22 font-size=%2290%22>%f0%9f%97%9d%ef%b8%8f</text></svg>
language: en_US

<p>Two years ago, on June 1st, 2022, <a href="https://blog.kagi.com/kagi-orion-public-beta">Kagi introduced</a> a search engine that challenged the ad-supported version of the web. Kagi Search instead works for you, the user, and not an advertiser paying for your attention. At the time of launch, we did not know if anyone would pay for their search engine and web browser, but luckily, here we are two years later at the forefront of a movement to humanize the internet’s most-used products and put the user back in the driving seat.</p>

<p>This blog post is meant to provide an update to our community and future members on where we are and what our plans for the future are.</p>


<h2><a name="0"></a>Our commitment to you</h2>

<ul>
<li>We provide the best search results in a clear and easy-to-understand way, with no ads, amplifying your knowledge.</li>
<li>We are committed to your privacy. We allow no tracking or ads, and you remain in control of your data.</li>
<li>We commit to a user-centric, “pay for the product”, business model with no other sources of revenue.</li>
<li>We ensure access to timely and high-quality search information. Our refined algorithm ranks information by quality rather than by potential monetization.</li>
<li>We serve our users’ needs with speed, efficiency, and accuracy.</li>
<li>We are committed to providing leading-edge technological solutions in service of users.</li>
<li>We maintain the integrity and quality of our system.</li>
</ul>

<h2><a name="1"></a>Growth and sustainability</h2>

<p>Our journey over the past two years has been marked by continuous growth and improvement. We have expanded our paid member base (which is now <a href="https://kagi.com/stats">more populous than 14 world countries!</a>), introduced a <a href="https://kagi.com/changelog">slew of innovative features</a>, and maintained a steadfast commitment to <a href="https://kagi.com/privacy">privacy</a> and the <a href="https://x.com/vladquant/likes">quality</a> of the search experience.</p>

<p></p><center><img src="https://kagifeedback.org/assets/files/2024-05-22/1716361973-858686-screenshot-2024-05-22-at-001246.png"></center>
<center><em>Kagi member growth over time. Note the expansion after the $10/mo unlimited plan was introduced.</em></center>

<p>We are also thrilled to report that we have achieved profitability. This significant milestone is a testament to our sustainable growth and fiscal responsibility. It demonstrates that our approach of offering a premium, ad-free search experience resonates with users who support a service aligning with their values. Becoming profitable allows us to reinvest in the business, further enhancing our offerings and ensuring that we can continue to provide a top-notch search experience.</p>

<p>We are grateful for the support of our users who have played a crucial role in reaching this milestone. Together, we will continue to build a better, more user-centric web.</p>

<p>As we look to the future, our focus remains on sustaining this momentum. If we continue on the path of current growth, which so far has been completely organic, we will reach 1 million paying users in the next 36 months.</p>

<h2><a name="2"></a>Increased recognition</h2>

<p>Kagi is getting noticed by experts like <a href="https://twit.tv">Leo Laporte</a>, <a href="https://www.404media.co/friendship-ended-with-google-now-kagi-is-my-best-friend/">Jason Koebler</a>, <a href="https://daringfireball.net/linked/2024/01/19/bray-google-kagi">John Gruber</a>, and <a href="https://pluralistic.net/2024/04/04/teach-me-how-to-shruggie/">Cory Doctorow</a>, as well as high quality media organizations such as <a href="https://www.theverge.com/23896415/kagi-search-google-meta-quest-3-chatgpt-macos-sonoma-installer-newsletter">The Verge</a> and <a href="https://www.theregister.com/2024/01/30/ai_is_changing_search/">The Register</a>, publications like <a href="https://monocle.com/radio/shows/the-entrepreneurs/eureka-389/play/">Monocle</a> and <a href="https://www.zeit.de/index">Die Zeit</a>. We thank them for their coverage and helping spread the word.</p>

<p></p><center><a href="https://monocle.com/radio/shows/the-entrepreneurs/eureka-389/play/"><img src="https://kagifeedback.org/assets/files/2024-05-22/1716357691-215959-screenshot-2024-05-21-at-230124.png"></a></center>
<center><em>Recent interview in Monocle radio</em></center>

<p>Additionally, we are grateful to content creators like <a href="https://youtu.be/YnSv8ylLfPw?t=523">Linus Tech Tips</a> and <a href="https://www.youtube.com/watch?v=K297opaBp8E&amp;t=7s">Ask Leo</a>, numerous <a href="https://dannb.org/blog/2023/how-kagi-beats-google/">bloggers</a>, and the vibrant discussions by Kagi members on Hacker News, X, Mastodon, Reddit, Blue Sky, LinkedIN and other social media for helping <a href="https://x.com/vladquant/likes">spread awareness</a>.</p>

<p></p><center><img src="https://kagifeedback.org/assets/files/2024-05-22/1716359315-445982-screenshot-2024-05-21-at-232829.png"></center>
<center><em>Public comment from a member on Reddit 🙏</em></center>

<p>Support like this not only means a lot to us but has been the main driver of Kagi adoption so far, and for that we are forever thankful!</p>

<h2><a name="3"></a>New shareholders and team members</h2>

<p>We are excited to announce that so far, 93 Kagi members have joined Kagi as investors through our two investment rounds, most recent closing a few weeks ago. The investment not only brought in capital (which we will use for hiring, R&amp;D and search index expansion) but also strengthens our community-centric approach, as these investors are also users who deeply believe in our mission. The rest of the company remains owned by the founder, employees, and advisors, ensuring that those who are directly involved in building and sustaining Kagi have a significant stake in its success.</p>

<p>This diverse ownership structure fosters a sense of shared purpose and collaboration and aligns the incentives of everyone involved. Having users as investors provides invaluable insights and feedback (and sometimes key leadership talent!), helping us better understand and meet their needs. It also reinforces our commitment to transparency and accountability, as we are directly answerable to a community that is both invested in and supportive of our long-term vision. While we have no immediate plans to raise additional funding, if you are interested to be notified about any future fundraising, <a href="https://forms.gle/1Try2v6JtXbKSjKx9">get in touch</a>.</p>

<p></p><center><img src="https://kagifeedback.org/assets/files/2024-05-22/1716360672-296077-screenshot-2024-05-21-at-235107.png"></center>
<center><em>Kagi team members around the globe</em></center>

<p>Our team has expanded to 37 people around the globe, working together to bring a friendly version of the web to people, families, and organizations worldwide. We are actively <a href="https://help.kagi.com/kagi/company/hiring-kagi.html">hiring</a>.</p>

<h2><a name="4"></a>Kagi becomes a Public Benefit Corporation (PBC)</h2>

<p>The Delaware public benefit corporation (PBC) is an entity created by amendment to the Delaware General Corporation Law in 2013, and is structurally identical to the familiar Delaware C corporation with one major difference: company directors and officers are given explicit permission to consider a purpose beyond simply maximizing shareholder value.</p>

<p>Kagi transitioned to a Delaware Public Benefit Corporation (PBC), marking a significant milestone in our journey. This structural change allows the legal entity to consider a purpose beyond simply maximizing shareholder value, balancing it with the best interests of all stakeholders, including the communities we serve, along with the specific public benefit.</p>

<p>In particular, the public benefit statement entered into Kagi’s charter is: “<strong>Kagi is committed to creating a more human-centric and sustainable web that benefits individuals, communities, and society as a whole, with a transparent business model that aligns the incentives of everyone involved.</strong>”</p>

<p><img src="https://kagifeedback.org/assets/files/2024-05-22/1716360472-761510-screenshot-2024-05-21-at-234747.png" alt="Kagi PBC"></p>

<p>This transition ensures that our mission-driven approach is not just a guiding principle but a legal obligation, protecting us from external pressures that might otherwise divert us from our path. The PBC designation also resonates with our community of users, who value ethical business practices and corporate responsibility. It provides a clear signal that Kagi is dedicated to making a positive impact on the world, aligning our business practices with the broader goal of societal benefit.</p>

<p>Some examples of companies structured as PBC  out there include Laureate, Plum Organics, Kickstarter and Anthropic. We’d like to thank <a href="https://en.wikipedia.org/wiki/Eric_Ries">Eric Ries</a> for introducing us to the PBC structure.  You can read more about it <a href="https://kagi.com/search?q=public+benefit+corporation+PBC&amp;r=us&amp;sh=FuSMLpCLQlOTugxwnnQo6g">on Kagi</a>.</p>

<h2><a name="5"></a>Kagi’s unique approach to search</h2>

<p>From day one, Kagi Search was built with one goal in mind — show the world that a high-quality, user-centric search engine is possible. Why was this not possible before? In short, in every market economy, there has to be a customer. For search, that customer can be either you or an advertiser, and this simple choice determines all incentives and outcomes in the search experience. With Kagi, for the first time in history of search engines, you are the customer and everything is built around you and your needs alone.</p>

<p>And we know what our customers want because it is the same thing we want: no ads, no spam, no low-quality content, and no insult to our intelligence from the search engine we use. We want results that include human discussions, not LLM-generated content. We value opinions and expertise from personal websites and blogs over ad-filled, and tracking-infested content silos.</p>

<p>We want to explore and discover the web, versus being told what to buy. We want to connect to and understand other humans and their work, not be consumers of the content created with the only purpose of monetizing our attention and wasting our time and brain cycles in the process.</p>

<p>And this is what Kagi strives to deliver.</p>

<p>For instance, when you ask your search engine a programming question, you want to see official documentation, industry experts, personal blogs, and other authentic sources of information.</p>

<p></p><center><a href="https://kagifeedback.org/assets/files/2024-05-22/1716392268-405998-screenshot-2024-05-22-at-083623.png"><img src="https://kagifeedback.org/assets/files/2024-05-22/1716392268-405998-screenshot-2024-05-22-at-083623.png"></a></center>
<center><em>User-centric vs ad-supported, click to enlarge</em></center>

<p>Similarly, searching for “best headphones” should yield genuine recommendations, not headphone ads from the highest bidder. What you often find in Kagi is information from people who are truly knowledgeable and passionate about their topic.</p>

<p></p><center><a href="https://kagifeedback.org/assets/files/2024-05-22/1716392725-691336-screenshot-2024-05-22-at-084426.png"><img src="https://kagifeedback.org/assets/files/2024-05-22/1716392725-691336-screenshot-2024-05-22-at-084426.png"></a></center>
<center><em>User-centric vs ad-supported, click to enlarge</em></center>

<p>Whenever possible we want to make sure that facts shown in Kagi are accurate and computable. This is why we <a href="https://blog.kagi.com/kagi-wolfram">integrate with Wolfram|Alpha</a>.</p>

<p></p><center><img src="https://kagifeedback.org/assets/files/2024-03-05/1709654440-735786-screenshot-2024-03-05-at-080035.png"></center>

<p>We are not trying to influence users’ search results; instead, we aim to provide users with tools and features to <a href="https://help.kagi.com/kagi/features/website-info-personalized-results.html">personalize</a> their search experience according to their preferences. For example, with Kagi, users can <a href="https://kagi.com/stats?stat=leaderboard">block sites</a> they do not like and promote those they prefer.</p>

<p></p><center><img src="https://kagifeedback.org/assets/files/2024-05-22/1716393012-475138-screenshot-2024-05-22-at-085004.png"></center>

<p>Use <a href="https://help.kagi.com/kagi/features/lenses.html">Kagi lenses</a> to narrow down searches to the academic realm or one of the many predefined lenses - or create your own search lens with your favorite sites.</p>

<p></p><center><img src="https://kagifeedback.org/assets/files/2024-05-22/1716393399-721245-screenshot-2024-05-22-at-085620.png"></center>
<center><em>Search results with “Academic” lens enabled</em></center>

<p>The continuous shipping of features and improvements has been largely driven by our active member community and would not have been possible without it. The Kagi Search <a href="https://kagifeedback.org">feedback forum</a> currently hosts over <strong>3,500</strong> discussions, while the Kagi’s Orion Browser <a href="https://orionfeedback.org">feedback forum</a> boasts over <strong>6,400</strong> discussions!</p>

<p>These massive public forums are among the most active web search and browser product communities on the web, reflecting the incredible level of engagement and valuable insights provided by our users. This is also why <strong>we do not have or need any telemetry in our products</strong> - we can barely keep up with what our users are directly asking us to do!</p>

<h2><a name="6"></a>Orion - Web browser that has your back</h2>

<p></p><center><img src="https://kagifeedback.org/assets/files/2024-05-30/1717079482-339174-04.png"></center>
<center><em>Orion is a lightweight Mac browser, with native support for horizontal, vertical and compact tabs</em></center>

<p>Most people may not know this, but Kagi started developing <a href="https://kagi.com/orion">Orion browser</a> even before the search engine (and Orion’s feedback forum has almost twice as many discussion than the one for Kagi Search!). It is clear to us that no successful search engine could thrive without a companion web browser built on the same set of core values, including the alignment of all incentives.</p>

<p>We are pleased to see so many people excited about the prospect of Orion and willing to <a href="https://kagi.com/orion/orionplus.html">pay for it</a>, which may sound like an even more “outrageous” idea than paying for search.</p>

<p>But think about it: a web browser is one of the most important and intimate tools we use on our computers and devices every single day, yet we as a society, have somehow allowed most browsers in use to be directly or indirectly paid for and controlled by advertisers! It is like the situation with search, just worse. This is insanity to me and this is why we are building Orion, a user-centric web browser with a paid business model and no other sources of revenue, to bring sanity back and help support our mission to humanize the web.</p>

<p></p><center><img src="https://kagifeedback.org/assets/files/2024-05-30/1717079301-260116-screenshot-2024-05-30-at-072813.png"></center>
<center><em>Native support for web extensions, profiles, and much more…</em></center>

<p>Orion is WebKit-based, built from scratch for high performance, zero-telemetry by default, <a href="https://kagi.com/orion/#privacy">truly privacy respecting</a>, with built-in ad and tracking blocking like no other web browser in the world. On top of that, we brought the same Web Extensions API used by Chrome and Firefox to WebKit, allowing Orion to run both Chrome and Firefox extensions natively out of the box (you can follow <a href="https://docs.google.com/spreadsheets/d/14IgSRVop4psUTgtLZlvYJYrAArhvL3WvRlUdzdQbIoQ/edit?usp=sharing">our progress</a>, with many extensions already working, including on iOS!).</p>

<p>For the Mac fans out there, you will be pleased to know that Orion has ported the latest WebKit to macOS Mojave and Catalina, even though Apple stopped updating it years ago. Yes, it is incredibly hard to do this and maintain it with our limited resources, but we believe it should be done, and we are known for doing things the hard way.</p>

<p></p><center><img src="https://kagifeedback.org/assets/files/2024-05-30/1717083278-428587-screen-shot-2024-05-30-at-83125-am.png"></center>
<center><em>Orion on macOS Catalina using WebKit that is newer than not only WebKit in Safari on Catalina, but also the one used in Safari on Sonoma. Kudos for the Orion dev team.</em></center>

<p>And the best thing - Orion is free (truly free, not like ad-supported browser “free”) and you can choose to <a href="https://kagi.com/orion/orionplus.html">pay for it</a> and support your browser directly.</p>

<p>We continue to work very hard on Orion, aiming to exit beta status by the beginning of 2025. It is currently <a href="https://kagi.com/orion/#download_sec">available</a> for Mac and iPhone/iPad, with plans (resource permitting) to expand to Windows, Android, and Linux.</p>

<h2><a name="7"></a>Chapter 2: Setting up for success</h2>

<p>The relentless pursuit of excellence ensures that Kagi users receive a seamless and trustworthy search experience, setting us apart in an industry driven by ads, tracking, and misaligned incentives.</p>

<p></p><center><img src="https://kagifeedback.org/assets/files/2024-05-22/1716359822-625955-screenshot-2024-05-21-at-233656.png"></center>
<center><em>Note from a Kagi member, shown with their permission</em></center>

<p>As we look behind us, we are proud of what we have built together over the last two years, with our incredible member community.</p>

<p>We realize that we are now entering the next chapter of Kagi’s journey, Chapter 2, where we are intensifying our focus on craftsmanship and delighting users, supported by a more mature organization.</p>

<p>We have hired key leadership positions to lead our efforts in these critical areas.</p>

<p></p><center><img src="https://kagifeedback.org/assets/files/2024-05-22/1716358485-924099-img-7462.jpg"></center>
<center><em>Kagi leadership meeting, New York, April 2024.<br> From left to right: Zac Nowicki, Vladimir Prelovac, Hugh O’Brien, Luis Da Silva.</em></center>

<p>Additionally, we are reorganizing our internal structure, creating specialized teams, establishing new processes, and setting ourselves up for success over the next two years.</p>

<h3><a name="8"></a>Moving forward: Relentless focus on core search experience</h3>

<p>In a rapidly evolving digital landscape where “AI” continues to dominate the conversation, especially in search (it is almost as if the rest of the industry forgot that the purpose of search engines is to focus on relevant search results), Kagi’s unwavering commitment to refining the core search experience has never been more critical.</p>

<p>We are dedicated to delivering the most accurate, privacy-respecting, and user-centric search results, reinforcing our belief that the human element remains essential in the search experience. We will be investing in expanding our index, launching an API so that everyone can build on top of Kagi’s search quality, and improving the UX of search itself with new widgets, customization and quality of life improvements.</p>

<p>We recognize that the search experience should be intuitive, fast, reliable, and most importantly, of the highest possible quality. As such, our development efforts are centered around improving search algorithms, expanding our own index, reducing latency, and ensuring that our platform remains free of low-quality and LLM-generated content.</p>

<h3><a name="9"></a>What about “AI”?</h3>

<p>Although “AI” has been used in search for decades, it has recently resurfaced in public discourse with the proliferation of large language models (LLMs). We never integrated features (including AI) for the sake of having them, but did so <a href="https://blog.kagi.com/kagi-ai-search#philosophy">as thoughtfully as we could</a> to enhance the user experience without compromising our core values. The job of technology is not to make humans do more; the job of technology is to make our journey in this world more enjoyable.</p>

<p>I have been using LLMs as a tool for coding (acknowledging their <a href="https://x.com/vladquant/status/1791341643351880050">limitations</a>). I am using them for factual summarization through Kagi’s <a href="https://help.kagi.com/kagi/ai/quick-answer.html">Quick Answer</a> and <a href="https://help.kagi.com/kagi/ai/assistant.html">Assistant</a>, which are on-demand features that work well thanks to grounding in Kagi Search. And as someone diagnosed with osteoarthritis in my hands, I will rely increasingly on voice-to-text AI for typing and interaction. I believe that other AI modalities, such as image understanding, will greatly improve the quality of life for people with disabilities like visual impairment.</p>

<p>LLM research has produced advanced models, and some companies have paved the way for the public to accept paying $20-$30 per month to use top LLMs. We see an opportunity to compete in this market with Kagi Assistant. We will offer access to world’s best LLMs, with answers grounded in Kagi Search, all in one place and included in a single $25/month Kagi Ultimate subscription. Kagi Assistant is currently in <a href="https://help.kagi.com/kagi/ai/assistant.html">open beta</a>, with the full version expected to launch in July.</p>

<p>It is clear that the quality of any AI integration built on top of search will only be as good as the underlying search engine. Our primary goal is to keep providing the best search results in the world.</p>

<h3><a name="10"></a>Roadmap ahead</h3>

<p>Our roadmap includes several ambitious projects:</p>

<ul>
<li>Expansion of Kagi’s own index, aiming to cover 100 million of the highest quality pages on the web. (we will keep focusing on quality vs quantity.)</li>
<li>Doing more with the wonderful <a href="https://blog.kagi.com/small-web">Kagi Small Web</a> initiative that has grown to over 12,000 websites and is <a href="https://github.com/kagisearch/smallweb">open-source</a>.</li>
<li>A complete revamp of our search widgets, including stock, sports, weather, and calculator widgets, including <a href="https://kagifeedback.org/d/36-custom-widgetscomputer-plugins">user-defined widgets</a> - all right inside search results.</li>
<li>Launching Kagi mobile apps for both iOS and Android platforms.</li>
<li>Launching <a href="https://help.kagi.com/kagi/ai/assistant.html">Kagi Assistant</a>: Access the world’s best LLMs, grounded in Kagi Search.</li>
<li>Kagi Maps, based on Mapbox and OpenStreetMap.</li>
<li><a href="https://kagi.com/orion">Orion Browser</a> exiting public beta and offering high-performance (WebKit based), zero-telemetry, ad-free, and tracking-free browsing. Also, similar to Kagi Search, you can <a href="https://kagi.com/orion/orionplus.html">pay for your browser</a>.</li>
<li>Seamless integration between Kagi products, for great user experience inside our ecosystem.</li>
<li>Launch of Kagi Search APIs to enable others to build upon our legendary search results.</li>
<li>Expanding our offering to enterprise and education sectors with a tailored solution. (We’d love to see Kagi in schools, and if you would as well, <a href="mailto:vlad@kagi.com">let us know</a> or mention Kagi to your kid’s teacher.)</li>
</ul>

<p><img src="https://kagifeedback.org/assets/files/2024-05-30/1717077415-686041-screenshot-2024-05-30-at-065617.png" alt="Kagi’s Future Roadmap">
</p><center><em>Kagi product roadmap. Dates are aspirational.</em></center>

<p>These initiatives are designed to enhance our core search offering, introduce other products with the same core values to our ecosystem, enlarge the number of people who will benefit from Kagi, and provide even more value to our member community included in their subscription. We are excited about the future and committed to delivering on these promises, one step at a time.</p>

<p>Thank you for being part of our journey. Here’s to the next chapter of Kagi.</p>

<p><em>Vladimir Prelovac</em><br>
<em>CEO, Kagi</em><br>
<em>vlad@kagi.com</em><br>
<em>(and please feel free to write to me directly about anything Kagi related)</em></p>
