title: The next decade of the web
url: https://jamesg.blog/2024/05/19/next-web-decade/
hash_url: 50fb34a41d67e9468fce639e97fd62a3
archive_date: 2024-05-21
og_image: https://screenshots.jamesg.blog/?url=https://jamesg.blog/2024/05/19/next-web-decade/
description: My experience on the web has been one of dualities. 
favicon: https://jamesg.blog/favicon.ico
language: en_US

<p>My experience on the web has been one of dualities. </p>
<p>I grew up with the web being around: as a child, I played PBS and BBC games on our family computer. The web provided comfort when I was bored, and a place to open my eyes to the space around me. I fondly remember looking at photos from NASA on our home computer and being in awe. I saw stars from galaxies away, all from my computer screen, as a kid.</p>
<p>Through the web, I have found delight in mathematics, blog posts that encouraged me to seek help for my mental health, and people who opened my world view. I have an encyclopedia at my fingertips -- Wikipedia -- that is curated by people around the world.</p>
<p>I also use the web to work: through the internet, I found a job and connect with colleagues. I am a technical writer, tasked with documenting machine learning systems that are used across the world to solve problems. I publish my work on the web.</p>
<p>At the same time, the web has sometimes made me sad, stressed, or anxious. At the beginning of the pandemic, my use of social media made me cry. I was unable to take in all of the information. I already felt powerless over almost everything that was happening in the world (aside from my being able to stay at home to mitigate the spread of illness), and social media amplified that feeling. I started to take a break from social media: there was too much going on, and I needed quiet.</p>
<p>My web experience was thus enlightenment and disempowerment. Opportunity and anxiety. Tears and joy.</p>
<p>I started to wonder if things could be different. I wondered if rather than being <em>subjected to</em> social media where there were endless discussions going on every day and where I felt in limited control to curate my experience, there could be another way. That's when I found a community of people who wrote on their blogs: the IndieWeb. The IndieWeb, started before I had began high school, was founded on the proposition that the web could be different. That people could be first. That we could build our own experience.</p>
<p>The core value of the IndieWeb, individual empowerment, helped me realise a fundamental change in perspective: that the web was beautiful and at times difficult, but that we, the people, were in control. That as powerless as I may feel over change -- that I <em>have</em> to keep using social media to stay connected, watching ads and all -- things could be different.</p>
<p>I have been thinking about the future of the web, and technology more broadly. I noted recently that perhaps we will reach a time when we get bored of smartphones. When sharing this idea with friends, I added the caveat that I am potentially wearing rose-tinted glasses, trying to wish something into being. Yet, I do not think this is the case</p>
<p>There is already malaise about the state of the web. There are myriad problems: how social media contributes to loneliness, the contribution of such ready access to information to anxiety, the increased likelihood of encountering misinformation, the compulsions we build to check notifications on platforms that we use, the existence of so many platforms that we feel we have to be on not to miss out.</p>
<p>My vision for the web over the next ten years is that we can turn that feeling of malaise, which I think is rooted in disempowerment, into a feeling that things can be different.</p>
<p>No one person set off a light bulb in my mind that made me think I could have a personal website where I blog about all the things I find fun and interesting. Rather, it was seeing role models from all different backgrounds that made me think I could take more control of the web, and use the web as a platform not for consumption or creation for capital, but as a place of expression.</p>
<p>After the last decade, where <em>platforms</em> have emerged as a core constituent of the web on which many rely, it may feel like things cannot change. That the giants are so big that there is no other way. Yet, to give into this feeling -- that things can't change -- is not necessary. <em>It is the way it is</em> is not true on the web. We can make change. It's your web.</p>
<p>My knowing that the web is for the people opened me up to new community, opportunity, and helped me with my mental health. I found people who appreciated me for my writing. I found an audience who liked my work. I started to think that I could be myself without having to worry about engagement. Indeed, I eschew analytics. If one person reads what I write and likes it, I consider a piece of writing a great success. On social media, however, I didn't think that way.</p>
<p>Things can be different.</p>
<p>There are many beacons of hope across the web that suggest things can be different. People who write on their blogs. Photographers who share and sell art on their websites. Mastodon, a public commons where people can chat and where you can move your identity between different site owners if a site owner does something with which you disagree. <em>The Verge</em>, a news publication, has showed that whatever happens with the ecosystem -- search engines changing, for example -- journalists can build <em>destinations</em> where people go; that a home page can be where someone goes to news, rather than exclusively a social media timeline.</p>
<p>We are already making change, but to make more we need to reaffirm the foundations of the web: that the web is for people. We need to go out and shout from the rooftops that the web can be different. To do so effectively, we all need to be the change we want to see in the web. I do this by being myself on my personal website, and by sharing my writing on my site actively.</p>
<p>What changes you want to see will likely be different from mine. That's good. The web should support a plurality of visions. My vision for the web is for us to look to smaller communities. To say that perhaps we don't need scale. Indeed, the scale of social media was not a boon to me. It felt great to be connected to so many people, but I am not built for that. I want a small space where I can see everything my friends post online.  I am curious: what is your vision for the web?</p>
<p>Change will necessitate tools for change, too.</p>
<p>Mastodon is one example of a tool that can cause tidal shifts in our outlook and use of the web. Mastodon's existence says, every day, that we can have a web where the user is in control, where ads are not present among content we read, where we can post links to our own channels of distribution -- personal websites, portfolios, stores, etc. -- without worrying about demotion in ranking algorithms.</p>
<p>We will need more people to build more web tools that empower people. We need tools for people that are as easy to use as possible. We need tools that require no technological experience to use well. We need tools where conditions of usage are intuitive to understand. Tools where personal ownership is first.</p>
<p>I have a few asks of you, the reader.</p>
<p>If you do not have a personal website, take a look at my Wander page. There, you will find many web pages linked. See if anything excites you. Wander the web. Explore. as you explore, keep the idea in your mind that you, too, can have a personal website.</p>
<p>You can write about whatever you want on the web: works of fiction, stories from your life, reviews of movies -- whatever you want. You can share art -- photography, paintings, drawings, videos -- on your own platform. If something inspires you, take a note. Look into starting a website. You can start a website in an afternoon with a tool like WordPress. If you need help, you're welcome to email me at readers [at] jamesg [dot] blog.</p>
<p>If you do have a personal website, I encourage you to do what you can to reaffirm the idea that the web is for the people. You are already leading by example, and some writings on what you do and why you do it on the web would go a long way to contributing to the body of information we have on different ways the web can work. Indeed, the web is for people: documenting stories of how we all use the web creates more chances to reach people and evoke the idea that the web can be different.</p>
<p>In ten years, I hope I look back and feel that I have helped more people feel ownership over the time and places they spend on the web. I hope that more people join me in this, too. I may not have been writing this today if a few people ten years ago hadn't decided to start a small community dedicated to individual empowerment on the web. That shows the power of the web: a few people can create ideas that change the web, ideas that ripple through a decade. Your being the change you want to see in the web may have a multiplicative effect: someone sees how you do things, then they are inspired to take ownership over their web experience.</p>
