title: The secret power of a blog
url: https://tracydurnell.com/2024/09/29/the-secret-power-of-a-blog/
hash_url: 72bb85e63c3eb4caed75fbb77608a638
archive_date: 2024-09-30
og_image: https://secure.gravatar.com/avatar/b1231bba531dc25e30cd37258109de9c?s=160&d=mm&r=pg
description: 
favicon: https://tracydurnell.com/favicon.ico
language: en_US

<blockquote class="e-summary"><p>What has delighted me about the shit blog is how abundant it has made me feel. I sit down and type as fast as I can, and the results—well, they suck, but they don’t suck that much. They have a certain breeziness and some insights, too—insights of a different kind than I have in the serious essays. </p></blockquote>
<p><strong>A “shit blog” is a thing of power.</strong></p>
<p>If you only write when you’re sure you’ll produce brilliance, you’ll never write. Blogs can help <a href="https://tracydurnell.com/2022/11/09/tricking-your-brain-into-writing-the-way-you-want/">writers trick ourselves</a> out of performance anxiety with <a href="https://tracydurnell.com/2023/08/28/people-you-know-from-offline-dont-read-your-blog/">lower stakes</a>. As a tool, they’re deceptively simple: a blank text field grants you free rein, with the power to style and <a href="https://tracydurnell.com/2024/09/19/long-live-hypertext/">link</a> — your blog is there whether you’d like to <a href="https://tracydurnell.com/2024/03/01/article-pairing-the-immediacy-of-blogging/">dash off your initial reaction to the current Discourse</a>, <a href="https://marksuth.dev/posts/2024/09/indieweb-movie-club-august-2024-round-up-the-matrix">write a review of a twenty year old movie</a>, <a href="https://tracydurnell.com/2023/02/02/with-a-blog-everything-is-a-prompt/">take notes on something you’ve read</a>, or <a href="https://tracydurnell.com/2022/11/03/share-your-processes/">share how you do things</a>.</p>
<p>Blogs coax out <a href="https://tracydurnell.com/2023/01/15/understanding-blogs/">deeper thinking in smaller blocks</a>. <strong>A blog gives you the space to explore and nurture ideas over time</strong>, perhaps growing so slowly <a href="https://writingslowly.com/2023/11/07/how-to-make.html">you hardly notice the extent of the evolution of your thoughts</a> till you read something you wrote a few years ago.</p>
<p><span id="more-21197"></span></p>
<h2>We choose our blogging spaces</h2>
<p><strong>The spaces where we think and write shape what we make.</strong> On a website, you’re not bound to the shape of a social post, but able to write whatever and however much you want. Mandy Brown talks about reclaiming her creative attention by <a href="https://aworkinglibrary.com/writing/coming-home">recentering her work from her website instead of social platforms</a>*:</p>
<blockquote><p>It’s allowed me to cultivate the soil to suit my purposes—rather than having to adapt my garden to the soil I was given.</p></blockquote>
<aside class="sidenote">*I could have quoted a ton of this post, it’s well worth reading the whole thing!</aside>
<p>When we choose our own platform, rather than accepting the constrained spaces that silos begrudge us, <strong>we can decide where friction is helpful and where it blocks us</strong>. Annie Mueller calls out that <a href="https://anniemueller.com/posts/moving-to-pika">too much friction to publish adds self-imposed weight</a>:</p>
<blockquote><p>The more effort it takes to do something, the more value we expect it to have. That’s a way of protecting ourselves from making unwise investments.</p>
<p>The more friction existed, the higher the stakes felt to me, and the more it seemed like I needed to have <em>something very important and worthwhile to say</em> before I could (should) blog about it.</p></blockquote>
<p>To counter this impulse, she’s moved from WordPress to Pika, a simpler blogging platform. Self-publishing on a blog puts you in control of your creative environment — you can choose a CMS or roll your own.</p>
<h2>Blogs are working spaces</h2>
<p>Readers have different expectations for blog posts than more formal writing. Bloggers <a href="https://jvns.ca/blog/2023/06/05/some-blogging-myths/#myth-you-need-to-be-an-expert">don’t need to be experts</a> or <a href="https://tracydurnell.com/2023/11/01/mistakes-are-part-of-the-learning-process/">have all the answers</a>. Posts <a href="https://tracydurnell.com/2023/03/27/blog-posts-dont-have-to-be-long/">don’t have to be deep</a> or <a href="https://tracydurnell.com/2020/12/05/write-shorter/">long</a>. <strong>The blog’s form is practically made for active learning</strong>, for sharing thoughts and updates over a span of time.</p>
<p>We know, when we’re reading a blog, that we’re getting a glimpse into the writer’s active psyche, a tour of their studio as it were — not hearing their thesis presentation or reading their pre-print publication; <strong>hearing from other people <em>being people</em> is part of the appeal of blogs</strong>.</p>
<p><a href="https://tracydurnell.com/2024/06/19/good-idea/">Not every blog post will be great</a>, but it’s worth <a href="https://tracydurnell.com/2022/06/10/writing-anyway/">writing anyway</a>: it’s the coming back, the ongoing <a href="https://tracydurnell.com/2021/03/19/process-over-outcome/">practice of writing</a>, the commitment to self publishing that matters.</p>
<h2>The practice of blogging is the practice of thinking</h2>
<p>Your thinking doesn’t change with everything you write; it can take a while to nurture and explore new ideas. Lisa Olivera reflects on <a href="https://lisaolivera.substack.com/p/layers-upon-layers">the intrinsic value of her regular newsletter practice</a>, the commitment to writing even when she doesn’t necessarily have something big to say:</p>
<blockquote><p>[S]ometimes, the rhythm of showing up each week means more to me than what results; the process of sitting down and writing to you in this form means more than whether or not it’s “good” or “well received”; the ritual of saying yes to this practice means more than the outcome of it, or whether or not I write something I consider to be important or meaningful enough, or the judgments I have about any of it at all, really.</p></blockquote>
<p>Giving yourself time to grow comfortable with a set of ideas can help you <a href="https://cascadiainspired.com/thinking-better-with-my-mind-garden/">lay a foundation to build upon, connect, or interrogate</a>. Your ideas in each post aren’t necessarily new — but there’s value in revisiting.</p>
<h2>Blogs are safe spaces</h2>
<p>At the same time, the blog world is quieter than social media. Not very many people read blogs, and blogs are harder to engage with or share*, so the risk of a blogger going viral is low.</p>
<aside class="sidenote">*especially given how hard it is to link out on most corporate social media platforms.</aside>
<p>Lexi Merritt, writing about <a href="https://leximerritt.substack.com/p/trying-in-public">shitposting as a first foray into deeper writing online</a>, identifies that “trying in public is easier when you feel safe.” Your own blog is a pretty safe space to experiment. As a self-publisher, you can gate interactions with your writing; you get to decide whether to accept comments or post your contact info for readers.</p>
<p>It’s also a space where <a href="https://tracydurnell.com/2024/06/06/posting-frequency-as-the-heartbeat-of-a-blog/">setting your own pace is accepted</a>, whether that’s posting once a year or once a day. As Simon Reynolds puts it, <a href="https://blissout.blogspot.com/2022/12/a-blogging-renaissance.html?m=1">blogging is leisurely</a>:</p>
<blockquote><p>…blogging remains my favorite format precisely because the writing so rarely feels like labour… It feels like a leisure activity because it’s <em>leisurely</em> – a ramble across fields of culture and knowledge, during which you sneak short cuts and trespass into areas you are not meant to go… You can bundle or concatenate several different topics, push into adjacency things that don’t obviously or naturally belong together – like oddments inside a Cornell box.</p></blockquote>
<p>There’s something subversive about writing without concern for marketability or scale. Blogs are spaces where we can think, <a href="https://tracydurnell.com/2024/03/01/indieweb-interactions-what-builds-connection/">connect with each other</a>, and <a href="https://tracydurnell.com/2023/07/30/playing-together-online-reimagining-interactions/">play</a> without oversight from corporations. Blogging prioritizes ourselves and our own concerns. <strong>Your blog’s true power is that it unlocks *your* power.</strong></p>
