title: am i actually autistic?
url: https://winnielim.org/journal/am-i-actually-autistic/
hash_url: 865fc8257c3ca8577312b09ee24d4c6d
archive_date: 2024-05-13
og_image: https://winnielim.org/wp-content/uploads/2024/04/autistic-sketches-spectrum.jpeg
description: Recently I chanced upon a tweet stating that highly sensitive persons (HSPs) are basically autistic without admitting it. It surprised me, since the traits of HSPs as I know it seem to be the opposite of stereotypical autistic traits. A couple of decades ago I identified as a HSP, but I somewhat grew out of it before...
favicon: https://winnielim.org/favicon.ico
language: en_GB

<p>Recently I chanced upon <a href="https://twitter.com/SarahMarieOB/status/1780874113076142098">a tweet</a> stating that highly sensitive persons (HSPs) are basically autistic without admitting it. It surprised me, since the traits of HSPs as I know it seem to be the opposite of stereotypical autistic traits. A couple of decades ago I identified as a HSP, but I somewhat grew out of it before deciding what I have is actually cptsd. Apparently the person who wrote the book on HSPs based it on her grand-nephews, who were <a href="https://www.hsperson.com/pages/2Aug09.htm">later officially diagnosed as autistic</a>. So I went into a research rabbithole.</p>



<h2 class="wp-block-heading">non-stereotypical autism traits I have</h2>



<h3 class="wp-block-heading">hyper-empathy</h3>



<p>Later on I came across <a href="https://neurodivergentinsights.com/blog/autism-in-adulthood">this post</a> that lists a bunch of non-stereotypical autism traits. Hyper-empathy which can be interpreted as being highly-sensitive is one of them. The author odescribes how her hyper-empathy manifests:</p>



<blockquote class="wp-block-quote is-layout-flow wp-block-quote-is-layout-flow">
<p>For those of us with hyper-empathy, this is one of the factors that make socializing difficult. Personally, socializing becomes a full-body sensory experience for me. I find myself absorbing the energy of those around me. In the presence of extroverted individuals exuding positive energy, my body vibrates with an overwhelming intensity that feels intrusive. When encountering sadness, I melt into the heaviness alongside them. Interacting with someone who is dissociating causes my senses to dull, and my mind becomes foggy. I experience muscle tension and stress when around people experiencing stress and anxiety.</p>
</blockquote>



<p>I relate a lot to her experience. Maybe “absorbing energy” is a little too woo-woo for some people, but I could explain it scientifically in terms of mirror neurons and somatic stress. We have mirror neurons in our brains, and they fire when we observe someone doing something, <a href="https://www.apa.org/monitor/oct05/mirror">possibly eliciting a similar response in us</a>. This explains why we cringe when we see a knife cutting someone on tv, and therefore it is highly associated with empathy. </p>



<p>So I theorise hyper-empathetic people have over-active mirror neurons, and the psychological boundary between someone else and our selves becomes extremely fuzzy. For people with normal empathy there is probably some unconscious mechanism that quickly reminds the individual that they are observing is someone else, that this emotion does not belong to them. This mechanism does not really exist for hyper-empathetic people, or it is less robust. I feel pain when I see someone in pain, and it causes me a lot of stress. My body starts having a stress response – adrenaline starts flooding, muscles start tensing, emotions start overwhelming – as though I am the one in pain. Sometimes I may even over-identify with the pain, and it causes me more distress than the actual person. I was probably also over-projecting.</p>



<h3 class="wp-block-heading">existential OCD</h3>



<p>Existential OCD is also mentioned in the post. The concept of existential OCD is new to me so it was intriguing:</p>



<blockquote class="wp-block-quote is-layout-flow wp-block-quote-is-layout-flow">
<p>Existential OCD involves intrusive, repetitive thinking about questions which cannot possibly be answered, and which may be philosophical or frightening in nature, or both. The questions usually revolve around the meaning, purpose, or reality of life, or the existence of the universe or even one’s own existence. These same questions might come up in a university philosophy or physics class. However, most people can leave such classes or read about these topics and move on to other thoughts afterwards. Similar to other forms of OCD, individuals with Existential OCD can’t just drop these questions. – <a href="https://iocdf.org/expert-opinions/to-be-or-not-to-be-that-is-the-obsession-existential-and-philosophical-ocd/">International OCD Foundation</a></p>
</blockquote>



<p>So now I have something to explain and describe my obsessive thoughts about my own existence and/or the meaning of life. It is quite interesting how quickly I am able to accept my own quirks when it is an observed and documented phenomenon versus having to bear my own lonely weird quirk in this world.</p>



<h3 class="wp-block-heading">internal repetition</h3>



<p>Then there is internal repetition:</p>



<blockquote class="wp-block-quote is-layout-flow wp-block-quote-is-layout-flow">
<p>Another reason why high-masking Autistic adults are less likely to be identified is because of our tendency to internalize repetitions. This can manifest as internalized stimming, where we repeat the same sentence, or phrase, or engage in internal counting. It may also involve listening to a song on repeat for several hours.</p>
</blockquote>



<p>I don’t know if constantly repeating hurtful things people say to me is considered as internal repetition. These things haunt and hurt me for decades, and I am really not exaggerating. I also tend to replay traumatic incidents in my mind over and over again.</p>



<p>I thought listening to a song on repeat for several hours/days/months was normal for a music fan?</p>



<h3 class="wp-block-heading">special interests</h3>



<p>Autistic people tend to have special interests they can spend hours on. They can also talk about it forever, sometimes without noticing other people are not interested. The stereotypical autistic interests may be like dinosaurs and trains, for example. According to the blog post above people with non-stereotypical autism may have special interests which are more socially accepted. Well as you can see, my special interest is the internet. More specifically, using the internet as an infrastructure for self-expression and self-directed learning. </p>



<p>When I am into a specific interest, I go all out to learn about it. Some people get into running and are satisfied being able to run faster, I read dozens of books and research papers to determine how I should run. It was similar when I was trying to fix my metabolism. I now know the specifics of insulin signalling, how much leucine one needs to start building muscle, and why eating some food can cause oxidative stress. Sometimes I share this information with people I care about, and you can see their faces turn blank.</p>



<h2 class="wp-block-heading">stereotypical autistic traits I may have</h2>



<h3 class="wp-block-heading">stimming</h3>



<p>So I was convinced I have no stims unless we count internal repetition. But I suddenly realised I have the tendency to shake my legs. A lot. A quick google search shows that shaking legs <em>is</em> a form of stimming.</p>



<h3 class="wp-block-heading">sensory processing issues</h3>



<p>I am definitely have auditory sensory processing issues, hence I really dislike podcasts and calls, including video calls. Along with light sensitivity – they are my migraine triggers. My devices are permanently set in night and dark mode, and if possible I use e-ink. I am also uncomfortable with strong smells, so walking into an aromatherapy store is a nightmare. But (so far) I have no issues with fabric or most food.</p>



<h3 class="wp-block-heading">an intense hate/fear of phone calls</h3>



<p>It only occurred to me recently (in the last 1-2 years) that the reason why I hate phone calls is mostly because of sensory issues. It literally hurts my ears when I have to listen to people talk over an earpiece or a speaker. The muscles around my head and neck would tense up badly as I struggle to listen. </p>



<p>Another reason why I intensely dislike them is because they don’t allow me time to think about my response. When I was trying to freelance for the first time in my early 20s I would also encounter very aggressive or rude people on the phone, and it would give me stomachaches. I went back to full-time work because I cannot handle phone calls, and later on when I tried freelancing again I had a strict <a href="https://2008.winnielim.com/hire-me/email-only">no phone call policy</a> that all my clients thought were weird (and unreasonable). But I didn’t budge on it no matter what, because I knew phone/video calls would render me unable to work. Thankfully remote working was starting to take off then, so I was lucky in that aspect. Singapore was behind, but my clients were mostly startups and fans of 37signals (which I was also a fan of <a href="https://blogs.library.duke.edu/blog/2023/11/30/why-were-dropping-basecamp/">but now eugh</a>). </p>



<h3 class="wp-block-heading">writing really long texts</h3>



<p>Since I have auditory processing issues I have a huge preference for communication via text. Again, I didn’t know about this could be an autistic trait until I saw <a href="https://www.reddit.com/r/AutismInWomen/comments/n0z5er/because_this_is_easier_than_a_phonecall/">some memes</a> and <a href="https://www.reddit.com/r/aspergers/comments/i2dabl/do_you_write_excessively_long_texts_to_be/">threads</a> on reddit. This explains my excessively long blogging style so much!</p>



<p>I write long texts even in chat groups and 1:1 messaging, which I guess can be frustrating or endearing depending on who I am communicating with. Many people I know have a fear of writing especially in school, I thrived on it. They may also find it tedious, which is why they prefer phone calls. </p>



<h3 class="wp-block-heading">disliking small talk</h3>



<p>I thought this was just a personality preference, again. I never liked socialising, except for a short phase in my life when I thought I could become a different person because I was at a different place (SF). These days I don’t even like talking. </p>



<h3 class="wp-block-heading">social anxiety</h3>



<p>For quite a few years in my 20s – the same few years I refused phone calls – I refused to meet any new people because it made me very anxious. Internet friends would want to meet for coffee, and I just kept saying no. I prefer online friends and asynchronous communication. The thought of meeting people gave me stomachaches, again.</p>



<p>I managed to overcome this later especially for the development of my career, but on hindsight I realised it was because I was forced (by myself and by some people) to become better at masking. In-person engagements drain me terribly, even till now. I would lie on the floor and not move after attending meetings for work. </p>



<h3 class="wp-block-heading">feeling like an alien</h3>



<p>So I’ve always felt like I was an alien (not joking) since I was a small kid. I kept wishing that a spaceship would bring me back to my home planet. Entering adulthood, I had one single friend who also felt the same – she was instrumental to my life in many ways and kept me alive – later on we lost touch because she probably had enough of me. Back then I was an emotionally taxing person without being aware of it especially because I relied psychologically so much on her. </p>



<p>I thought feeling like an alien is a pretty rare phenomenon since I have not encountered anyone else feeling the same way, but <a href="https://www.google.com/search?q=autism+feeling+like+an+alien">a quick google search</a> shows that it is very common for autistic people. </p>



<h3 class="wp-block-heading">rejection sensitivity dysphoria (RSD)</h3>



<blockquote class="wp-block-quote is-layout-flow wp-block-quote-is-layout-flow">
<p>Rejection sensitive dysphoria (RSD) is when you experience severe emotional pain because of a failure or feeling rejected. This condition is linked to ADHD and experts suspect it happens due to differences in brain structure. Those differences mean your brain can’t regulate rejection-related emotions and behaviors, making them much more intense.</p>
<cite>– <a href="https://my.clevelandclinic.org/health/diseases/24099-rejection-sensitive-dysphoria-rsd">Cleveland clinic</a></cite></blockquote>



<p>I didn’t know something like this exists as a condition. This is also why I identified as a HSP when I was younger. I have always been told I am over-sensitive. This is a major trigger for my suicidal tendencies, because it felt like ending my life was the only way I could end the pain. It is highly related to my fear of abandonment as well, I react badly if I feel that someone I care about is abandoning me.</p>



<h3 class="wp-block-heading">demand avoidance</h3>



<p>Like RSD, I have only learnt about <a href="https://www.autism.org.uk/advice-and-guidance/topics/behaviour/demand-avoidance">this term</a> in the recent months. I thought I was simply being lazy. I have a lot of trauma associated with this, because there is a lot of shame being labelled as lazy or that I lack determination, and then there is a lot of fatigue having to do all sorts of things I don’t actually want to do. Sometimes there is intense fear or dislike behind doing something, and an entire life of having to suppress that fear or dislike is very draining. Which probably explains why I kept burning out.</p>



<h3 class="wp-block-heading">repeated burnouts</h3>



<p>I just believed I was a fragile person prone to burnouts. Now I can see why living in this world exhausts me.</p>



<h2 class="wp-block-heading">defining autistic traits I may not have</h2>



<h3 class="wp-block-heading">bottom-up processing</h3>



<p>In the book <a href="https://www.goodreads.com/en/book/show/58537365">Unmasking Autism</a>, the author similarly explores non-stereotypical autistic traits, but maintains what defines autism is the bottom-up processing style whereas neurotypicals use the top-down processing style. People who use bottom-up processing tend to use details to piece the entire picture, whereas people who use top-down processing tend to see the big picture first before adding the details. At least that is the conventional rudimentary explanation. </p>



<p>Based on this explanation I am definitely more of a top-down person. However I consulted an autistic friend, and she also relates more to the top-down style. It gets more confusing when I browsed online communities where some people say they too look at the big picture first, but the difference is they tend to need a lot of details thereafter, whereas most people are okay being fuzzy. For me it really depends on how interested I am in that topic.</p>



<h3 class="wp-block-heading">alexithymia</h3>



<p>I believe I can read people’s emotions and facial expressions pretty well, and I thrive on sarcasm. Or so I think. At least it is being corroborated by my close friends. I was told I am highly intuitive, many times I could sense someone’s emotions even before they are aware of them themselves. There are autistic people who <a href="https://www.reddit.com/r/AutismInWomen/comments/11l7lmc/am_i_the_only_one_who_doesnt_have_alexithymia/">don’t identify with having alexthymia</a> too, or they feel like they are at the extreme opposite end. </p>



<h3 class="wp-block-heading">avoidance of eye contact</h3>



<p>I have no issues with eye-contact, but they were challenging for me during my socially anxious days. It still makes me uncomfortable at times depending on the other party. </p>



<h2 class="wp-block-heading">the overlap with cptsd</h2>



<p>Many of the above traits overlap with <a href="https://pete-walker.com/fAQsComplexPTSD.html#complexPTSD">cptsd</a>. People with cptsd may have hyper-empathy too, because they have to quickly learn how to read/sense people’s moods and reactions in order to avoid being more hurt. They also have issues with emotional regulation.</p>



<p>But for me, suddenly I am not sure which is the chicken and which is the egg. Did my cptsd cause my neurodivergence, or did my neurodivergence cause my cptsd? Since my brain is over-sensitive and I have rejection sensitivity dysphoria, I may have reacted a lot worse to traumatic experiences in my life compared to the average person. Maybe for some people they would shrug it off eventually, and be able to appreciate the bright spots in their lives, but I was basically swimming in a pool of pain and sadness my entire life.</p>



<h2 class="wp-block-heading">throwing adhd in the mix</h2>



<p>It was also in the past year or so through memes that I realised <a href="https://winnielim.org/essays/my-messy-brain/" data-type="post" data-id="3802">I may have adhd</a>. From what I learnt online, it may be highly confusing to have both autism and adhd. They can cancel each other out, which explains why so many audhd people are undiagnosed until late in life. </p>



<blockquote class="wp-block-quote is-layout-flow wp-block-quote-is-layout-flow">
<p>“How can you be extremely rigid and need routines and structure, but also be completely incapable of maintaining a routine and structure?” – <a href="https://www.theguardian.com/lifeandstyle/2024/apr/04/audhd-what-is-behind-rocketing-rates-life-changing-diagnosis">https://www.theguardian.com/lifeandstyle/2024/apr/04/audhd-what-is-behind-rocketing-rates-life-changing-diagnosis</a></p>
</blockquote>



<h2 class="wp-block-heading">the definition of autism</h2>



<p>I guess it boils down to how we define autism. I am not autistic going by <a href="https://www.cdc.gov/ncbddd/autism/hcp-dsm.html">the DSM criteria</a>. But based on the blog post above I seem to exhibit many of the non-stereotypical autistic traits. The traditional autism diagnostic criteria is also biased towards a certain gender and race, so autism symptoms may manifest differently in minorities because of social pressure – i.e. they tend to mask in order to avoid upsetting people.</p>



<p>But what is autism exactly? I am not wiser after researching for a while. How does one decide that those non-stereotypical autistic traits <em>are</em> autistic traits versus some other form of neurodivergence? It seems like we still have a limited vocabulary and understanding when it comes to atypical brains. Is anyone who doesn’t process the world the same way as neurotypicals considered autistic? </p>



<p>According to UK’s <a href="https://www.autism.org.uk/advice-and-guidance/what-is-autism">National Autistic Society</a>, autism is characterised by</p>



<ul>
<li>Social communication and social interaction challenges</li>



<li>Repetitive and restrictive behaviour</li>



<li>Over- or under-sensitivity to light, sound, taste or touch</li>



<li>Highly focused interests or hobbies</li>



<li>Extreme anxiety</li>



<li>Meltdowns and shutdowns</li>
</ul>



<p>I can relate to all of the above. But I think the confusion comes from all of them not being extreme  enough to be easily identifiable or recognisable for me. </p>



<p>I scored pretty high (103) on <a href="https://embrace-autism.com/raads-r/">an online test</a> that was recommended by an autism subreddit. The interpretation of the score is: <em>Stronger indications of autism, although non-autistics may score as high.</em></p>



<h2 class="wp-block-heading">autism as a spectrum</h2>



<p>My friend reminded me that autism is a spectrum. I found this very helpful sketch that illustrates what a spectrum may look like:</p>



<figure class="wp-block-image size-full is-resized"><img fetchpriority="high" decoding="async" src="https://winnielim.org/wp-content/uploads/2024/04/autistic-sketches-spectrum.jpeg" alt="sketch of the autism spectrum by autism_sketches" class="wp-image-6545" srcset="https://winnielim.org/wp-content/uploads/2024/04/autistic-sketches-spectrum.jpeg 1000w, https://winnielim.org/wp-content/uploads/2024/04/autistic-sketches-spectrum-700x700.jpeg 700w, https://winnielim.org/wp-content/uploads/2024/04/autistic-sketches-spectrum-300x300.jpeg 300w, https://winnielim.org/wp-content/uploads/2024/04/autistic-sketches-spectrum-768x768.jpeg 768w" sizes="(max-width: 1000px) 100vw, 1000px"><figcaption class="wp-element-caption"><a href="https://www.instagram.com/p/CSe9uEqMVMB/?hl=en&amp;img_index=2">source</a></figcaption></figure>



<h2 class="wp-block-heading">does it matter if I am actually autistic or not</h2>



<p>I guess people can argue labels are just labels. Who cares about slapping on a label which may narrowly define who we are? But it matters for me. Ever since I began to contemplate I may be actually autistic I’ve started to look at myself differently, in a more compassionate manner. You could argue that I can be more compassionate regardless of my labels, but unfortunately my brain is not built that way. </p>



<p>My relationship with my partner has had noticeable improvements after we realised we may be both on the spectrum – albeit on different areas. My adhd self would get frustrated with her obsession with details that didn’t seem to relate to the topic at hand, and I thought she got too easily annoyed by my <a href="https://www.additudemag.com/doom-piling-adhd-sign-clutter/">doom piles</a> (it is a form of visual stress for her). She doesn’t get overwhelmed as easily as me, so she may find it difficult to understand my meltdowns. We both have sound and light sensitivities. </p>



<p>Things just make so much more sense if my brain is simply structured differently. It ironically makes me feel less misanthropic because now I can actually understand why I find it so challenging to accept typical human behaviour. It is not an intellectual concept that I cannot understand them. I neurologically cannot relate. Even my chronic suicidal ideation makes sense to me now.</p>



<h2 class="wp-block-heading">moving forward</h2>



<p>I am still in exploratory stages, so I am not sure what I am going to do. Will I get officially diagnosed? I am not sure if that is even possible, since I think people are still quite behind here in Singapore in terms of diagnostic criteria. I may hope to find an adult adhd/autism aware therapist, because I have experienced so many challenges and trauma in my entire life due to this. People who are diagnosed late in life go through a grieving process, because an earlier diagnosis would have spared them so much trauma, and appropriate interventions or adjustments could have improved the quality of their lives by leaps and bounds. If they have been diagnosed earlier, they could have learnt to thrive earlier.</p>



<p>Even if I am not autistic, I am definitely on some weird neurodivergent spectrum. Writing this post makes it crystal clear as I go through all my difficulties in writing.</p>



<p>I would at least attempt to redesign the way I live in order to be more protective of my difficulties. For example I have always been sensitive to noise on public transport but most of the time I don’t bother with headphones because it didn’t seem like a big deal. But I would probably be more inclined to put them on now since I would rather not deplete myself for unnecessary reasons.</p>



<p>I’ll probably write more of my experiences navigating this, and how it has and will change the way I interact with the world.</p>



<p>(Will appreciate your thoughts in the comments, if any)</p>
