title: ChatGPT et l’indifférence à la vérité
url: https://www.arthurperret.fr/blog/2024-06-21-chatgpt-et-l-indifference-a-la-verite.html
hash_url: 8b0a0eb43814f315e2b296aa5bdd5eee
archive_date: 2024-06-24
og_image: https://www.arthurperret.fr/img/scriptor.jpg
description: Site web dâArthur Perret, enseignant-chercheur en SIC.
favicon: https://www.arthurperret.fr/blog/favicon-32x32.png
language: fr_FR

<p>Vous connaissez peut-être le mot anglais <em>bullshit</em>, qu’on peut traduire en français par connerie ou foutaise. Le philosophe américain Harry Frankfurt en a fait un concept tout à fait sérieux<span class="citation" data-cites="frankfurt2005"><span><label for="sn-0" class="margin-toggle sidenote-number"></label><input type="checkbox" id="sn-0" class="margin-toggle"><span class="sidenote"><a href="#ref-frankfurt2005" role="doc-biblioref"><em>On bullshit</em>, 2005</a>.<br>
</span></span></span>. Pour lui, le <em>bullshit</em> n’est pas le mensonge mais l’indifférence à la vérité : les <em>bullshitters</em>, qu’on trouve notamment dans la publicité ou la politique, ne se préoccupent pas de savoir si ce qu’ils disent est vrai ou faux ; ce qui compte, ce sont les effets que leurs énoncés produisent.</p>
<p>Dans un article récent, que j’ai découvert <a href="https://etnadji.fr/veille/c3139f0d-40c8-4e50-b149-f587901f5e93.html">via Étienne Nadji</a>, trois auteurs appliquent ce concept de <em>bullshit</em> à ChatGPT<span class="citation" data-cites="hicks2024"><span><label for="sn-1" class="margin-toggle sidenote-number"></label><input type="checkbox" id="sn-1" class="margin-toggle"><span class="sidenote"><a href="#ref-hicks2024" role="doc-biblioref">Hicks, Humphries et Slater, <span>« ChatGPT is bullshit »</span>, 2024</a>.<br>
</span></span></span>. Pour eux, c’est une <em>bullshit machine</em> : un générateur de conneries. Autre traduction, plus littérale et plus vulgaire mais tout aussi parlante : ChatGPT dit de la merde.</p>
<p>Pourquoi ce débat terminologique est-il important ? Parce qu’il nous donne des ressources pour critiquer le terme « hallucination », utilisé pour décrire le fait que ChatGPT génère parfois de fausses informations – un terme impropre et dont il faudrait se débarrasser si on veut avoir un vrai débat sur ce que des outils comme ChatGPT risquent de faire à nos sociétés.</p>
<hr>
<p>Dire que ChatGPT « hallucine » est un anthropomorphisme : c’est une métaphore, une représentation calquée sur une réalité que nous vivons en tant qu’humains ; en l’occurrence, on hallucine quand on perçoit quelque chose qui n’est pas vraiment là.</p>
<p>Or la réalité du fonctionnement de ChatGPT, qui est basé sur un grand modèle de langue (<em>large language model</em>, LLM) est très différente :</p>
<blockquote>
<p><span class="marginnote"><em>“LLMs do not perceive, so they surely do not “mis-perceive”. […] What occurs in the case of an LLM delivering false utterances is not an unusual or deviant form of the process it usually goes through […] the very same process occurs when its outputs happen to be true. […] It falsely indicates that ChatGPT is, in general, attempting to convey accurate information in its utterances. Where it does track truth, it does so indirectly, and incidentally. […] It is bullshitting, even when it’s right.”</em></span> « Les LLMs ne perçoivent pas, ils ne peuvent donc pas “mal percevoir”. […] Lorsqu’un LLM énonce quelque chose de faux, ce n’est pas dû à un accident de parcours […] il suit exactement le même processus lorsqu’il énonce quelque chose de vrai. […] Dire que ChatGPT hallucine, c’est sous-entendre qu’en temps normal il essaye de transmettre des informations justes. Or c’est faux : le fait que ChatGPT tombe juste n’est qu’un résultat indirect de son fonctionnement. […] ChatGPT se fout de ce qu’il raconte, y compris quand il a raison<span class="citation" data-cites="hicks2024"><span><label for="sn-2" class="margin-toggle sidenote-number"></label><input type="checkbox" id="sn-2" class="margin-toggle"><span class="sidenote"><a href="#ref-hicks2024" role="doc-biblioref"><em>Ibid.</em>, p. 38‑39</a>.<br>
</span></span></span>. »</p>
</blockquote>
<p>C’est essentiel à comprendre : en tant que programme, la fonction de ChatGPT n’est pas de nous informer mais de simuler un interlocuteur humain. Pour cela, il assemble des éléments de langage de manière probabiliste. Les messages qu’il produit de cette manière n’ont de fond que pour la forme : ils doivent être cohérents d’un point de vue linguistique, et c’est ce qui définit leur contenu sémantique ; que ce contenu soit vrai ou faux, peu importe.</p>
<p>Alors pourquoi parle-t-on d’« hallucinations » ? Pour les concepteurs d’outils, comme OpenAI pour ChatGPT, c’est assez intéressant : au lieu de reconnaître leur responsabilité dans la création d’un générateur de conneries, ils rejettent la faute sur les modèles de langue qui ne seraient pas assez aboutis. La solution est alors toute trouvée : il faut continuer à améliorer les modèles. Jouer sur le langage permet à ces acteurs économiques de détourner notre attention et d’esquiver des épreuves de justification : c’est la mécanique de l’impensé<span class="citation" data-cites="robert2020"><span><label for="sn-3" class="margin-toggle sidenote-number"></label><input type="checkbox" id="sn-3" class="margin-toggle"><span class="sidenote"><a href="#ref-robert2020" role="doc-biblioref">Robert (dir.), <em>L’impensé numérique - Tome 2</em>, 2020</a>.<br>
</span></span></span>.</p>
<p>Pour compléter, on peut reprendre le vocabulaire de <span class="citation" data-cites="mcluhan1968">McLuhan<span><label for="sn-4" class="margin-toggle sidenote-number"></label><input type="checkbox" id="sn-4" class="margin-toggle"><span class="sidenote"><a href="#ref-mcluhan1968" role="doc-biblioref"><em>Pour comprendre les médias</em>, 2015 [1968]</a>.<br>
</span></span></span> et analyser ChatGPT en tant que média : on cherche ici à attirer notre attention sur le contenu de ChatGPT plutôt que sur son caractère. On se focalise sur la nature vraie ou fausse des propos générés ; ce qui nous pousse dans une logique familière, celle de la lutte contre la désinformation qui passe notamment par la vérification des faits. Ce faisant, on n’examine pas la nature de ChatGPT en tant que média, son caractère ; or c’est ce dernier qui influence le plus nos activités, et qui peut affecter durablement l’évolution de nos sociétés.</p>
<p>Ce qui caractérise ChatGPT, nous l’avons vu, c’est qu’il se fout de ce qu’il raconte : il communique pour communiquer. Je crois qu’il y a lieu de s’inquiéter des effets d’un tel média sur nos sociétés. Comme le dénonçait notamment Norbert Wiener, lorsqu’il n’y a de communication que pour elle-même, elle n’a plus de valeur<span class="citation" data-cites="wiener2014a"><span><label for="sn-5" class="margin-toggle sidenote-number"></label><input type="checkbox" id="sn-5" class="margin-toggle"><span class="sidenote"><a href="#ref-wiener2014a" role="doc-biblioref"><span>« Rôle de l’intellectuel et du savant »</span>, 2014 [1954]</a>.<br>
</span></span></span>.</p>
<p>Quelle culture de l’information ChatGPT pourrait-il produire ? Récemment, Julien Gossa signalait <a href="https://social.sciences.re/@juliengossa/112597638789699369">sur Mastodon</a> <a href="https://open.devinci.fr/ressource/etude-2024-impact-ia-generatives-etudiants/">un sondage</a> effectué au sein des écoles privées du pôle Léonard de Vinci, et qui suggère que l’utilisation de ChatGPT par des étudiants se traduit le plus souvent par une dépendance à l’outil sans réelle maîtrise de celui-ci : ChatGPT augmente la productivité mais réduit la littératie. L’IA générative est-elle en train de fabriquer de nouvelles formes d’usines, comme le suggère Olivier Ertzscheid dans <a href="https://cfeditions.com/ia-cyberespace/">son dernier ouvrage</a>, avec un « cognitariat<span class="citation" data-cites="newfield2009"><span><label for="sn-6" class="margin-toggle sidenote-number"></label><input type="checkbox" id="sn-6" class="margin-toggle"><span class="sidenote"><a href="#ref-newfield2009" role="doc-biblioref">Newfield, <span>« Structure et silence du cognitariat »</span>, 2009</a>.<br>
</span></span></span> » docile ?</p>
<p>Les crises auxquelles l’humanité fait face nécessitent un sursaut d’intelligence collective ; la rhétorique de l’« hallucination » masque un projet de société qui va dans le sens inverse. Même si <a href="https://www.arthurperret.fr/veille/2024-04-04-implosion-de-la-bulle-ia.html">la bulle IA implose</a>, ses effets peuvent pourrir plusieurs générations d’apprenants, donc il faut réagir. L’un des axes stratégiques, c’est l’éducation aux médias et à l’information. Comme je l’ai esquissé dans ce billet, les SIC peuvent produire des analyses critiques de ChatGPT en tant que média, pour alimenter cette réponse. Au boulot !</p>
<section id="bibliographie" class="level1">
<h1>Bibliographie</h1>
<aside>
Pour une synthèse de la littérature scientifique critique sur l’intelligence artificielle générative, on peut consulter le travail de Baldur Bjarnason, que j’avais signalé <a href="2023-08-22-ia-llm-chatgpt-quelques-analyses.html">dans une note de veille</a>, notamment son ouvrage <a href="https://illusion.baldurbjarnason.com"><em>The Intelligence Illusion</em></a>.
</aside>
<div id="refs" class="references csl-bib-body" role="list">
<p id="ref-frankfurt2005" class="csl-entry" role="listitem">
<span class="smallcaps">Frankfurt</span>, Harry G. <em>On bullshit</em>. Princeton University Press, 2005. 978-0-691-12294-6.
</p>
<div id="ref-hicks2024" class="csl-entry" role="listitem">
<span class="smallcaps">Hicks</span><p>, Michael Townsen, </p><span class="smallcaps">Humphries</span><p>, James et </p><span class="smallcaps">Slater</span><p>, Joe. </p><span>« ChatGPT is bullshit »</span><p>. </p><em>Ethics and Information Technology</em><p>. 2024, Vol. 26, n° 2, p. 38. </p><a href="https://doi.org/10.1007/s10676-024-09775-5">https://doi.org/10.1007/s10676-024-09775-5</a><p>.
</p></div>
<p id="ref-mcluhan1968" class="csl-entry" role="listitem">
<span class="smallcaps">McLuhan</span>, Marshall. <em>Pour comprendre les médias: les prolongements technologiques del’homme</em>. Trad. par Jean Paré. Seuil, 2015 [1968]. 978-2-7578-5014-5.
</p>
<div id="ref-newfield2009" class="csl-entry" role="listitem">
<span class="smallcaps">Newfield</span><p>, Christopher. </p><span>« Structure et silence du cognitariat »</span><p>. </p><em>Multitudes</em><p>. Trad. par Yves Citton. 2009, Vol. 39, n° 4, p. 68‑78. </p><a href="https://doi.org/10.3917/mult.039.0068">https://doi.org/10.3917/mult.039.0068</a><p>.
</p></div>
<div id="ref-robert2020" class="csl-entry" role="listitem">
<span class="smallcaps">Robert</span><p> (dir.). </p><em>L’impensé numérique - Tome 2. Interprétations critiques et logiques pragmatiques de l’impensé</em><p>. Editions des archives contemporaines, 2020. 978-2-8130-0357-7. </p><a href="https://doi.org/10.17184/eac.9782813003577">https://doi.org/10.17184/eac.9782813003577</a><p>.
</p></div>
<p id="ref-wiener2014a" class="csl-entry" role="listitem">
<span class="smallcaps">Wiener</span>, Norbert. <span>« Rôle de l’intellectuel et du savant »</span>. Dans : <em>Cybernétique et société: l’usage humain des êtres humains</em>. Trad. par Ronan Le Roux et Pierre Yves Mistoulon. Seuil, 2014 [1954], p. 158‑162. 978-2-7578-4278-2.
</p>
</div>
