title: Turning the Tables on AI
url: https://ia.net/topics/turning-the-tables-on-ai
hash_url: 8f9d64c455a9246d5e23810ed10e3fe2
archive_date: 2024-06-24
og_image: https://ia.net/wp-content/uploads/2024/06/AI-Turn-Table-Think-Different.png
description: AI is sold to make us think less... How about using AI not to think less but *more*?
favicon: https://ia.net/wp-content/themes/iA-library/assets/hotlink-ok/favicon-192x192.png
language: en_US

<p>Artificial Intelligence has assimilated Microsoft, Facebook, Google, and now Apple. There is no escape: As soon as you open your computer you’re invited to skip thinking and let the machine fill the void. But what if we used AI not to think less but <em>more</em>?</p>
<p>AI has one trait: It makes everything the same. Every tech company now offers more or less the same service: “Think less.” How about Apple? Think different? Not anymore.</p>
<p>Tech companies big and small sell AI as something that thinks for us. It <em>does</em> replace thought with statistics—but it is not intelligent. No one knows what the future will bring. But is a future without thought a better future?</p>
<p>Now, with a tool that might help us think… How about using AI not to think less but <em>more</em>?</p>
<p><em>But I don’t know where to start. But I really like that ChatGPT sentence there. But I can’t say it better. But I’m stuck. But I’m worried I wrote something stupid. But I just need to correct some commas and typos. But I need a second opinion.</em></p>
<p>Let’s turn the tables on our excuses.</p>
<h2>1. Don’t ask AI, let AI ask you</h2>
<h3>a) But I don’t know where to start</h3>
<p>Give ChatGPT an outline and let it write for you. Let’s turn the tables and have ChatGPT prompt <em>us</em>. Tell AI to ask you questions about what you’re writing. Push yourself to express in clear terms what you really want to say. Like this, for example:</p>
<blockquote>
<p>I want to write [format] about [topic]. Ask me questions one at a time that force me to explain my idea.</p>
</blockquote>
<p>Keep asking until your idea is clear to you. Here’s how such a dialog where ChatGPT prompts <em>you</em> would look:</p>
<p><figure class="compare">
<img decoding="async" src="https://ia.net/wp-content/uploads/2024/06/write-for-me.png" alt class="macOS littleshadow"></figure></p>
<figcaption><b>Write for me:</b> This is how AI is sold to us. But why write if you have nothing to say? Who would read it, and why?</figcaption>
<p>
<figure class="compare">
<img decoding="async" src="https://ia.net/wp-content/uploads/2024/06/ask-ChatGPT.png" alt class="macOS littleshadow"></figure></p>
<figcaption><b>Ask me instead:</b> Make AI ask *you* questions about your text. Copy-paste your answers. First draft done.</figcaption>
<p></p>
<p>Once you have enough to work with, paste <em>your</em> answers into your text editor. You have just written your first draft without cheating.</p>
<p>ChatGPT may have asked or said some clever things along the way. Feeling tempted to steal it? Don’t. Rather use it as a chance to think and express what you feel.</p>
<h2>2. Don’t sell stolen goods—make your own</h2>
<h3>b) But I really like that ChatGPT sentence there</h3>
<p><em>What if the ChatGPT generated something useful that I want to keep?</em> Paste it as a note <em>Marked as AI.</em> Use quotes, use markup, and note its origin.</p>
<p><figure class="compare">
<img decoding="async" src="https://ia.net/wp-content/uploads/2024/06/paste-as-AI-from-ChatGPT.png" alt class="macOS littleshadow"></figure></p>
<figcaption><b>Paste as AI:</b> Want to use AI-generated output? In Writer, right-click and select Paste as AI.</figcaption>
<p>
<figure class="compare">
<img decoding="async" src="https://ia.net/wp-content/uploads/2024/06/text-marked-as-ai.png" alt class="macOS littleshadow"></figure></p>
<figcaption><b>External sources in Writer:</b> iA Writer greys out text that you marked as AI so you can always discern what is yours and what isn’t.</figcaption>
<p></p>
<h2>3. Don’t pretend. Create</h2>
<h3>c) But I can’t say it better</h3>
<p><em>What if Artificial Intelligence says exactly what I wanted to say?</em> Rethink and rewrite it to make it your own. Ask if what has been generated is really true. At first glance, it may look tight, but if you really think it through, you’ll find mistakes. Feel it, mean it, think it through. Say it your way.</p>
<p><figure class="compare">
<img decoding="async" src="https://ia.net/wp-content/uploads/2024/06/cheating-with-ia-writer.png" alt class="macOS littleshadow"></figure></p>
<figcaption><b>It’s not yours (yet):</b> Writer brings your own words to the foreground as you type over AI-generated text. But don’t just change a word and claim it as yours. Rethink and rewrite until you own it.</figcaption>
<p>
<figure class="compare">
<img decoding="async" src="https://ia.net/wp-content/uploads/2024/06/don-t-cheat-think-2.png" alt class="macOS littleshadow"></figure></p>
<figcaption><b>This is yours:</b> Don’t sweat it if you have one or two common words left over from ChatGPT (here it’s “cheat,” in grey). What matters is that you thought it through by yourself.</figcaption>
<p></p>
<p>Continue working on your first draft by cutting and ordering your thoughts. Focus on what you want to say and get yourself into the flow. And you can forget ChatGPT for the next few hours. The story is yours now.</p>
<h2>4. Editing: Cut, clarify, simplify</h2>
<p>Idea, structure, first draft, editing, and publishing seem to be separate steps. In reality, they’re connected. Your idea takes form as you write. Writing and editing go hand in hand until the idea wants to be shared. And even while you’re editing, Gemini, ChatGPT, and similar tools can help again.</p>
<h3>d) But I’m stuck</h3>
<p><em>Can’t find the right way to say something?</em> Tell ChatGPT to regenerate parts of your document, make it shorter and in the style of your favorite writer to help contrast your writing with somebody else’s.</p>
<p><figure class="compare">
<img decoding="async" src="https://ia.net/wp-content/uploads/2024/06/rewrite-as-tom-wolfe.png" alt class="macOS littleshadow"></figure></p>
<figcaption><b>The same in Tom Wolfe’s Style:</b> Your thoughts in a different style. Don’t copy-paste. Compare and improve.</figcaption>
<p>
<figure class="compare">
<img decoding="async" src="https://ia.net/wp-content/uploads/2024/06/rewrite-as-george-carlin.png" alt class="macOS littleshadow"></figure></p>
<figcaption><b>The same in George Carlin’s Style:</b> Using comedians to see your thoughts from another angle is a nice way to catch a break, especially when you write about dark matters.</figcaption>
<p></p>
<h3>e) But I’m worried I wrote something stupid</h3>
<p><em>Worried you missed something obvious?</em> You can use ChatGPT as an editor to list potential flaws, like long words, clichés, or factual errors.</p>
<p><figure class="compare">
<img decoding="async" src="https://ia.net/wp-content/uploads/2024/06/list-long-words-with-alternatives.png" alt class="macOS littleshadow"></figure></p>
<figcaption><b>Find long words:</b> List long words and suggest shorter alternatives. Don’t simply find and replace. Rethink the sentences.</figcaption>
<p>
<figure class="compare">
<img decoding="async" src="https://ia.net/wp-content/uploads/2024/06/rhetoric_devices.png" alt class="macOS littleshadow"></figure></p>
<figcaption><b>Find rhetoric devices:</b> More food for thought.</figcaption>
<p></p>
<p>Use “list” rather than rewrite. Rewriting can lead to all sorts of unwanted changes. They can be hard to spot because ChatGPT seems so smooth, grammatically and orthographically.</p>
<h3>f) But I just need to correct some commas and typos</h3>
<p><em>But what if it’s really just commas or typos?</em> Then paste ChatGPT’s text over your own as edits. With Authorship enabled, iA Writer will show you what ChatGPT changed. This way you’ll make sure that it doesn’t rewrite things you said.</p>
<p><figure class="compare">
<img decoding="async" src="https://ia.net/wp-content/uploads/2024/06/fix-typos-with-chatgpt.png" alt class="macOS littleshadow"></figure></p>
<figcaption><b>Paste edits as:</b> You can paste the edited text over the text you have written.</figcaption>
<p>
<figure class="compare">
<img decoding="async" src="https://ia.net/wp-content/uploads/2024/06/fixed-comma-2.png" alt class="macOS littleshadow"></figure></p>
<figcaption><b>AI changes are grey:</b> In this case, ChatGPT has added a comma. Make sure you agree with every change, no matter how small.</figcaption>
<p></p>
<h3>g) But I need a second opinion</h3>
<p><em>What weaknesses have I missed in my writing?</em> Ask ChatGPT for progressively harsher critiques of your writing. That can be unpleasant, but that’s how you find and fix your blind spots, without the shame.</p>
<p><figure class="compare">
<img decoding="async" src="https://ia.net/wp-content/uploads/2024/06/criticize-as-hard-as-you-can.png" alt class="macOS littleshadow"></figure></p>
<figcaption><b>Criticize my text:</b> Ask for harsh feedback, otherwise ChatGPT will be too forgiving.</figcaption>
<p>
<figure class="compare">
<img decoding="async" src="https://ia.net/wp-content/uploads/2024/06/far-from-done.png" alt class="macOS littleshadow"></figure></p>
<figcaption><b>Far from done:</b> ChatGPT will find weaknesses. But rather than blindly obeying, rethink weaknesses that you agree with. Use iA Writer’s Syntax Highlight to find more flaws (did you spot the two “now’s”?).</figcaption>
<p></p>
<h2>Why bother?</h2>
<p>Enthusiasts present AI as a magic wand that can solve humanity’s biggest problems. In the meantime, it uses an exponential amount of energy to make everything the same.</p>
<p>With every thought we outsource, we miss out on a chance to grow. Love it or hate it, AI is here to stay. However we use it, we need to think more, not less.</p>
