title: Cinq idées reçues lors de l’école d’été sur les humanités numériques
url: https://www.lobrassard.net/carnet/2024-06-14-idees-recues-ecole-ete-humanites-numeriques.html
hash_url: 92ca1fc6eb390997db6b76afaf742d63
archive_date: 2024-06-24
og_image: https://www.lobrassard.net/img/couverture.png
description: Carnet de recherche de Louis-Olivier Brassard.
favicon: data:;base64,iVBORw0KGgo=
language: fr_FR

<p><a href="https://www.michaelsinatra.org/teaching/ete-2024/">L’école d’été « humanités numériques »</a> coordonnée par le professeur <a href="https://www.michaelsinatra.org/">Michael Sinatra</a> réunit chaque année une heureuse ribambelle de professeur·e·s chercheur·euse·s qui présentent, à raison de deux conférences par jour pendant six jours, une facette des <em>humanités numériques</em>.</p>
<h2 id="une-ia-moins-humaine-pourrait-elle-être-plus-juste-ollivier-dyens">1. Une IA <em>moins humaine</em> pourrait-elle être <em>plus juste</em> ? – Ollivier Dyens</h2>
<p>L’une des grandes peurs entourant le déploiement des systèmes d’intelligence artificielle (<abbr title="intelligence artificielle">IA</abbr>) concerne ses potentielles « dérives », quand celle-ci pourrait « déraper ». Sauf que, rappelle Ollivier Dyens, l’humanité n’a pas eu besoin de l’<abbr title="intelligence artificielle">IA</abbr> pour commettre des atrocités – camps de concentration, bombe atomique, massacres à la machette et à la baïonnette, etc. <em>Pourquoi devrions-nous avoir davantage peur de l’<abbr title="intelligence artificielle">IA</abbr> ?</em></p>
<p>L’intelligence artificielle, en tant que reflet de « nous-mêmes », pourrait en fait nous servir de miroir, à nous faire voir ce qui nous caractérise (en tant qu’êtres humains, individuellement et collectivement), à nous montrer nos propres biais – et en particulier ceux que nous n’arrivons pas à discerner nous-mêmes.</p>
<p>En guise de réflexion, Ollivier Dyens pose la question suivante : <mark>est-ce qu’il n’y aurait pas une possibilité de « sortir » l’humain de la boucle de décision éthique, pour qu’elle soit justement « moins humaine »</mark> – comportant donc moins de biais, moins de cruauté –, ce qui en ferait justement un système peut-être <em>plus juste</em> ?</p>
<h2 id="toute-expression-artistique-nest-pas-protégeable-par-le-droit-dauteur-au-canada-du-moins-olivier-charbonneau">2. Toute expression artistique n’est pas protégeable par le droit d’auteur <em>(au Canada du moins)</em> – Olivier Charbonneau</h2>
<p><mark>La danse n’est pas protégée par le droit d’auteur.</mark> En fait, au Canada, elle n’est pas <em>protégeable</em>. Pourquoi ? Parce qu’une chorégraphie est quelque chose d’<em>intangible</em>, de non fixé (une idée n’est d’ailleurs pas protégeable en vertu du droit d’auteur).</p>
<p>Ce qui est protégeable, en revanche, c’est une <em>fixation de l’œuvre</em>, comme une captation : les droits d’auteur s’appliquent alors sur <em>le fichier vidéo</em> qu’une personne pourrait produire, et les droits reviennent non pas le danseur ou la chorégraphe, mais bien la personne derrière la caméra, qui est responsable de la fixation de l’œuvre.</p>
<p>Sur quoi se base-t-on pour établir le droit d’auteur ? Sur le concept d’<em>originalité juridique</em>, dont la définition formelle <a href="https://www.culturelibre.ca/2023/06/19/droit-dauteur-sur-les-donnees-en-humanites-numeriques/">se résume à une formule étonnamment courte</a> :</p>
<blockquote>
<p>Talent, jugement et effort dans la sélection et l’arrangement des éléments<span class="citation" data-cites="Charbonneau2023"></span>.</p>
</blockquote>
<p>Une <a href="https://www.canlii.org/fr/ca/caf/doc/1997/1997canlii6378/1997canlii6378.html">compilation</a> (données, analyse, listes d’œuvres, etc.) pourrait ou non être protégée en vertu du droit d’auteur, en fonction de son originalité – et toujours à condition d’être fixée sur un support quelconque.</p>
<h2 id="lévaluation-par-les-pairs-nest-pas-un-gage-de-fiabilité-vincent-larivière">3. L’évaluation par les pairs n’est pas un gage de fiabilité – Vincent Larivière</h2>
<p>L’évaluation par les pairs constitue le principal critère de « scientificité » d’un document, ce qui le distingue par exemple d’un billet d’humeur publié un blogue personnel. C’est un filtre, mais elle n’empêche pas la publication : à terme, environ 90% des articles soumis seront publiés, peut-être simplement dans des revues moins prestigieuses.</p>
<p><mark>La prépublication est plus fiable qu’on pourrait le penser</mark> : 80% des articles ne sont à peu près pas changés après la révision par les pairs ; l’évaluation n’apporte généralement pas de différences significatives en matière de contenu. Il ne s’agit pas de dire que l’évaluation par les pairs est inutile, mais que la mise à disposition avant la publication dite « officielle » (qui peut prendre des années après l’obtention des résultats de recherche) est peut-être <em>moins essentielle</em> qu’on le pense en matière de diffusion.</p>
<h2 id="déformer-une-œuvre-pour-la-lire-autrement-marta-boni">4. Déformer une œuvre pour la lire autrement – Marta Boni</h2>
<p>Professeure spécialisée dans les études télévisuelles, Marta Boni a montré qu’une lecture performative permet de « lire » une œuvre vidéo d’une tout autre manière. Par « l’exploration vidéo », des chercheurs comme Jason Mittell utilisent les techniques de montage pour déformer, puis re-former une œuvre (comme l’analyse des personnages de <cite>Breaking Bad</cite> faite par Mittell<span class="citation" data-cites="Mittell2024"></span>).</p>
<div class="margin-note">
<p>Parmi les exemples de « déformation<span class="citation" data-cites="Mittell2021"></span> » et de « lecture oppositionnelle<span class="citation" data-cites="Hall1980"></span> » (<em>cf.</em> Stuart Hall), Mittel a superposé tous les plans d’un film afin d’en produire <a href="http://www.digitalhumanities.org/dhq/vol/15/1/000521/000521.html">une image inédite</a>.</p>
</div>
<p><mark>L’exploration vidéo peut ainsi être utilisée pour faire des découvertes imprévues</mark> ; elle ouvre la voie à de nouvelles façons d’entrer en contact avec les œuvres, de manière performative. Surtout, elle permet de dépasser la notion de « faire du sens » pour en arriver à « faire autre chose ».</p>
<h2 id="qui-contrôle-la-mémoire-visuelle-julien-shuh">5. Qui contrôle la mémoire visuelle ? – Julien Shuh</h2>
<p>Avec l’IA, de nouveaux acteurs entrent dans l’équation de la <em>mémoire culturelle collective</em> : ce qu’on conserve (et ce qu’on oublie), comment on le conserve (ce qu’on numérise ou non), ce qu’on choisit de montrer et de diffuser, etc. Constat : ce qu’on peut voir sur une plateforme de visionnement en ligne comme Netflix finit par être beaucoup plus regardé, et les films plus anciens « disparaissent » avec les algorithmes de recommandation. On regarde davantage ce qui est présenté, et on regarde moins ce qui ne l’est pas. <mark>Les outils qui contrôlent « ce qui est visible » ont aujourd’hui un impact important sur la société</mark>, et en particulier sur la mémoire visuelle collective.</p>
<p>Autre exemple : les Google Doodle, qui rendent saillants (en fonction du pays) des événements historiques « dignes de mention ». Cela rend <em>davantage visibles</em> certains événements et en <em>invisibilise</em> d’autres. Un clic sur le Doodle du jour mène à une requête sur le moteur de recherche, laquelle présente un fait historique d’une certaine manière (la page de résultats de Google). Le premier résultat est la page Wikipédia ; les gens ne vont donc pas cliquer au hasard sur Internet, mais sur des liens présélectionnés par Google. Et la page Wikipédia (de surcroît la plus visitée) contient désormais du texte <a href="https://fr.wikipedia.org/wiki/Wikip%C3%A9dia:Illustrations_g%C3%A9n%C3%A9r%C3%A9es_par_une_intelligence_artificielle">et de nombreuses images</a> générés par <abbr title="Acronyme: intelligence artificielle">IA</abbr>, dont les contextes de génération, de sélection et de diffusion ne sont pas tous transparents…</p>
<p>Par exemple : une <a href="https://commons.wikimedia.org/wiki/File:Gainsboug-Gall-1965-Italie.png">photographie de France Gall</a> téléversée sur Wikimedia Commons a été colorisée, mais aussi retouchée pour effacer des sujets dans l’arrière-plan (voir la <a href="https://commons.wikimedia.org/wiki/File_talk:Gainsboug-Gall-1965-Italie.png#Des_%C3%A9l%C3%A9ments_de_l'image_d'origine_ont_%C3%A9t%C3%A9_effac%C3%A9s">section discussion</a>). La version retouchée figure d’ailleurs sur la <a href="https://fr.wikipedia.org/wiki/France_Gall">page Wikipédia de France Gall</a>. Enfin, la page web citée comme provenance comporte plutôt une image rognée qui n’est fort probablement pas la source du fichier.</p>
<figure>
<img src="https://www.lobrassard.net/img/2024-06-14-photographie-france-gall-comparaison.jpg" alt="Comparaison entre une numérisation de la photogarphie d’origine (obtenue sur le site Gala.fr) et une image retouchée, mise en ligne sur Wikimedia Commons.">
<figcaption aria-hidden="true">Comparaison entre une numérisation de la photogarphie d’origine (obtenue sur le site <a href="https://photo.gala.fr/photos-serge-gainsbourg-les-femmes-de-sa-vie-44322">Gala.fr</a>) et une image retouchée, mise en ligne sur Wikimedia Commons.</figcaption>
</figure>
<p>Un tel cas de figure fait surgir plusieurs questions : d’où provient ou telle image ? pourquoi a-t-elle été sélectionnée plutôt qu’une autre ? par qui ? au nom de quelle autorité ? quelle proportion d’une image retouchée renvoie-t-elle à l’orginal, et quelle est la part de transformation ? quel est le sens de la circulation d’une telle image, transformée ou générée ? par qui ou par quoi est-elle passée avant de nous parvenir, et pour quelles raisons ? Je remercie Juien Schuh pour une anecdote aussi foisonnante en questions…</p>

