title: Why Not Mars (Idle Words)
url: https://idlewords.com/2023/1/why_not_mars.htm
hash_url: 9dee199dbf71b1176eaac521e828693b
archive_date: 2024-05-21
og_image: https://idlewords.com/images/mars_img/mars_sarlacc.jpg
description: It's slow, expensive, the engineering is mostly port-a-potty chemistry, and the best-case outcome is that thirty years from now weâll get to watch someone remotely operate a soil scoop from Mars instead of Pasadena
favicon: 
language: en_US

<p class="p4"><i>For a successful technology, reality must take precedence over public relations, for nature cannot be fooled.</i></p>
<p class="p5"><span class="s2">— <a href="https://www.refsmmat.com/files/reflections.pdf"><span class="s3">Richard Feynman</span></a></span></p>

<p class="p7"><img src="https://idlewords.com/images/mars_img/mars_sarlacc.jpg" alt="Sunken pit on Mars with 30 meter wide hole showing cavern beneath"></p>

<p class="caption">Entrance to underground cavern on Pavonis Mons. HiRISE, 2011</p>

<p>The goal of this essay is to persuade you that we shouldn’t send human beings to Mars, at least not anytime soon. Landing on Mars with existing technology would be a destructive, wasteful stunt whose only legacy would be to ruin the greatest natural history experiment in the Solar System. It would no more open a new era of spaceflight than a Phoenician sailor crossing the Atlantic in 500 B.C. would have opened up the New World. And it wouldn’t even be that much fun.</p>

<p>The buildup to Mars would not look like Apollo, but a long series of ISS-like flights to nowhere. If your main complaint about the International Space Station is that it’s too exciting and has a distracting view of Earth out the window, then you’ll love watching ISS Jr. drift around doing bone studies in deep space. But if you think rockets, adventure, exploration, and discovery are more fun than counting tumors in mice, then the slow and timorous Mars program will only break your heart.</p>

<p>Sticking a flag in the Martian dust would cost something north of half a trillion dollars <a id="fnlink1"></a><a class="fnote" href="#fn1"><sup>[1]</sup></a>, with no realistic prospect of landing before 2050 <a id="fnlink2"></a><a class="fnote" href="#fn2"><sup>[2]</sup></a>. To borrow a quote from John Young, keeping such a program funded through fifteen consecutive Congresses would require a series “of continuous miracles, interspersed with acts of God”. <a id="fnlink3"></a><a class="fnote" href="#fn3"><sup>[3]</sup></a> Like the Space Shuttle and Space Station before it, the Mars program would exist in a state of permanent redesign by budget committee until any logic or sense in the original proposal had been wrung out of it.</p>

<p>When the great moment finally came, and the astronauts had taken their first Martian selfie, strict mission rules meant to prevent contamination and minimize risk would leave the crew dependent on the same robots they’d been sent at enormous cost to replace. Only the microbes that lived in the spacecraft, uninformed of the mission rules, would be free to go wander outside. They would become the real explorers of Mars, and if their luck held, its first colonists.</p>

<p>How long such a program could last is anyone’s guess. But if landing on the Moon taught us anything, it’s that taxpayer enthusiasm for rock collecting has hard limits. At ~$100B per mission, and with launch windows to Mars one election cycle apart<a id="fnlink4"></a><a class="fnote" href="#fn4"> <sup>[4]</sup></a>, NASA would be playing a form of programmatic Russian roulette. It’s hard to imagine landings going past the single digits before cost or an accident shut the program down. And once the rockets had retired to their museums, humanity would have nothing to show for its Mars adventure except some rocks and a bunch of unspeakably angry astrobiologists.  It would in every way be the opposite of exploration.</p>




<p class="p11"><img src="https://idlewords.com/images/mars_img/blue_dunes.jpg" alt="Blue dunes on Mars"></p>
<p class="caption">Polar sand dunes, HiRISE, 2009</p>



<p class="p7">It wasn’t always like this. There was a time when going to Mars made sense, back when astronauts were a cheap and lightweight alternative to costly machinery, and the main concern about finding life on Mars was whether all the trophy pelts could fit in the spacecraft. No one had been in space long enough to discover the degenerative effects of freefall, and it was widely accepted that not just exploration missions, but complicated instruments like space telescopes and weather satellites, were going to need a permanent crew <a id="fnlink5"></a><a class="fnote" href="#fn5"><sup>[5]</sup></a>.</p>

<p class="p7">But fifty years of progress in miniaturization and software changed the balance between robots and humans in space. Between 1960 and 2020, space probes improved by something like six orders of magnitude<a id="fnlink6"></a><a class="fnote" href="#fn6"><sup>[6]</sup></a>, while the technologies of long-duration spaceflight did not. Boiling the water out of urine still looks the same in 2023 as it did in 1960, or for that matter 1060. Today’s automated spacecraft are not only strictly more capable<a id="fnlink7"></a><a class="fnote" href="#fn7"><sup>[7]</sup></a> than human astronauts, but cost about a hundred times less<a class="fnote" id="fnlink8"></a><a class="fnote" href="#fn8"> <sup>[8]</sup></a> to send (though it’s hard to be exact, since astronauts have not gone anywhere since 1972<a id="fnlink9"></a><a class="fnote" href="#fn9"><sup>[9]</sup></a>). </p>

<p class="p7">The imbalance between human and robot is so overwhelming that, despite the presence of a $250 billion<a id="fnlink10"></a><a class="fnote" href="#fn10"><sup>[10]</sup></a> International Space Station National Laboratory, every major discovery made in space this century has come from robotic spacecraft <a id="fnlink11"></a><a class="fnote" href="#fn11"><sup>[11]</sup></a>. In 2023, we simply take it for granted that if a rocket goes up carrying passengers, it’s not going to get any work done.</p>

<p class="p7">As for that space station, the jewel of human spaceflight, it exists in a state of nearly perfect teological closure, its only purpose being to teach its creators how to build future spacecraft like it. The ISS crew spend most of their time fixing the machinery that keeps them alive, and when they have a free moment for science, they tend to study the effect of space on themselves. At 22 years old<a id="fnlink12"></a><a class="fnote" href="#fn12"> <sup>[12]</sup></a>, the ISS is still as dependent on fresh meals and clean laundry sent from home as the most feckless grad student. </p>

<p class="p7">And yet this orbiting end-in-itself is also the closest we’ve come to building an interplanetary spacecraft. The idea of sending something like it on a three year journey to Mars does not get engineers’ hearts racing, at least not in the good way.</p>



<p class="p11"><img src="https://idlewords.com/images/mars_img/mars_polar_spring.jpg" alt="Spring in the polar areas of Mars"></p>
<p class="caption">Mars in the springtime. The dots and dark lines are conjectured to be flow phenomena connected with sublimating dry ice. HiRISE, 2008</p>


<p class="p7">Mars is also not the planet we took it for. The first photos Mariner 4 sent back in 1965 were shocking; instead of bucolic canals they showed a waterless, cratered wasteland not much different from the Moon. Ten years later, the Viking landers confirmed that Mars was a frozen, desiccated world bathed in sterilizing radiation, where any Earth creature that arrived unprotected would be dead before it hit the ground. </p>

<p class="p7">But as orbiters started arriving in the 2000’s, Mars got a glow-up. The surface might be dry, but in most places there was water ice just underneath. Dynamic surface features hinted that water (or at least brine) was flowing to the surface from deep underground. In 2020, radar surveys found evidence of at least two subglacial lakes<a id="fnlink13"></a><a class="fnote" href="#fn13"><sup>[13]</sup></a> under the south polar cap, strongly implying a reservoir of geothermal heat<a id="fnlink14"></a><a class="fnote" href="#fn14"><sup>[14]</sup></a>. And earlier this month, an article in Nature announced the discovery of an active mantle plume<a id="fnlink15"></a><a class="fnote" href="#fn15"><span class="s6"><sup>[15]</sup></span></a> below Elysium Planitia, catapulting Mars onto the VIP list of geologically active worlds.</p>

<p class="p7">The news from the ground also got better. Arriving at Gale Crater in 2012, the Curiosity rover found itself looking at an ordinary lake bed, complete with organic sediment and odd stick-like structures<a id="fnlink16"></a><a class="fnote" href="#fn16"><span class="s6"><sup>[16]</sup></span></a> that would be called fossils if we found them on Earth. The crater had been habitable for millions of years<a id="fnlink17"></a><a class="fnote" href="#fn17"><sup>[17]</sup></a> in the past, and something in it was still emitting methane at night<a id="fnlink18"></a><a class="fnote" href="#fn18"><sup>[18]</sup></a>. Over in its own crater, the <i>Perseverance</i> rover found complex organic molecules of indeterminate origin.</p>
<p class="p12"><br></p>

<p class="p7"><img src="https://idlewords.com/images/mars_img/black_dunes.jpg" alt="Black sand dunes on Mars"></p>
<p class="caption">Sand dunes, HiRISE 2016</p>


<p class="p7">But the really exciting news for Mars was the discovery of unexpected life on Earth. Microbiologists had long suspected that the 12,000 or so<a id="fnlink19"></a><a class="fnote" href="#fn19"><sup>[19]</sup></a> known species of microbes were just a fraction of the total, with perhaps another hundred thousand<a id="fnlink20"></a><a class="fnote" href="#fn20"><span class="s7"><sup>[20]</sup></span></a> “unculturable” species left to discover. But when new sequencing technology became available at the turn of the century, it showed the number of species might be as high as <i>one</i> <i>trillion</i> <a id="fnlink21"></a><a class="fnote" href="#fn21"><sup>[21]</sup></a>. In the genomic gold rush that followed, researchers discovered not just dozens of unsuspected microbial phyla<a id="fnlink22"></a><a class="fnote" href="#fn22"><sup>[22]</sup></a>, but two entire new branches of life<a id="fnlink23"></a><a class="fnote" href="#fn23"><sup>[23]</sup></a>.</p>

<p class="p7">These new techniques confirmed that earth’s crust is inhabited to a depth of kilometers by a ‘deep biosphere’ of slow-living microbes nourished by geochemical processes and radioactive decay. One group of microbes was discovered still living their best lives<a id="fnlink24"></a><a class="fnote" href="#fn24"><span class="s6"><sup>[24]</sup></span></a> 100 million years after being sealed in sedimentary rock. Another was found enjoying a rewarding, long-term relationship with fungal partners deep beneath the seafloor<a id="fnlink25"></a><a class="fnote" href="#fn25"><span class="s8"><sup>[25]</sup></span></a>. This underground ecology, which we have barely started to explore, might account for a third<a id="fnlink26"></a><a class="fnote" href="#fn26"><sup>[26]</sup></a> of the biomass on earth. </p>

<p class="p11"><img src="https://idlewords.com/images/mars_img/tree_of_life.jpg" alt="Image"></p>

<p class="caption">Our family tree, circa 2016. Branches with red dots are ones we know nothing about. <br>Another 1,300 microbial phyla may remain undiscovered <a id="fnlink27"></a><a class="fnote" href="#fn27"><span class="s6"><sup>[27]</sup></span></a>. You and I are in the bottom right corner.</p>


<p class="p7">At this point, it is hard to <i>not</i> find life on Earth. Microbes have been discovered living in cloud tops<a id="fnlink28"></a><a class="fnote" href="#fn28"><span class="s9"><sup>[28]</sup></span></a>, inside nuclear reactor cores<a id="fnlink29"></a><a class="fnote" href="#fn29"><span class="s6"><sup>[29]</sup></span></a>, and in aerosols high in the stratosphere<a id="fnlink30"></a><a class="fnote" href="#fn30"><span class="s6"><sup>[30]</sup></span></a>. Bacteria not only stay viable for years on the space station hull, but sometimes do better out there<a id="fnlink31"></a><a class="fnote" href="#fn31"><span class="s10"><sup>[31]</sup></span></a> than inside the spacecraft. Environments long thought to be sterile, like anoxic brines at the bottom of the Mediterranean sea<a id="fnlink32"></a><a class="fnote" href="#fn32"><span class="s6"><sup>[32]</sup></span></a>, are in fact as rich in microbial life as a gas station hot dog. Even microbes trapped for millions of years in salt crystals<a id="fnlink33"></a><a class="fnote" href="#fn33"><span class="s6"><sup>[33]</sup></span></a> or Antarctic ice<a id="fnlink34"></a><a class="fnote" href="#fn34"><span class="s11"><sup>[34]</sup></span></a> have shown they can wake up and get back to metabolizing<a id="fnlink35"></a><a class="fnote" href="#fn35"><span class="s12"><sup>[35]</sup></span></a> without so much as a cup of coffee. </p>

<p class="p7">The fact that we failed to notice 99.999% of life on Earth until a few years ago is unsettling and has implications for Mars. The existence of a deep biosphere in particular narrows the habitability gap between our planets to the point where it probably doesn’t exist—there is likely at least one corner of Mars that an Earth organism could call home. It also adds support to the theory that life may have started as an interplanetary infection, a literal Venereal disease that spread across the early solar system by meteorite<a id="fnlink36"></a><a class="fnote" href="#fn36"><span class="s8"><sup>[36]</sup></span></a>.  If that is the case, and if our distant relatives are still alive in some deep Martian cave, then just about the worst way to go looking for them would be to land in a septic spacecraft. </p>



<p class="p7"><img src="https://idlewords.com/images/mars_img/polar_dust_devil2.jpg" alt="Image"></p>
<p class="caption">Dust devil tracks on Mars. What causes the dark parallel lines is still unknown. HiRISE, 2009.</p>

<p class="p7">But the fact that a Mars landing stopped making sense has not had the slightest impact on NASA’s plan to go there in a rocket-propelled terrarium. Though facts may change, and technology may change, one thing will always remain the same—we’re going to Mars, 1950’s style.</p>

<p class="p7">It is difficult to get NASA leadership to explain the purpose of this mission, not because they're obdurate, but because they seem genuinely confused by the question. We’ve already been to the Moon, and Mars comes after the Moon. What part of that is not clear? The idea that a human landing might be in tension with other forms of exploration, or that the might need to make a case for the mission, does not enter into their thinking. </p>

<p class="p7">Last summer, at a press briefing on the Moon to Mars program<a id="fnlink37"></a><a class="fnote" href="#fn37"><sup>[37]</sup></a>, a journalist asked NASA Administrator Bill Nelson to explain to Americans in plain language why NASA wanted to send astronauts to Mars and to the Moon. His reply is worth quoting in full:</p>

<blockquote>“This is what I would tell them. First of all, we are explorers and adventurers as a species. That basically is the fulfilment of our destiny. But, in that exploration, we’re going to learn new things and develop new things that is going to improve, just as it’s been under our space program, our lives here on Earth.

<p>Last week I was in Kansas, I was with a corn farmer, where we are giving him real time information on the moisture content of the soil in this crop and next to it, that crop, so that he knows what to plant. Those instruments obviously for example can pick up disease, pick up disease in forest that then become susceptible to fire. That certainly is going to help our life here on Earth. And those are things that have come out of the space program, things that we can’t even think of.

</p><p>But there’s more. When we go to Mars in the late 30’s<a id="fnlink38"></a><a class="fnote" href="#fn38"><sup>[38]</sup></a>, just think how much more we’re going to understand about our Solar System, and about the Universe, as a result of things like many of our instruments out there, not the least of which is the James Webb Space Telescope. We may have by that time found an asteroid that we don’t have to protect Earth on, as we want to try with DART in another month, but we may find an asteroid that has valuable materials on it, metals, that we can harvest. By 2040, we may have detected life elsewhere in the universe. And think what that’s going to do in our yearning for exploration. <span class="Apple-converted-space"> 

<p>So I can’t answer specifically the question, “what happens after Mars?” I just know we’re going to know a lot more between now and then. And our discoveries and our exploration are going to continue. And the apt analogy was given by [Associate Administrator] Bhavya [Lal]. When Thomas Jefferson sent Lewis and Clark all the way to the Pacific coast, look what happened as a result!</p>

</span></p></blockquote>



<p>I include Nelson’s full remarks because this is the most substantive explanation I’ve found from NASA for their Mars landing. <a id="fnlink40"></a><a class="fnote" href="#fn40"><sup>[40]</sup></a> Note that none of the programs he references (Global Agricultural Monitoring, DART, Landsat, the Webb Space Telescope, and TESS) have any connection to human spaceflight, let alone Mars. The only parts of this answer that apply to Mars are the bits about destiny, exploration, and Lewis and Clark (who I have to stress were looking for an ocean of liquid water).

</p><p class="p7">If the head of NOAA Ocean Exploration (budget: $25 million) or the U.S. Antarctic Program ($350 million) held a press conference announcing a plan to fulfill human destiny, they’d be carrying their belongings home in a cardboard box before sundown.  But our space agency is held to a lower standard.  

</p><p class="p7">All this would be fine if it was just talk. But NASA spent more on their Moon and Mars programs in 2022<a id="fnlink41"></a><a class="fnote" href="#fn41"><sup>[41]</sup></a> than the total budget of the National Science Foundation<a id="fnlink42"></a><a class="fnote" href="#fn42"><sup>[42]</sup></a>. And in 2024, they plan to start launching pieces of a new space station, the Gateway, which by the laws of orbital bureaucracy will lock us in to decades of having to invent reasons to go visit the thing.</p>

<p class="p7">Somehow we’ve embarked on the biggest project in history even though it has no articulable purpose, offers no benefits, and will cost taxpayers more than a good-sized war. Even the builders of the Great Pyramid at Giza could at least explain what it was <i>for</i>. And yet this project has sailed through an otherwise gridlocked  system with the effortlessness of a Pentagon budget. Presidents of both parties now make landing on Mars an official goal of US space policy. Even billionaires who made their fortune automating labor on Earth agree that Mars must be artisanally explored by hand. </p>

<p class="p7">The whole thing is getting weird.</p>
<p class="p12"><br></p>

<p class="p11"><img src="https://idlewords.com/images/mars_img/mars_volunteers.jpg" alt="Image"></p>
<p class="caption">Volunteers carry out a mock mission at the Mars Desert Research Station in Utah (photo: <span class="s13">Brian van der Brug)</span></p>

<h2>The Mars Religion</h2>

<p class="p7">When you hold on to a belief so strongly that neither facts nor reason can change it, what you are doing is no longer science, but religion. So I’ve come to believe the best way to look at our Mars program is as a faith-based initiative. There is a small cohort of people who really <i>believe</i> in going to Mars, the way some people believe in ghosts or cryptocurrency, and this group has an outsize effect on our space program.</p>

<p class="p7">At NASA, the faith takes the form of a cargo cult. The agency has persuaded itself that re-enacting the Moon landings with enough fidelity will reward them with a trip to Mars, bringing back the limitless budgets, uncomplicated patriotism, and rapt public attention of the early sixties. They send up their rockets with the same touching faith that keeps Amtrak hauling empty dining cars across the prairie, dreaming of the golden age of rail. </p>
<p class="p7">Outside of NASA, the Mars faith shades darker. It is part of a transhumanist worldview that holds mankind must either spread to the stars or die. Elon Musk, the Martian spiritual leader, has talked about the need to “preserve the light of consciousness” by making us a multiplanetary species. As he sees it, Mars is our only way off of a planet crawling with existential risk. And it's not just enough to explore mars; we have make it a backup for all civilization. Failing to stock it with subsistence farming incels would be tantamount to humanity lying down in its open grave.</p>

<p class="p7">That is some heavy stuff to lay on a small, rocky world. </p>


<p class="p7">I think it’s time we brought the Mars talk down to earth, and started approaching a landing there as an aerospace project rather than the fulfillment of God’s plan. But so far, public discourse on Mars has mostly been about whose rocket is bigger and which billionaire can get his up the fastest.  

</p><p>Since we’re already paying for this program, why not look at it in more detail?  It's pretty clear what a Mars mission would look like, how long it would take, and where the big technology gaps are. We’ve learned a great deal about Mars itself, and have twenty years of ISS technical reports to work from. So let's have ourselves a good old fashioned nerdfight. 

</p><p>In what follows, I want to lay out the case against Mars in more technical detail than I’ve been able to find elsewhere. Then we can argue about it online, on the merits, like space nerds used to.

</p><p class="p7">The argument I’ll make has three parts:</p>




<h2>1. Research</h2>
<p class="p11"><img src="https://idlewords.com/images/mars_img/nyberg_eye_exam.jpg" alt="Image"></p>

<p class="caption">Astronaut Karen Nyberg performs an eye exam on the ISS in 2013</p>



<p>The things that make going to Mars hard are not fun space things, like needing a bigger rocket, but tedious limits of human physiology. Understanding these limits well enough to get to Mars will require years of human experiments beyond low Earth orbit<a id="fnlink43"></a><a class="fnote" href="#fn43"><sup>[43]</sup></a>.</p>

<p>In particular, we need preliminary data on the physiological effects of partial gravity,<a id="fnlink44"></a><a class="fnote" href="#fn44"><sup>[44]</sup></a> and a better estimate of the risk from heavy ion radiation<a id="fnlink45"></a><a class="fnote" href="#fn45"><sup>[45]</sup></a>. Since core tradeoffs around crew safety depend on the outcome, these experiments have to be done before NASA can finalize a mission design.</p>

<p>Absent a miracle in appropriations, the only practical place to do this research will be on the Moon<a id="fnlink46"></a><a class="fnote" href="#fn46"><sup>[46]</sup></a>. This puts a working lunar base on the critical path to a Mars landing, and means any delay or snag in NASA’s Artemis program automatically pushes back the earliest date for a Mars landing.</p>

<p>This research gap is what makes it impossible to get to Mars quickly, even with unlimited funding<a id="fnlink47"></a><a class="fnote" href="#fn47"><sup>[47]</sup></a>. Unless you’re willing to risk the safety of the crew, there’s no way to avoid watching astronauts sit around on the Moon for a few years with their Geiger counters out.</p>
<p class="p10"><br></p>


<h2>2. Engineering</h2>

<p class="p7"><img src="https://idlewords.com/images/mars_img/isspresso_in_action.jpg" alt="Interior of Skylab"></p>

<p class="caption">Italian astronaut Samantha Cristoforetti tests ISSpresso, her country's  contribution to the ISS life support system, in 2015</p>


<p class="p7">The chief technical obstacle to a Mars landing is not propulsion, but a lack of reliable closed-loop life support<a id="fnlink48"></a><a class="fnote" href="#fn48"><sup>[48]</sup></a>. With our current capability, NASA would struggle to keep a crew alive for six months on the White House lawn, let alone for years in a Martian yurt. </p>

<p class="p7">The technology program required to close this gap would be remarkably circular, with no benefits outside the field of applied zero gravity zookeeping. The web of Rube Goldberg devices that recycles floating animal waste on the space station has already cost twice its weight in gold<a id="fnlink49"></a><a class="fnote" href="#fn49"><sup>[49]</sup></a> and there is little appetite for it here on Earth, where plants do a better job for free.</p>

<p class="p7">I would compare keeping primates alive in spacecraft to trying to build a jet engine out of raisins. Both are colossal engineering problems, possibly the hardest ever attempted, but it does not follow that they are problems worth solving. In both cases, the difficulty flows from a very specific design constraint, and it’s worth revisiting that constraint one or ten times before starting to perform miracles of engineering.</p>

<p class="p7">What makes life support so vexing is that all the subcomponents interact with each other and with the crew. There’s no such thing as a life support unit test; you have to run the whole system in space under conditions that mimic the target mission. Reliability engineering for life support involves solving mysteries like why gunk formed on a certain washer on Day 732, then praying on the next run that your fix doesn’t break on Day 733. The process repeats until the first crew makes it home alive (figuratively speaking), at which point you declare the technology reliable and chill the champagne.</p>

<p class="p7">Unlike the medical research, there’s no way to predict how long these trials might take. A typical exploration profile<a id="fnlink50"></a><a class="fnote" href="#fn50"><sup>[50]</sup></a> needs two different kinds of life support (for the spacecraft and the surface) that together have to work for about 1000 days. The spacecraft also has to demonstrate that it can go dormant for the time the crew is on Mars and still work when it wakes up. </p>

<p class="p7">Twenty years of tinkering with the much simpler systems on the space station have brought them no closer to reliability.  And yet to get a crew to Mars, we’d need to get this stuff working like a Swiss watch. Humanity does not need a billion dollar shit dehydrator that can work for three years in zero gravity, but a Mars mission can’t leave Earth without it.</p>



<h2>3. Contamination</h2>

<p class="p6"><img src="https://idlewords.com/images/mars_img/heat_shield.jpg" alt="Image"></p>
<p class="caption">Debris left by the Perserverance landing, photographed in April 2022 by the Ingenuity helicopter.</p>

<p> Humans who land on Mars will not be able to avoid introducing a large ecosystem of microbes to the area around the landing site. If any fugitives from the spacecraft make their way to a survivable niche on Mars, we may never be able to tell whether biotic signatures later found on the planet are traces of native life, or were left by escapees from our first Martian outhouse. Like careless investigators who didn’t wear gloves to a crime scene, we would risk permanently destroying the evidence we came to collect.</p>

<p>“No exploration without contamination” would be a good phrase to stencil in red letters above the airlock (ideally before welding it shut). Contamination risk is a real showstopper for Mars, one of those problems that gets worse the more carefully you look at it. It should put the planet off limits to human explorers until we’re either sure that there is no pathway from the spacecraft to a habitable Martian environment, or are confident for other reasons that the consequences don’t matter<a id="fnlink51"></a><a class="fnote" href="#fn51"><sup>[51]</sup></a>. </p>

<p>Even the astronaut corps recognizes that exploring Mars and keeping it pristine are irreconcilable activities, like trying to drill for oil in a cleanroom. The problem goes beyond practical questions like how to store 17 months of astronaut shit and gets to the crux of the matter: why is bringing a leaky, bacteria-filled terrarium to Mars step one<a id="fnlink52"></a><a class="fnote" href="#fn52"><sup>[52]</sup></a> in our search for Martian life? What incredible ability do astronauts have that justifies taking this risk?</p>

<p>Skeptics point out that Earth microbes have already landed on Mars, both on robotic landers<a id="fnlink53"></a><a class="fnote" href="#fn53"><sup>[53]</sup></a> and the occasional meteorite. But as we’ll see, the diverse microbiome that would travel with a human crew poses a qualitatively different threat<a id="fnlink54"></a><a class="fnote" href="#fn54"><sup>[54]</sup></a>, and would have a far better chance of getting settled on Mars, than the sad loners clinging to rovers like <i>Curiosity</i>.</p>

<p>Even if you don’t care about contamination, NASA is required by treaty to care<a id="fnlink55"></a><a class="fnote" href="#fn55"><sup>[55]</sup></a>, and that has severe consequences for mission design. It means human landing sites will intentionally be kept far from anything interesting. The phenomena of greatest scientific interest on Mars (gullies, recurrent slope lineae, intermittent methane sources, and underground water) will all be off-limits to astronauts. So will terrain features like caves or lava tubes that could conceivably shelter life. The crew will not live in a Martian pueblo, but something resembling a level 4 biocontainment facility<a id="fnlink56"></a><a class="fnote" href="#fn56"><sup>[56]</sup></a>. And even there, they’ll have to do their lab work remotely, the same way it’s done today, raising the question of what exactly the hundreds of billions of dollars we’re spending to get to Mars are buying us.</p>


<p class="p10"><br></p>

<p class="p11"><img src="https://idlewords.com/images/mars_img/ultimi_scopuri2.jpg" alt="Image"></p>
<p class="caption">Ice near Ultimi Scopuri. ESA/Mars Express, 2022</p>

<p class="p7">That’s my case against Mars in a nutshell: it comes front-loaded with expensive research, the engineering is mostly port-a-potty chemistry, and the best-case outcome is that thirty years from now, we’ll get to watch someone remotely operate a soil scoop from Mars instead of Pasadena.</p>


<p class="p7">I understand not wanting to let go of a cherished dream. But I also have a cherished dream, which is to see space exploration happen in my lifetime. And it is hard to overlook that the $93 billion<a id="fnlink57"></a><a class="fnote" href="#fn57"><sup>[57]</sup></a> NASA has already spent through 2025 to not land anyone on the Moon would be enough<a id="fnlink58"></a><a class="fnote" href="#fn58"><sup>[58]</sup></a> to send probes to every world in the solar system, including moons we know have oceans of liquid water<a id="fnlink59"></a><a class="fnote" href="#fn59"><sup>[59]</sup></a> and two entire planetary systems that haven’t been visited since <i>Voyager 2</i> gave them a quick once-over in the 1980’s.<a id="fnlink60"></a><a class="fnote" href="#fn60"><sup>[60]</sup></a></p>

<p class="p7">And let’s not forget Mars! For my part, I would love to know what causes recurrent slope lineae, why there is methane at Gale Crater, and whether anything is swimming in the subsurface lakes discovered in 2018. Orbiters have already found dozens of creepy caves and pits, any one of which would be worth looking into. And the discovery that Mars is geologically active should inspire a search for life deep underground. Exploring these environments remotely won’t be easy, but whatever technology we invent to do it will pay dividends on missions across the solar system. </p>


<p class="p7"><img src="https://idlewords.com/images/mars_img/spots_dune.jpg" alt="Image"></p>

<p class="caption">Polar dunes showing carbon dioxide frost and sublimation phenomena, HiRISE 2007</p>



<h2>ON THIS PLANET WE BELIEVE IN SCIENCE</h2>

<p class="p7">We’re at a rare moment when the United States is in between white elephant space projects. The ISS is nearing the end of its life<a id="fnlink61"></a><a class="fnote" href="#fn61"><sup>[61]</sup></a>, and tensions between NASA and Roscosmos have filled all hearts with hope that we can soon drop the thing into the ocean. For the first time since Nixon, Americans have a chance to choose a bolder future for their space program.</p>

<p class="p7">One path forward would be to build on the technological revolution of the past fifty years and go explore the hell out of space with robots. This future is available to us right now. Simply redirecting the $11.6 billion budget<a id="fnlink62"></a><a class="fnote" href="#fn62"><sup>[62]</sup></a> for human space flight would be enough to staff up the Jet Propulsion Laboratory and go from launching one major project per decade to multiple planetary probes and telescopes a year<a id="fnlink63"></a><a class="fnote" href="#fn63"><sup>[63]</sup></a>. It would be the start of the greatest era of discovery in history.</p>

<p class="p7">A different path forward would take us to Mars the slow, dangerous, and hard way. It would take decades and cost hundreds of billions of dollars. It requires developing a solipsistic technology that can’t take us anywhere else except Venus<a id="fnlink64"></a><a class="fnote" href="#fn64"><sup>[64]</sup></a>. And it is not guaranteed to work. If there’s a reason this plan is better than going exploring, NASA should articulate it to the people who are going to be paying the bill.</p>

<p class="p7">NASA has spent decades learning how to survive in the harsh environment of Congress, and that knowledge is bearing fruit today. The machinery that brought us two pointless multibillion dollar space projects has been spun up again to take us to Mars. Like George Lucas preparing to release another awful prequel, NASA is hoping that cool spaceships and nostalgia will be enough to keep everyone from noticing that their story makes no sense. But you can't lie your way to Mars, no matter how sincerely you believe in what you're doing.


<br><br>

</p><h2>The Other Mars Program</h2>

<p class="p11"><span class="s15"><b><i>“</i></b><i>Mere failure to realize a long-term, aspirational goal is not fraud” <br>—lawyers representing Tesla, November 2022</i></span></p>



<p class="p11"><img src="https://idlewords.com/images/mars_img/spacex_fantasy.jpg" alt="Image"></p>


<p class="p7">Of course, in 2022 there is an alternative vision for Mars exploration centered on the activities of Elon Musk. If NASA is Amtrak in space, then SpaceX is the Fyre Festival with rockets, a glamorous effort led by a hype man who promises that every logistical problem will melt away if we can just get people to the destination.</p>

<p class="p7">What can I say about Musk? He likes rockets and drama, and his approach to every engineering problem is to promise to solve it with cool technology that he’ll have ready in Q2 of next year. This has the effect of turning technical discussions into debates over the character and achievements of Elon Musk— just the way he likes it.</p>

<p class="p7">SpaceX has built some magnificent rockets, and their dynamism is a welcome change from the souls-trapped-in-powerpoint vibe at NASA.  If their founder were anyone else, SpaceX’s incredible track record of achievement would force us to take their Mars plan<a id="fnlink65"></a><a class="fnote" href="#fn65"><sup>[65]</sup></a> seriously. But their founder is who he is, and what he has publicly shared is not so much a blueprint as an inspirational poster.</p>

<p class="p7">Musk’s vision for the company hinges on a reusable rocket called Starship, which will be able to do everything—refuel in space, re-enter either the Martian or Earth atmosphere, land on the Moon, make an amazing cup of coffee. Economies of scale will make this rocket so cheap that it will soon cost less to launch things into space than to keep them on Earth. At that point, moving to Mars will just be a matter of buying a second-hand Starship and filling it with Monster energy drinks and oxygen.</p>

<p class="p7">The difficult and unglamorous problems of a Mars mission—how do you wash your socks? What is there to eat?— get no love from Elon. Once you get beyond “rocket factory go brrrrr,” there is no plan, just a familiar fog of Musky woo. The Mars rockets will refuel from autonomous robot factories powered by sunlight. Their crews will be shielded from radiation by some form of electromagnetic handwaving. Life support, the hardest practical problem in space travel, “is actually quite easy”.  And of course Musk dismisses the problem of microbial contamination (which I can’t emphasize enough is governed by international treaty) as both inevitable and no big deal.</p>
<p class="p10"></p>
<p>But SpaceX is ultimately in the business of building rockets, not zoo enclosures. And as any Tesla owner can attest, slowly working the bugs out of a life-critical technology is not what keeps the world’s most distractible CEO entertained. In the end there are just two organizations (Roscosmos and NASA) that have deep enough expertise in life support to make it work on Mars-length missions. SpaceX will either have to find a way to work with them, or hire away<a id="fnlink66"></a><a class="fnote" href="#fn66"><sup>[66]</sup></a> their experts.</p>

<p class="p7">If you have faith in Musk, there’s nothing I can say to shake it. But if you notice a pattern in his past promises—the hypertunnel that is just a regular tunnel, the door panels that fall off the self-driving car, the robot that’s only a guy in a suit—then maybe you’ll be persuaded that firing difficult problems into space does not make them easier, and that the challenges I’ll lay out here will apply no matter whose name is on the rocket.</p>

<p class="p7">Wherever you stand on the matter, whether you’re a Musk fanboy, an unaligned Mars obsessive, or just biplanetary/curious, I invite you to come imagine with me what it would take, and what it would really mean, for people to go put their footprints in the Martian sand.</p>



<p><i>Next week: The Shape of a Mars Mission</i><br>

</p><h2>Footnotes</h2>
<hr>
<p class="p7"><a id="fn1"></a><a class="fnote" href="#fnlink1">[1]</a> I’ll justify this figure in detail later on. For now, consider that each SLS launch costs $4.2B, and that developing just the Orion space capsule has cost $20B. The ISS, which is functionally close to a Mars transfer vehicle, has so far cost $250 billion.</p>
<p class="p7"><a id="fn2"></a><a class="fnote" href="#fnlink2">[2]</a> This is the date you get when you add the minimum time required for research, design, and testing to the earliest date we're likely to have a working lunar base (which is needed to start the research bit). I'll talk about it in detail later.</p>
<p class="p7"><a id="fn3"></a><a class="fnote" href="#fnlink3">[3]</a> John Young commanded the first Space Shuttle flight; the context of the original quote was his assessment of a particularly exciting Shuttle abort mode called ‘Return To Landing Site’.</p>
<p class="p7"><a id="fn4"></a><a class="fnote" href="#fnlink4">[4]</a> For orbital mechanics reasons, Mars launch windows are 26 months apart. We'll talk about this in Section 1.</p>
<p class="p7"><a id="fn5"></a><a class="fnote" href="#fnlink5">[5]</a> For example, early space station designs circa 1969 assumed a crew of 50-100 men working in geosynchronous orbit. Many of the <a href="https://en.wikipedia.org/wiki/NASA_Astronaut_Group_7">early Space Shuttle astronauts</a> were refugees from an Air Force program called the <a href="https://en.wikipedia.org/wiki/Manned_Orbiting_Laboratory">Manned Orbiting Laboratory</a>, a kind of inhabitable spy satellite that the Air Force came very close to launching in the early 1970's. For a representative Skylab-era view, see Weitz, <em class="paper_title">The Role of Man in Conducting Earth Resources Observations From Space</em>, <a href="https://doi.org/10.2514/6.1974-250">doi.org/10.2514/6.1974-250</a></p>

<p class="p7"><a id="fn6"></a><a class="fnote" href="#fnlink6">[6]</a> For example, Mariner 4 (1965) photos were 240,000 bits in size; the orbiter sent them back at 8.5 bits per second. The HiRISE camera on the Mars Reconnaissance Orbiter (2005), source of most of the photographs in this essay, takes 28 Gibit photos that are sent to Earth at up to 4 Mbps.</p>
<p class="p7"><a id="fn7"></a><a class="fnote" href="#fnlink7">[7]</a> I know, no robot can reflect on the nature of the Sublime while looking at sunbeams dancing on the limb of  Deimos or whatever. But when it comes to tasks like “look under this rock on Mars” or “fly through this plume and sample it”, robots are awesome.</p>

<p class="p7"><a id="fn8"></a><a class="fnote" href="#fnlink8">[8]</a> For example, compare the $93 billion spent on Artemis through 2025 with the $435 million program cost of the <a href="https://en.wikipedia.org/wiki/VIPER_(rover)">VIPER lunar rover</a>, or the $264 billion estimated cost of a Mars landing in “<a href="https://www.ida.org/-/media/feature/publications/e/ev/evaluation-of-a-human-mission-to-mars-by-2033/d-10510.ashx">Evaluation of a Human Mission to Mars by 2033</a> ” compared to $3.5 billion for the Mars Science Laboratory and Curiosity rover. (Figures in 2022 dollars)</p>
<p class="p7"><a id="fn9"></a><a class="fnote" href="#fnlink9">[9]</a> Apollo 17 took off from the Moon on December 14, 1972. This was the last time human beings ventured beyond low earth orbit.</p>
<p class="p7"><a id="fn10"></a><a class="fnote" href="#fnlink10">[10]</a> NASA gave the total cost of ISS as $150B in 2010; adjusting this figure for inflation and adding 12 years of operating costs (at about $3 billion/year) adds up to almost exactly a quarter trillion dollars.</p>
<p class="p7"><a id="fn11"></a><a class="fnote" href="#fnlink11">[11]</a> Some of the notable discoveries made by spacecraft after 2000:</p>
<ul>
<li><a href="https://en.wikipedia.org/wiki/Kepler_space_telescope">Kepler</a> finds over 2,600 exoplanets</li>
<li><a href="https://en.wikipedia.org/wiki/Curiosity_(rover)">Curiosity</a> discovers that Mars was habitable</li>
<li>Hubble telescope discovers galaxies at high redshift (z &gt; 8)</li>
<li><a href="https://en.wikipedia.org/wiki/Cassini_Huygens">Cassini</a> observes water jets and organic molecules on Enceladus</li>
<li><a href="https://en.wikipedia.org/wiki/Cassini_Huygens">Huygens</a> lands on Titan</li>
<li><a href="https://en.wikipedia.org/wiki/Mars_Express">Mars Express</a> discovers subsurface lakes on Mars</li>
<li><a href="https://en.wikipedia.org/wiki/WMAP">WMAP</a> and <a href="https://en.wikipedia.org/wiki/Planck_(spacecraft)">Planck</a> measure the cosmic background radiation to high precision.</li>
<li><a href="https://en.wikipedia.org/wiki/New_Horizons">New Horizons</a> flies by Pluto</li>
<li><a href="https://en.wikipedia.org/wiki/Dawn_(spacecraft)">Dawn</a> finds water on Vesta</li>
<li><a href="https://en.wikipedia.org/wiki/Rosetta_(spacecraft)">Rosetta</a> gives us our first close look at a comet</li>

<li><a href="https://en.wikipedia.org/wiki/Gaia_(spacecraft)">Gaia</a> maps the Milky Way</li>
</ul>

<p class="p21">Compare this to <a href="https://www.nasa.gov/mission_pages/station/research/news/iss-20-years-20-breakthroughs/">NASA’s official list of ISS breakthroughs</a>, which include “monitoring our planet from a unique perspective”, “student access to an orbiting laboratory”, and “responding to natural disasters”.</p>
<p class="p7"><span class="s16"><a id="fn12"></a><a class="fnote" href="#fnlink12">[12]</a> </span>The first segment of the ISS launched in 1998; I’m counting from the arrival of the first permanent crew in November 2000.</p>
<p class="p7"><a id="fn13"></a><a class="fnote" href="#fnlink13">[13]</a> This result has been very controversial, since the surrounding rock should be far too cold even for supercooled brine to exist as a liquid. The counterargument is that the bright radar reflections must be geological features, not water. However, recent evidence finds independent support for the subglacial lake theory. </p><p>This is one of those unhappy situations where you can’t just rely on Wikipedia, but have to go read the papers, like an animal. See:  </p><p>(i) Lauro, S.E., Pettinelli, E., Caprarelli, G. <i>et al.</i> <em class="paper_title">Multiple subglacial water bodies below the south pole of Mars unveiled by new MARSIS data</em>. <i>Nat Astron</i> <b>5</b>, 63–70 (2021). <a href="https://doi.org/10.1038/s41550-020-1200-6">doi.org/10.1038/s41550-020-1200-6</a></p> 

<p>(ii) Lauro, S.E., Pettinelli, E., Caprarelli, G. )<i>et al.</i> <em class="paper_title">Using MARSIS signal attenuation to assess the presence of South Polar Layered Deposit subglacial brines</em>. <i>Nat Commun</i> <b>13</b>, 5686 (2022). <a href="https://doi.org/10.1038/s41467-022-33389-4">doi.org/10.1038/s41467-022-33389-4</a></p>

<p>(iii) Arnold, N.S., Butcher, F.E.G., Conway, S.J. <i>et al.</i> <em class="paper_title">Surface topographic impact of subglacial water beneath the south polar ice cap of Mars</em>. <i>Nat Astron</i> <b>6</b>, 1256–1262 (2022). <a href="https://doi.org/10.1038/s41550-022-01782-0">doi.org/10.1038/s41550-022-01782-0</a></p>


<p class="p26"><span class="s6"><a id="fn14"></a><a class="fnote" href="#fnlink14">[14]</a></span> For a discussion of this and a possible heating mechanism, see Sori, M. M., &amp; Bramson, A. M. (2019). <em class="paper_title">Water on Mars, with a grain of salt: Local heat anomalies are required for basal melting of ice at the south pole today</em>. <i>Geophysical Research Letters</i>, 46, 1222– 1231. <a href="https://doi.org/10.1029/2018GL080985">doi.org/10.1029/2018GL080985</a></p>
<p><span class="s19"><a id="fn15"></a><a class="fnote" href="#fnlink15">[15]</a></span> Broquet, A., Andrews-Hanna, J.C. <em class="paper_title">Geophysical evidence for an active mantle plume underneath Elysium Planitia on Mars</em>. <i>Nat Astron</i> (2022). <a href="https://doi.org/10.1038/s41550-022-01836-3">doi.org/10.1038/s41550-022-01836-3</a></p>


<p><a id="fn16"></a><a class="fnote" href="#fnlink16"><span class="s20">[16]</span></a> Baucon, Andrea, Carlos Neto De Carvalho, Fabrizio Felletti, and Roberto Cabella. 2020. <em class="paper_title">"Ichnofossils, Cracks or Crystals? A Test for Biogenicity of Stick-Like Structures from Vera Rubin Ridge, Mars"</em> <i>Geosciences</i> 10, no. 2: 39. <a href="https://doi.org/10.3390/geosciences10020039">doi.org/10.3390/geosciences10020039</a></p>

<p class="p11"><span class="s6"><a id="fn17"></a><a class="fnote" href="#fnlink17">[17]</a></span> E.B. Rampe, D.F. Blake, et al. <em class="paper_title">Mineralogy and geochemistry of sedimentary rocks and eolian sediments in Gale crater, Mars: A review after six Earth years of exploration with Curiosity</em>, Geochemistry, Volume 80, Issue 2, 2020. <a href="https://doi.org/10.1016/j.chemer.2020.125605">doi.org/10.1016/j.chemer.2020.125605</a>.</p>


<p class="p26"><a id="fn18"></a><a class="fnote" href="#fnlink18"><span class="s21">[18]</span></a> <span class="s17">As who among us has not! See: Moores, J. E., King, P. L., Smith, C. L., Martinez, G. M., Newman, C. E., Guzewich, S. D., et al. (2019). <em class="paper_title">The methane diurnal variation and microseepage flux at Gale crater, Mars as constrained by the ExoMars Trace Gas Orbiter and Curiosity observations</em>. <i>Geophysical Research Letters</i>, 46, 9430– 9438. <a href="https://doi.org/10.1029/2019GL083800">doi.org/10.1029/2019GL083800</a></span></p>


<p class="p11"><span class="s22"><a href="https://doi.org/10.1029/2019GL083800"></a><a id="fn19"></a><a class="fnote" href="#fnlink19">[19]</a></span><a href="https://doi.org/10.1029/2019GL083800"> </a>Chun, Jongsik, Rainey, Fred A., <em class="paper_title">Integrating genomics into the taxonomy and systematics of the Bacteria and Archaea</em>. International Journal of Systematic and Evolutionary Microbiology, VO 64. <a href="https://doi.org/10.1099/ijs.0.054171-0">doi.org/10.1099/ijs.0.054171-0</a></p>

<p class="p27"><a id="fn20"></a><a class="fnote" href="#fnlink20"><span class="s21">[20]</span></a> <span class="s23">Kennedy, A.C., Smith, K.L. <em class="paper_title">Soil microbial diversity and the sustainability of agricultural soils</em>. <i>Plant Soil</i> <b>170</b>, 75–86 (1995). <a href="https://doi.org/10.1007/BF02183056">doi.org/10.1007/BF02183056</a> gives a figure of 87% undiscovered, citing Hawksworth 1991</span></p>

<p class="p7"><a id="fn21"></a><a class="fnote" href="#fnlink21">[21]</a> Estimates of total microbial biodiversity depend on a raft of modeling assumptions, and there is an ongoing debate about whose model is more realistic. Note that the one trillion figure is not an upper bound. See Lennon and Locey, <em class="paper_title">Scaling Laws Predict Global Microbial Diversity</em> (2016) <a href="https://doi.org/10.1073/pnas.1521291113">doi.org/10.1073/pnas.1521291113</a> and <em class="paper_title">More support for Earth’s Massive Microbiome</em> (2020) <span class="s24"><a href="https://doi.org/10.1186/s13062-020-00261-8">doi.org/10.1186/s13062-020-00261-8</a> for a discussion.</span></p>


<p class="p7"><span class="s24"><a id="fn22"></a><a class="fnote" href="#fnlink22">[22]</a></span> Discovering a phylum is a big deal; imagine suddenly noticing the existence of vertebrates, or flowering plants. The microbial revolution in the early 21st century found something like 30 new phyla; scientists expect to find 1,300 more. (source: <span class="s6">Yarza, P., Yilmaz, P., Pruesse, E. <i>et al.</i> <em class="paper_title">Uniting the classification of cultured and uncultured bacteria and archaea using 16S rRNA gene sequences</em>. <i>Nat Rev Microbiol</i> <b>12</b>, 635–645 (2014). <a href="https://doi.org/10.1038/nrmicro3330">doi.org/10.1038/nrmicro3330</a></span>)</p>

<p class="p7"><span class="s6"><a id="fn23"></a><a class="fnote" href="#fnlink23">[23]</a></span> Specifically, a type of archaea called DPANN and the “Candidate Phyla Radiation” in bacteria. DPANN organisms were hard to discover since they are almost exclusively symbiotic; their past may shed light on the evolution of eukaryotes. See Cindy J. Castelle, Jillian F. Banfield, <em class="paper_title">Major New Microbial Groups Expand Diversity and Alter our Understanding of the Tree of Life</em>, Cell, Volume 172, Issue 6, 2018, Pages 1181-1197, ISSN 0092-8674. <a hre="https://doi.org/10.1016/j.cell.2018.02.016">doi.org/10.1016/j.cell.2018.02.016</a>.</p>
<p class="p23"><span class="s17"><a id="fn24"></a><a class="fnote" href="#fnlink24">[24]</a> Morono, Y., Ito, M., Hoshino, T. <i>et al.</i> <em class="paper_title">Aerobic microbial life persists in oxic marine sediment as old as 101.5 million years</em>. <i>Nat Commun</i> <b>11</b>, 3626 (2020). <a href="https://doi.org/10.1038/s41467-020-17330-1">doi.org/10.1038/s41467-020-17330-1</a></span></p>


<p class="p28"><span class="s20"><a id="fn25"></a><a class="fnote" href="#fnlink25">[25]</a></span> Bengtson, S., Ivarsson, M., Astolfo, A., Belivanova, V., Broman, C., Marone, F. and Stampanoni, M. (2014), <em class="paper_title">Deep-biosphere consortium of fungi and prokaryotes in Eocene subseafloor basalts</em>. Geobiology, 12: 489-496. <a href="https://doi.org/10.1111/gbi.12100">doi.org/10.1111/gbi.12100</a></p>


<p class="p7"><span class="s22"><a href="https://doi.org/10.1111/gbi.12100"></a><a id="fn26"></a><a class="fnote" href="#fnlink26">[26]</a></span><a href="https://doi.org/10.1111/gbi.12100"></a> Like everything to do with the deep biosphere, estimates on biomass differ by a couple of orders of magnitude.</p>


<p class="p23"><span class="s17"><a id="fn27"></a><a class="fnote" href="#fnlink27">[27]</a> Yarza, P., Yilmaz, P., Pruesse, E. <i>et al.</i> <em class="paper_title">Uniting the classification of cultured and uncultured bacteria and archaea using 16S rRNA gene sequences</em>. <i>Nat Rev Microbiol</i> <b>12</b>, 635–645 (2014). <a href="https://doi.org/10.1038/nrmicro3330">doi.org/10.1038/nrmicro3330</a></span></p>

<p class="p29"><span class="s6"><a id="fn28"></a><a class="fnote" href="#fnlink28">[28]</a></span> Tina Šantl Temkiv, Kai Finster, Bjarne Munk Hansen, Niels Woetmann Nielsen, Ulrich Gosewinkel Karlson, <em class="paper_title">The microbial diversity of a storm cloud as assessed by hailstones</em>, <i>FEMS Microbiology Ecology</i>, Volume 81, Issue 3, September 2012, Pages 684–695, <a href="https://doi.org/10.1111/j.1574-6941.2012.01402.x">doi.org/10.1111/j.1574-6941.2012.01402.x</a></p>

<p class="p23"><span class="s26"><a href="https://doi.org/10.1111/j.1574-6941.2012.01402.x"></a><a id="fn29"></a><a class="fnote" href="#fnlink29">[29]</a></span> Petit, Pauline C. M., Olivier Pible, Valérie Van Eesbeeck, Claude Alban, Gérard Steinmetz, Mohamed Mysara, Pieter Monsieurs, Jean Armengaud, and Corinne Rivasseau. 2020. "<em class="paper_title">Direct Meta-Analyses Reveal Unexpected Microbial Life in the Highly Radioactive Water of an Operating Nuclear Reactor Core</em>" <i>Microorganisms</i> 8, no. 12: 1857. <a href="https://doi.org/10.3390/microorganisms8121857">doi.org/10.3390/microorganisms8121857</a></p>


<p><a id="fn30"></a><a class="fnote" href="#fnlink30"><span class="s20">[30]</span></a> DasSarma, Priya, André Antunes, Marta Filipa Simões, and Shiladitya DasSarma. 2020. "<em class="paper_title">Earth's Stratosphere and Microbial Life</em>" <i>Current Issues in Molecular Biology</i> 38, no. 1: 197-244. <a href="https://doi.org/10.21775/cimb.038.197">doi.org/10.21775/cimb.038.197</a></p>

<p class="p30"><span class="s6"><a id="fn31"></a><a class="fnote" href="#fnlink31">[31]</a></span> Daisuke Fujiwara, Yuko Kawaguchi, Iori Kinoshita, Jun Yatabe, Issay Narumi, Hirofumi Hashimoto, Shin-ichi Yokobori, and Akihiko Yamagishi.
 <em class="paper_title">Mutation Analysis of the rpoB Gene in the Radiation-Resistant Bacterium Deinococcus radiodurans R1 Exposed to Space during the Tanpopo Experiment at the International Space Station</em>. Astrobiology. Dec 2021.1494-1504.<a href="https://doi.org/10.1089/ast.2020.2424">doi.org/10.1089/ast.2020.2424</a></p>


<p><span class="s29"><a id="fn32"></a><a class="fnote" href="#fnlink32">[32]</a></span><a href="https://doi.org/10.1089/ast.2020.2424"> </a>Steinle, L., Knittel, K., Felber, N. <i>et al.</i> <em class="paper_title">Life on the edge: active microbial communities in the Kryos MgCl<sub>2</sub>-brine basin at very low water activity</em>. <i>ISME J</i> <b>12</b>, 1414–1426 (2018). <a href="https://doi.org/10.1038/s41396-018-0107-z">doi.org/10.1038/s41396-018-0107-z</a></p>

<p><a id="fn33"></a><a class="fnote" href="#fnlink33"><span class="s20">[33]</span></a> Vreeland, R., Rosenzweig, W. &amp; Powers, D. <em class="paper_title">Isolation of a 250 million-year-old halotolerant bacterium from a primary salt crystal</em>. <i>Nature</i> <b>407</b>, 897–900 (2000). <a href="https://doi.org/10.1038/35038060">doi.org/10.1038/35038060</a></p>
<p class="p32"><span class="s20"><a id="fn34"></a><a class="fnote" href="#fnlink34">[34]</a></span> <span class="s30">For viable microbes found in 8 milion year old ice, see “<em class="paper_title">Fossil genes and microbes in the oldest ice on Earth</em></span> <a href="https://doi.org/10.1073/pnas.0702196104">doi.org/10.1073/pnas.0702196104</a></p>
<p class="p34"><span class="s32"><a href="https://doi.org/10.1073/pnas.0702196104"></a><a id="fn35"></a><a class="fnote" href="#fnlink35"><span class="s33">[35]</span></a><a href="https://doi.org/10.1073/pnas.0702196104"><span class="s33"> </span></a>Fang J, Kato C, Runko GM, Nogi Y, Hori T, Li J, Morono Y and Inagaki F (2017) <em class="paper_title">Predominance of Viable Spore-Forming Piezophilic Bacteria in High-Pressure Enrichment Cultures from ~1.5 to 2.4 km-Deep Coal-Bearing Sediments below the Ocean Floor</em>. <i>Front. Microbiol.</i> 8:137. <a href="https://doi.org/10.3389/fmicb.2017.00137">doi.org/10.3389/fmicb.2017.00137</a></span></p>

<p class="p28"><span class="s34"><a id="fn36"></a><a class="fnote" href="#fnlink36">[36]</a></span> See discussion in: Nicholson, W.L. (2020). <em class="paper_title">Spore-Forming Bacteria as Model Organisms for Studies in Astrobiology. In Extremophiles as Astrobiological Models</em> (eds J. Seckbach and H. Stan-Lotter). <a href="https://doi.org/10.1002/9781119593096.ch13">doi.org/10.1002/9781119593096.ch13</a></p>


<p class="p7"><span class="s22"><a href="https://doi.org/10.1002/9781119593096.ch13"></a><a id="fn37"></a><a class="fnote" href="#fnlink37">[37]</a></span> Full video is at <a href="https://www.c-span.org/video/?522488-1/nasa-holds-briefing-moon-mars-program">https://www.c-span.org/video/?522488-1/nasa-holds-briefing-moon-mars-program</a></p>
<p class="p7"><a id="fn38"></a><a class="fnote" href="#fnlink38">[38]</a> Obama originally directed NASA to land by 2033; Nelson said that the earliest a Mars landing can happen  now is in the late 2030’s or early 2040’s.</p>
<p class="p7"><a id="fn39"></a><a class="fnote" href="#fnlink39">[39]</a> Not a typo; the total budget for ocean exploration is about half of what NASA plans to spend next year ($48.3 M) on architecture studies for Mars.</p>


<p class="p7"><a id="fn40"></a><a class="fnote" href="#fnlink40">[40]</a> Here are the reasons a “Why Mars?” conference came up with in 1992:</p>
<ol>
<li><b>Human Evolution</b>- Mars is the next logical step in the expansion of the human race into the stars.</li>
<li><b>Comparative Planetology</b>- by understanding Mars and its evolution as a planet, a better understanding of Earth will be achieved.</li>
<li><b>International Cooperation</b>- an international Mars exploration effort has the potential to bring about a sense of global unity as never seen before.</li>
<li><b>Technological Advancement</b>- the development of new and improved technologies for the Mars mission will enhance the lives of those on Earth while encouraging high-tech </li><li><b>Inspiration</b>- the human Mars exploration mission will test our technological abilities to their maximum. The ingenuity of the mobilized populace will be tested and our accomplishments will serve to inspire future generations. A common focus will unite people from around the world as they expand the envelope of achievability.</li>
<li><b>Investment</b>- the cost of a crewed Mars exploration mission is reasonable when compared with the costs of other current societal expenditures.</li>
</ol>
<p class="p11">Note that only the first two of these reasons have any connection to Mars, and even back in 1992, ‘Comparative Planetology’ was best done by space probe. The others are all riffs on “doing difficult things together builds character”, while (6) is just kind of plaintive. Fourth graders writing to Santa make a stronger case for an X-Box than NASA has been able to put together for a Mars landing.</p>

<p class="p7"><span class="s15"><a id="fn41"></a><a class="fnote" href="#fnlink41">[41]</a> </span>In 2022, NASA spent $6.79B on Exploration (Moon-to-Mars stuff) and $4.04B on Space Operations (running the ISS). I lump the two together since ISS research is almost entirely in support of life support for the Moon-to-Mars mission. Source: https://www.planetary.org/space-policy/nasas-fy-2022-budget</p>

<p class="p7"><a id="fn42"></a><a class="fnote" href="#fnlink42">[42]</a> The National Science Foundation budget was <a href="https://www.aip.org/fyi/2022/nsf-budget-fy22-outcomes-and-fy23-request">$8.8 billion</a> in 2022. </p>
<p class="p7"><a id="fn43"></a><a class="fnote" href="#fnlink43">[43]</a> More precisely, outside Earth’s magnetosphere, which blocks a large fraction of the radiation that we need to study.</p>
<p class="p7"><a id="fn44"></a><a class="fnote" href="#fnlink44">[44]</a> The key question is whether Martian gravity (0.38g) is enough to stop the kinds of degenerative processes we see in freefall. We’ll talk about this in detail in the section on deconditioning.</p>
<p class="p7"><a id="fn45"></a><a class="fnote" href="#fnlink45">[45]</a> The best guess right now is that a 40 year old woman would face between a 3% and 21% risk of dying from cumulative radiation exposure on a 940 day Mars mission (at 95% confidence). The large uncertainty comes from lack of data on the effects of heavy ion radiation. See Francis A. Cucinotta, Eliedonna Cacao, Myung-Hee Y. Kim, Premkumar B. Saganti, <em class="paper_title">Cancer and circulatory disease risks for a human mission to Mars: Private mission considerations</em>, Acta Astronautica, Volume 166, 2020. <a href="https://doi.org/10.1016/j.actaastro.2018.08.022">doi.org/10.1016/j.actaastro.2018.08.022</a>.</p>

<p class="p7"><a id="fn46"></a><a class="fnote" href="#fnlink46">[46]</a> I’ll talk about why it’s impractical to build a rotating spacecraft for this purpose in the section on artificial gravity.</p>

<p class="p7"><a id="fn47"></a><a class="fnote" href="#fnlink47">[47]</a> Trump actually <a href="https://nymag.com/intelligencer/2019/01/trump-offered-nasa-unlimited-funding-to-go-to-mars-by-2020.html">made this offer to NASA</a>, who sensibly refused. </p>
<p class="p7"><a id="fn48"></a><a class="fnote" href="#fnlink48">[48]</a> There’s no a priori reason  a Mars mission has to have closed-loop life support, but NASA treats it as a requirement. As a practical matter, you do have to at least recycle water. I’ll discuss open/closed loop tradeoffs in detail in the section on life support.</p>
<p class="p11"><span class="s15"><a id="fn49"></a><a class="fnote" href="#fnlink49">[49]</a> The current mass of ECLSS components on the ISS is 1,776 kg (source: ICES-2021-212, An Environmental Control and Life Support System (ECLSS) for Deep Space and Commercial Habitats), with an estimated cost of development of $200 million, giving $110,000 per kilogram. At this writing, the price of gold was $58,000 per kilogram.</span></p>
<p class="p7"><a id="fn50"></a><a class="fnote" href="#fnlink50">[50]</a> I’ll talk about the four basic mission types later. Here I’m assuming a long-stay surface mission, but the argument holds for any of them.</p>
<p class="p7"><a id="fn51"></a><a class="fnote" href="#fnlink51">[51]</a> One way to make the problem not matter is to contaminate Mars early and often, which makes Musk’s plan to land cargo on the surface in bulk as soon as possible particularly cynical.</p>

<p class="p7"><a id="fn52"></a><a class="fnote" href="#fnlink52">[52]</a> No mission has searched for life on Mars since the original Viking landers (which I’m calling Step 0).</p>
<p class="p7"><a id="fn53"></a><a class="fnote" href="#fnlink53">[53]</a> The Viking landers were the cleanest objects ever sent to Mars; subsequent landers and rovers have received more of a quick wipedown. I’ll talk about the complex standards that govern this in the section on contamination. For a good rant on the qualitative difference between robots and human crews, see Alberto G. Fairén, Victor Parro, Dirk Schulze-Makuch, and Lyle Whyte. “<em class="paper_title">Searching for Life on Mars before it is too late</em>” Astrobiology. Oct 2017. 962-970. <a href="https://doi.org/10.1089/ast.2017.1703">doi.org/10.1089/ast.2017.1703</a></p>


<p class="p7"><span class="s13"><a href="https://doi.org/10.1089/ast.2017.1703"></a><a id="fn54"></a><a class="fnote" href="#fnlink54">[54]</a></span> I’ll talk about why microbial communities are vastly more adaptive than singletons in the section on microbes.</p>
<p class="p7"><a id="fn55"></a><a class="fnote" href="#fnlink55">[55]</a> The requirement to avoid contamination is a clause in the <a href="https://en.wikipedia.org/wiki/Outer_Space_Treaty">1967 Outer Space Treaty</a>. The detailed guidelines for what this means are formulated by an international body called COSPAR. I'll go over these rules in gripping detail in the section on contamination.</p>

<p class="p7"><a id="fn56"></a><a class="fnote" href="#fnlink56">[56]</a> For a taste of how restrictive an explorer's life would be, see Bobskill, Marianne, and Mark L. Lupisella. "<em class="paper_title">Human Mars Mission Surface Science Operations</em>." In <i>SpaceOps 2014 Conference</i>, p. 1620. 2014. https://doi.org/10.2514/6.2014-1620</p>
<p class="p11"><a id="fn57"></a><a class="fnote" href="#fnlink57">[57]</a> See <a href="https://oig.nasa.gov/docs/IG-22-003.pdf">NASA’s Management of the Artemis Missions</a>, Office of Inspector General (IG-22-003)</p>
<p class="p7"><a id="fn58"></a><a class="fnote" href="#fnlink58">[58]</a> As a rough rule of thumb, a probe to explore a planetary system costs $5 billion, while a smaller mission costs $1 billion. This does not factor in economies of scale from building and launching a number of probes at once, since we’ve never had the money to do that.</p>
<p class="p11"><span class="s15"><a id="fn59"></a><a class="fnote" href="#fnlink59">[59]</a> The moons with liquid water are Ganymede, Europa, Callisto and Enceladus, with a recent surprise fifth contender, Mimas, the little moon that looks like a Death Star.</span></p>
<p class="p7"><a id="fn60"></a><a class="fnote" href="#fnlink60">[60]</a> Voyager 2 flew by Uranus in 1986 and Neptune in 1988, and that’s the last we saw of them.</p>
<p class="p7"><a id="fn61"></a><a class="fnote" href="#fnlink61">[61]</a> NASA plans to de-orbit the ISS in 2031, but Roscosmos <a href="https://www.skyatnightmagazine.com/space-missions/international-space-station-retirement/">says they’ll bail</a> in 2024. </p>
<p class="p7"><a id="fn62"></a><a class="fnote" href="#fnlink62">[62]</a> I base this figure on the 2023 NASA budget request, which earmarks $7.4 billion for Moon-to-Mars stuff and $4.2 billion for the ISS.</p>
<p class="p7"><a id="fn63"></a><a class="fnote" href="#fnlink63">[63]</a> For context, consider the cost of missions like Europa Clipper ($5 billion), the Mars Science Laboratory / Curiosity Mars rover ($3.2 billion), or the Roman Space Telescope ($3.2 billion). There is potential for substantial savings by binning similar missions, sharing hardware, and not being forced to launch on NASA’s overpriced rockets.</p>
<p class="p7"><a id="fn64"></a><a class="fnote" href="#fnlink64">[64]</a> No one seems to want to go to Venus, but conditions higher up in the atmosphere are surprisingly mild (0.53 bar, 27C at ~55km). If not for the sulfuric acid, astronauts could even go relax outside their blimp wearing just shorts and an oxygen mask. For a cool blimp mission to Venus, see: <a href="https://ntrs.nasa.gov/citations/20160006329">https://ntrs.nasa.gov/citations/20160006329</a></p>
<p class="p7"><a id="fn65"></a><a class="fnote" href="#fnlink65">[65]</a> I’m assuming the adults who run SpaceX have a more realistic plan for Mars that they kept hidden away from Musk, in a room he doesn’t know exists. Here I’m only talking about Musk’s version.</p>
<p class="p7"><a id="fn66"></a><a class="fnote" href="#fnlink66">[66]</a> I would pay large sums of American money to be a fly on the wall at the meeting where someone tries to pitch senior career civil servants on working for Elon Musk.</p>
