title: The Lunacy of Artemis (Idle Words)
url: https://idlewords.com/2024/5/the_lunacy_of_artemis.htm
hash_url: b1099381931e530393ab2740d48ae1ef
archive_date: 2024-05-21
og_image: https://idlewords.com/images/artemis_cloud.jpg
description: For the first time since the 1960's, it looks doubtful whether the US space agency is even capable of getting us to the Moon.
favicon: 
language: 

<p>A little over 51 years ago, a rocket lifted off from Cape Canaveral carrying three astronauts and a space car.  After a three day journey to the moon, two of the astronauts climbed into a spindly lander and made the short trip down to the surface, where for another three days they collected rocks and did donuts in the space car. Then they climbed back into the lander,  rejoined their colleague in orbit, and departed for Earth. Their capsule splashed down in the South Pacific on December 19, 1972.  This mission, Apollo 17, would be the last time human beings ventured beyond low Earth orbit. 

</p><p>If you believe NASA, late in 2026 Americans will walk on the moon again. That proposed mission is called Artemis 3, and its lunar segment looks a lot like Apollo 17 without the space car. Two astronauts will land on the moon, collect rocks, take selfies, and about a week after landing rejoin their orbiting colleagues to go back to Earth. 

</p><p>But where Apollo 17 launched on a single rocket and cost $3.3 billion (in 2023 dollars), the first Artemis landing involves a dozen or two heavy rocket launches and costs so much that NASA refuses to give a figure (one veteran of NASA budgeting estimates it at $7-10 billion).<a id="fn_cost"></a><a class="fnote" href="#cost"><span class="s9"><sup>[1]</sup></span></a>  The single-use lander for the mission will be the heaviest spacecraft ever flown, and yet the mission's scientific return—a small box of rocks—is less than what came home on Apollo 17. And the whole plan hinges on technologies that haven't been invented yet becoming reliable and practical within the next eighteen months. 

</p><p>You don’t have to be a rocket scientist to wonder what’s going on here. If we can put a man on the moon,  then why can't we just go do it again?  The moon hasn’t changed since the 1960’s, while every technology we used to get there  has seen staggering advances.  It took NASA eight years to go from nothing to a moon landing at the dawn of the Space Age. But today, twenty years and $93 billion after the space agency announced our return to the moon, the goal seems as far out of reach as ever.<a id="fn_nasatime"></a><a class="fnote" href="#nasatime"><span class="s9"><sup>[2]</sup></span></a> 

</p><p>Articles about Artemis often give the program’s tangled backstory.   But I want to talk about Artemis as a technical design, because there’s just so much to drink in. While NASA is no stranger to complex mission architectures, Artemis goes beyond complex to the just plain incoherent. None of the puzzle pieces seem to come from the  same box. Half the program requires breakthrough technologies that make the other half unnecessary.  The rocket and spacecraft NASA spent two decades building can’t even reach the moon.  And for reasons no one understands, there’s a new space station in the mix.

</p><p>In the past, whatever oddball project NASA came up with, we at least knew they could build the hardware. But Artemis calls the agency’s competence as an engineering organization into question.  For the first time since the early 1960's, it's unclear whether the US space agency is even <i>capable</i> of putting astronauts on the moon. 

<br>



</p><p><img src="https://idlewords.com/images/apollo_flight_path.jpg" alt="Photograph of SLS rocket"></p>

<p><b><a name="apollo">A Note on Apollo</a></b></p> 


<p>In this essay I make a lot of comparisons to Project Apollo. This is not because I think other mission architectures are inferior, but because the early success of that program sets such a useful baseline.  At the dawn of the Space Age, using rudimentary technology, American astronauts landed on the moon six times in seven attempts.  The moon landings were NASA’s greatest achievement and should set a floor for what a modern mission, flying modern hardware, might achieve.

</p><p>Advocates for Artemis insist that the program is more than Apollo 2.0. But as we’ll see, Artemis can't even measure up to Apollo 1.0. It costs more, does less, flies less frequently, and exposes crews to risks that the steely-eyed missile men of the Apollo era found unacceptable.   It's as if Ford in 2024 released a new model car that was slower,  more accident-prone, and ten times more expensive than the Model T.  

</p><p>When a next-generation lunar program can’t meet the cost, performance, or safety standards set three generations earlier, something has gone seriously awry. 

<br>



</p><p><img src="https://idlewords.com/images/sls_image.jpg" alt="Photograph of SLS rocket"></p>

<p><a name="sls"><b>I. The Rocket</b></a></p> 

<p>The jewel of Artemis is a big orange rocket with a flavorless name, the Space Launch System (SLS).  SLS looks like someone started building a Space Shuttle and ran out of legos for the orbiter. There is the familiar orange tank, a big white pair of solid rocket boosters, but then the rocket just peters out in a 1960’s style stack of cones and cylinders. 

</p><p>The best way to think of SLS is as a balding guy with a mullet: there are fireworks down below that are meant to distract you from a sad situation up top.  In the case of the rocket, those fireworks are a first stage with more thrust than the Saturn V, enough thrust that the boosted core stage can nearly put itself into orbit.  But on top of this monster sits a second stage so anemic that even its name (the Interim Cryogenic Propulsion Stage) is a kind of apology. For eight minutes SLS roars into the sky on a pillar of fire.  And then, like a cork popping out of a bottle, the tiny ICPS emerges and drifts vaguely moonwards on a wisp of flame. 

</p><p>With this design, the minds behind SLS achieved a first in space flight, creating a rocket that is at the same time more powerful and less capable than the Saturn V.  While the 1960’s giant could send 49 metric tons to the moon,  SLS only manages 27 tons—not enough to fly an Apollo-style landing, not enough to even put a crew in orbit around the moon without a lander. The best SLS can do is slingshot the Orion spacecraft once around the moon and back, a mission that will fly under the name Artemis 2.  

</p><p>NASA wants to replace ICPS with an ‘Exploration Upper Stage’  (the project has been held up, among other things, by a <a href="https://oig.nasa.gov/wp-content/uploads/2024/02/IG-22-012.pdf">near-billion dollar cost overrun on a launch pad</a>). But even that upgrade won’t give SLS the power of the Saturn V.  For whatever reason, NASA designed its first heavy launcher in forty years to be unable to fly the simple, proven architecture of the Apollo missions.

</p><p>Of course, plenty of rockets go on to enjoy rewarding, productive careers without being as powerful as the Saturn V.   And if SLS rockets were piling up at the Michoud Assembly Facility like cordwood, or if NASA were willing to let its astronauts fly commercial, it would be a simple matter to split Artemis missions across multiple launches. 

</p><p>But NASA insists that astronauts fly SLS. And SLS is a “one and done” rocket, artisanally hand-crafted by a workforce that likes to get home before traffic gets bad. The rocket can only launch once every two years at a cost of about four billion dollars<a id="fn_slscost"></a><a class="fnote" href="#slscost"><span class="s9"><sup>[3]</sup></span></a>—about twice what it would cost to light the rocket’s weight in dollar bills on fire<a id="fn_dollarbills"></a><a class="fnote" href="#dollarbills"><span class="s9"><sup>[4]</sup></span></a>. 

</p><p>Early on, SLS designers made the catastrophic decision to reuse Shuttle hardware, which is like using Fabergé eggs to save money on an omelette.  The SLS core stage recycles Space Shuttle main engines, actual veterans of old Shuttle flights called out of retirement for one last job.  Refurbishing a single such engine to work on SLS costs NASA $40 million, or a bit more than SpaceX spends on all 33 engines on its Superheavy booster.<a id="fn_refurb"></a><a class="fnote" href="#refurb"><span class="s9"><sup>[5]</sup></span></a> And though the Shuttle engines are designed to be fully reusable (the main reason they're so expensive), every SLS launch throws four of them away. Once all the junkyards are picked clean, NASA will pay Aerojet Rocketdyne to restart production of the classic engine at a cool unit cost of $145 million<a id="fn_rs25restart"></a><a class="fnote" href="#rs25restart"><span class="s9"><sup>[6]</sup></span></a>. 

</p><p>The story is no better with the solid rocket boosters, the other piece of Shuttle hardware SLS reuses.  Originally a stopgap measure introduced to save the Shuttle budget, these heavy rockets now attach themselves like barnacles to every new NASA launcher design. To no one’s surprise, retrofitting a bunch of heavy steel casings left over from Shuttle days has saved the program nothing. Each SLS booster is now projected to cost $266 million, or about twice the launch cost of a Falcon Heavy.<a id="fn_fheavy"></a><a class="fnote" href="#fheavy"><span class="s9"><sup>[7]</sup></span></a>  Just replacing the asbestos lining in the boosters with a greener material, a project budgeted at $4.4M, has now cost NASA a quarter of a billion dollars.  And once the leftover segments run out seven rockets from now,  SLS will need a brand new booster design, opening up fertile new vistas of overspending. 

</p><p>Costs on SLS have reached the point where private industry is now able to develop, test, and launch an entire rocket <i>program</i> for less than NASA spends on a single engine<a id="fn_electron"></a><a class="fnote" href="#electron"><span class="s9"><sup>[8]</sup></span></a>.  Flying SLS is like owning a classic car—everything is hand built, the components cost a fortune, and when you finally get the thing out of the shop, you find yourself constantly overtaken by younger rivals. 

</p><p>But the cost of SLS to NASA goes beyond money.   The agency has committed to an antiquated frankenrocket just as the space industry is entering a period of unprecedented innovation. While other space programs get to romp and play with technologies like reusable stages and exotic alloys, NASA is stuck for years wasting a massive, skilled workforce on a dead-end design. 

</p><p>The SLS program's slow pace also affects safety. Back in the Shuttle era, NASA managers argued that it took three to four launches a year to keep workers proficient enough to build and launch the vehicles safely.  A boutique approach where workers hand-craft one rocket every two years  means having to re-learn processes and procedures with every launch.

</p><p>It also leaves no room in Artemis for test flights. The program simply assumes success, flying all its important 'firsts' with astronauts on board. When there are unanticipated failures, like the extensive heat shield spalling and near burn-through observed in Artemis 1,<a id="fn_heatshield"></a><a class="fnote" href="#heatshield"><span class="s9"><sup>[9]</sup></span></a> the agency has no way to test a proposed fix without a multi-year delay to the program. So they end up using indirect means to convince themselves that a new design is safe to fly, a process ripe for error and self-delusion.




</p><p><img src="https://idlewords.com/images/orion_oversize.jpg" alt="Orion space capsule with OVERSIZE LOAD banner"></p>

<p><b><a name="Orion">II. The Capsule</a></b></p> 


<p>Orion, the capsule that launches on top of SLS, is a relaxed-fit reimagining of the Apollo command module suitable for today’s larger astronaut. It boasts modern computers, half again as much volume as the 1960’s design, and a few creature comforts (like not having to poop in a baggie) that would have pleased the Apollo pioneers.

</p><p>The capsule’s official name is the Orion Multipurpose Crew Vehicle, but finding even a single purpose for Orion has greatly challenged NASA.  For twenty years the spacecraft has mostly sat on the ground, chewing through a $1.2 billion annual budget. In 2014, the first Orion flew a brief test flight. Eight short years later, Orion launched again, carrying a crew of instrumented mannequins around the moon on Artemis 1.  In 2025 the capsule (by then old enough to drink) is supposed to fly  human passengers on Artemis 2. 

</p><p>Orion goes to space attached to a basket of amenities called the European Service Module. The ESM provides Orion with solar panels, breathing gas, batteries, and a small rocket that is the capsule’s principal means of propulsion. But because the ESM was never designed to go to the moon, it carries very little propellant—far too little to get the hefty capsule in and out of lunar orbit.<a id="fn_oriondeltav"></a><a class="fnote" href="#oriondeltav"><span class="s9"><sup>[10]</sup></span></a>   

</p><p>And Orion is hefty. Originally designed to hold six astronauts, the capsule was never resized when the crew requirement shrank to four.  Like an empty nester’s minivan, Orion now hauls around a bunch of mass and volume that it doesn’t need. Even with all the savings that come from replacing Apollo-era avionics, the capsule weighs almost twice as much as the Apollo Command Module. 

</p><p>This extra mass has knock-on effects across the entire Artemis design. Since a large capsule needs a large abort rocket, SLS has to haul Orion's massive Launch Abort System—seven tons of dead weight—nearly all the way into orbit. And reinforcing the capsule so that abort system won't shake the astronauts into jelly means making it heavier, which puts more demand on the parachutes and heat shield, and around and around we go. 

</p><p><img src="https://idlewords.com/images/csm_orion_esm.jpg" alt="Orion space capsule with OVERSIZE LOAD banner"></p>

<p class="caption">Size comparison of the Apollo command and service module (left) and Orion + European Service Module (right)</p>

<p>What’s particularly frustrating is that Orion and ESM together have nearly the same mass as the Apollo command and service modules, which had no trouble reaching the moon.  The difference is all in the proportions. Where Apollo was built like a roadster, with a small crew compartment bolted onto an oversized engine, Orion is the Dodge Journey of spacecraft—a chunky, underpowered six-seater that advertises to the world that you're terrible at managing money.

<br><br>



</p><p><img src="https://idlewords.com/images/nrho.jpg" alt="diagram of near-rectilinear halo orbit"></p>

<p><b><a name="orbit">III. The Orbit</a></b></p> 

<p>The fact that neither its rocket or spaceship can get to the moon creates difficulties for NASA’s lunar program.  So, like an aging crooner transposing old hits into an easier key, the agency has worked to find a ‘lunar-adjacent’ destination that its hardware can get to.

</p><p>Their solution is a bit of celestial arcana called Near Rectilinear Halo Orbit, or NRHO.  A spacecraft in this orbit circles the moon every 6.5 days, passing 1,000 kilometers above the lunar north pole at closest approach, then drifting out about 70,000 kilometers (a fifth of the Earth/Moon distance) at its furthest point.  Getting to NRHO from Earth requires significantly less energy than entering a  useful lunar orbit, putting it just within reach for SLS and Orion.<a id="fn_nrho"></a><a class="fnote" href="#nrho"><span class="s9"><sup>[11]</sup></span></a>


</p><p>To hear NASA tell it, NRHO is so full of advantages that it’s a wonder we stay on Earth.  Spacecraft in the orbit always have a sightline to Earth and never pass through its shadow. The orbit is relatively stable, so a spacecraft can loiter there for months using only ion thrusters. And the deep space environment is the perfect place to practice going to Mars. 

</p><p>But NRHO is terrible for getting to the moon. The orbit is like one of those European budget airports that leaves you out in a field somewhere, requiring an expensive taxi.  In Artemis, this taxi takes the form of a whole other spaceship—the lunar lander—which launches without a crew a month or two before Orion and is supposed to be waiting in NRHO when the capsule arrives. 

 </p><p>Once these two spacecraft dock together, two astronauts climb into the lander from Orion and begin a day-long descent to the lunar surface. The other two astronauts wait for them in NRHO, playing hearts and quietly absorbing radiation.

</p><p>Apollo landings also divided the crew between lander and orbiter. But those missions kept the command module in a low lunar orbit that brought it over the landing site every two hours.  This proximity between orbiter and lander had enormous implications for safety. At any point in the surface mission, the astronauts on the moon could climb into the ascent rocket, hit the big red button, and be back sipping Tang with the command module pilot by bedtime.  The short orbital period also gave the combined crew a dozen opportunities a day to return directly to Earth. <a id="fn_abort"></a><a class="fnote" href="#abort"><span class="s9"><sup>[12]</sup></span></a>

</p><p>Sitting in NRHO makes abort scenarios much harder. Depending on when in the mission it happens, a stricken lander might need three or more days to catch up with the orbiting Orion. In the worst case, the crew might find themselves stuck on the lunar surface for hours after an abort is called, forced to wait for Orion to reach a more favorable point in its orbit. And once everyone is back on Orion, more days might pass before the crew can depart for Earth. These long and variable abort times significantly increase risk to the crew, making many scenarios that were survivable on Apollo (like Apollo 13!) lethal on Artemis. <a id="fn_abortnrho"></a><a class="fnote" href="#abortnrho"><span class="s9"><sup>[13]</sup></span></a>

</p><p>The abort issue is just one example of  NRHO making missions slower.  NASA likes to boast that Orion can stay in space far longer than Apollo, but this is like bragging that you’re in the best shape of your life after the bank repossessed your car.  It's an oddly positive spin to put on bad life choices. The reason Orion needs all that endurance is because transit times from Earth to NRHO are long, and the crew has to waste additional time in NRHO waiting for orbits to line up.  The Artemis 3 mission, for example, will spend 24 days in transit, compared to just 6 days on Apollo 11. 

</p><p>NRHO even dictates how long astronauts stay on the moon—surface time has to be a multiple of the 6.5 day orbital period. This lack of flexibility means that even early flag-and-footprints missions like Artemis 3 have to spend at least a week on the moon, a constraint that adds considerable risk to the initial landing.  <a id="fn_landingrisk"></a><a class="fnote" href="#landingrisk"><span class="s9"><sup>[14]</sup></span></a>

</p><p>In spaceflight, brevity is safety. There's no better way to protect astronauts  from the risks of solar storms, mechanical failure, and other mishaps than by minimizing slack time in space. Moreover, a safe architecture should allow for a rapid return to Earth at any point in the mission.   There’s no question astronauts on the first Artemis missions would be better off with Orion in low lunar orbit. The decision to stage from NRHO is an excellent example of NASA designing its lunar program in the wrong direction—letting deficiencies in the hardware dictate the level of mission risk. 

￼




</p><p><img src="https://idlewords.com/images/gateway_diagram.jpg" alt="diagram of Gateway"></p>
<p class="caption">Early diagram of Gateway. Note that the segment marked 'human lander system' now dwarfs the space station.</p>

<p><b><a name="gateway">IV. Gateway</a></b></p> 

<p>I suppose at some point we have to talk about Gateway.  Gateway is a small modular space station that NASA wants to build in NRHO.  It has been showing up across various missions like a bad smell since before 2012.  

</p><p>Early in the Artemis program, NASA described Gateway as a kind of celestial truck stop, a safe place for the lander to park and for the crew to grab a cup of coffee on their way to the moon.  But when it became clear that Gateway would not be ready in time for Artemis 3, NASA re-evaluated.  Reasoning that two spacecraft could meet up in NRHO just as easily as three, the agency gave permission for the first moon landing to proceed without a space station.

</p><p>Despite this open admission that Gateway is unnecessary, building the space station remains the core activity of the Artemis program. The three missions that follow that first landing are devoted chiefly to Gateway assembly.  In fact, initial plans for Artemis 4 left out a lunar landing entirely, as if it were an inconvenience to the real work being done up in orbit.

</p><p>This is a remarkable situation. It’s like if you hired someone to redo your kitchen and they started building a boat in your driveway. Sure, the boat gives the builders a place to relax, lets them practice tricky plumbing and finishing work, and is a safe place to store their tools. But all those arguments will fail to satisfy. You still want to know what building a boat has to do with kitchen repair, and why you’re the one footing the bill. 

</p><p>NASA has struggled to lay out a technical rationale for Gateway. The space station adds both cost and complexity to Artemis, a program not particularly lacking in either.  Requiring moon-bound astronauts to stop at Gateway also makes missions riskier (by adding docking operations) while imposing a big propellant tax. Aerospace engineer and pundit Robert Zubrin has aptly called the station a tollbooth in space.  

</p><p>Even Gateway defenders struggle to hype up the station. A common argument is that Gateway may not ideal for any one thing, but is good for a whole lot of things. But that is the same line of thinking that got us SLS and Orion, both vehicles designed before anyone knew what to do with them. The truth is that all-purpose designs don't exist in human space flight. The best you can do is build a spacecraft that is equally bad at everything. 
 
</p><p>But to search for technical grounds is to misunderstand the purpose of Gateway.  The station is not being built to shelter astronauts in the harsh environment of space, but to protect Artemis in the harsh environment of Congress. NASA needs Gateway to navigate an uncertain political landscape in the 2030’s. Without a station, Artemis will just be a series of infrequent multibillion dollar moon landings, a red cape waved in the face of the Office of Management and Budget.  Gateway armors Artemis by bringing in international partners, each of whom contributes expensive hardware. As NASA learned building the International Space Station, this combination of sunk costs and international entanglement is a powerful talisman against program death.   

</p><p>Gateway also solves some other problems for NASA.  It gives SLS a destination to fly to, stimulates private industry (by handing out public money to supply Gateway), creates a job for the astronaut corps, and guarantees the continuity of human space flight once the ISS becomes uninhabitable sometime in the 2030’s. <a id="fn_iss"></a><a class="fnote" href="#iss"><span class="s9"><sup>[15]</sup></span></a>


</p><p>That last goal may sound odd if you don’t see human space flight as an end in itself.  But NASA is a faith-based organization, dedicated to the principle that taxpayers should always keep an American or two in orbit.  it’s a little bit as if the National Oceanic Atmospheric Administration insisted on keeping bathyscapes full of sailors at the bottom of the sea, irrespective of cost or merit, and kneecapped programs that might threaten the continuous human benthic presence. You can’t argue with faith.

</p><p>From a bureaucrat’s perspective, Gateway is NASA’s ticket back to a golden era in the early 2000's when the Space Station and Space Shuttle formed an uncancellable whole, each program justifying the existence of the other.  Recreating this dynamic with Gateway and SLS/Orion would mean predictable budgets and program stability for NASA well into the 2050’s.  

</p><p>But Artemis was supposed to take us back to a different golden age, the golden age of Apollo.  And so there’s an unresolved tension in the program between building Gateway and  doing interesting things on the moon. With Artemis missions two or more years apart, it’s inevitable that Gateway assembly will push aspirational projects like a surface habitat or pressurized rover out into the 2040’s. But those same projects are on the critical path to Mars, where NASA still insists we’re going in the late 2030’s. The situation is awkward.

</p><p>So that is the story of Gateway—unloved, ineradicable, and as we’ll see, likely to become the sole legacy of the Artemis program.


￼


</p><p><img src="https://idlewords.com/images/pointy_rocket.jpg" alt="artist's rendering of human landing system'"></p>

<p><b><a name="lander">V. The Lander</a></b></p> 

<p>The lunar lander is the most technically ambitious part of Artemis.  Where SLS, Orion, and Gateway are mostly a compilation of NASA's greatest hits, the lander requires breakthrough technologies with the potential to revolutionize space travel. 

</p><p>Of course, you can’t just call it a lander.  In Artemis speak, this spacecraft is the Human Landing System, or HLS. NASA has delegated its design to two private companies, Blue Origin and SpaceX.  SpaceX is responsible for landing astronauts on Artemis 3 and 4, while Blue Origin is on the hook for Artemis 5 (notionally scheduled for 2030).  After that, the agency will take competitive bids for subsequent missions. 

</p><p>The SpaceX HLS design is based on their experimental Starship spacecraft, an enormous rocket that takes off on and lands on its tail, like 1950’s sci-fi.   There is a strong “emperor’s new clothes” vibe to this design.  On the one hand, it is the brainchild of brilliant SpaceX engineers and passed NASA technical review. On the other hand, the lander seems to go out of its way to create problems for itself to solve with technology. 

</p><p><img src="https://idlewords.com/images/hls_lem.jpg" alt="artist's rendering of human landing system'"></p>
<p class="caption">An early SpaceX rendering of the Human Landing System, with the Apollo Lunar Module added for scale.</p> 


<p>To start with the obvious, HLS looks more likely to tip over than the last two spacecraft to land on the moon, which <a href="https://www.space.com/intuitive-machines-odysseus-moon-lander-tipped-over">tipped</a> <a href="https://www.cbsnews.com/news/japanese-moon-lander-reaches-surface-but-fate-uncertain/">over</a>.   It is a fifteen story tower that must land on its ass in terrible lighting conditions, on rubble of unknown composition, over a light-second from Earth.  The crew are left suspended so high above the surface that they need a folding space elevator (not the cool kind) to get down.  And yet in the end this single-use lander carries less payload (both up and down) than the tiny Lunar Module on Apollo 17. Using Starship to land two astronauts on the moon is like delivering a pizza with an aircraft carrier. 

</p><p>Amusingly, the sheer size of the SpaceX design leaves it with little room for cargo.  The spacecraft arrives on the Moon laden with something like 200 tons of cryogenic propellant,<a id="fn_hlsprop"></a><a class="fnote" href="#hlsprop"><span class="s9"><sup>[16]</sup></span></a> and like a fat man leaving an armchair, it needs every drop of that energy to get its bulk back off the surface.  Nor does it help matters that all this cryogenic propellant has to cook for a week in direct sunlight.

</p><p>Other, less daring lander designs reduce their appetite for propellant by using a detachable landing stage. This arrangement also shields the ascent rocket from hypervelocity debris that gets kicked up during landing.  But HLS is a one-piece rocket; the same engines that get sandblasted on their way down to the moon must relight without fail a week later. 

 </p><p>Given this fact, it’s remarkable that NASA’s contract with SpaceX doesn’t require them to demonstrate a lunar takeoff. All SpaceX has to do to satisfy NASA requirements is land an HLS prototype on the Moon.  Questions about ascent can then presumably wait until the actual mission, when we all find out together with the crew whether HLS can take off again.<a id="fn_ascent"></a><a class="fnote" href="#ascent"><span class="s9"><sup>[17]</sup></span></a>

</p><p>This fearlessness in design is part of a pattern with Starship HLS.  Problems that other landers avoid in the design phase are solved with engineering.  And it’s kind of understandable why SpaceX does it this way. Starship is meant to fly to Mars, a much bigger challenge than landing two people on the moon. If the basic Starship design can’t handle a lunar landing, it would throw the company’s whole Mars plan into question. SpaceX is committed to making Starship work, which is different from making the best possible lunar lander.

</p><p>Less obvious is why NASA tolerates all this complexity in the most hazardous phase of its first moon mission. Why land a rocket the size of a building packed with moving parts?  It’s hard to look at the HLS design and not think back to other times when a room full of smart NASA people talked themselves into taking major risks because the alternative was not getting to fly at all. 

</p><p>It’s instructive to compare the HLS approach to the design philosophy on Apollo. Engineers on that progam were motivated by terror; no one wanted to make the mistake that would leave astronauts stranded on the moon.  The weapon they used to knock down risk was simplicity. The Lunar Module was a small metal box with a wide stance, built low enough so that the astronauts only needed to climb down a short ladder. The bottom half of the LM was a descent stage that completely covered the ascent rocket (a design that showed its value on Apollo 15, when one of the descent engines got <a href="https://en.wikipedia.org/wiki/Descent_propulsion_system#/media/File:Apollo_15_Engine_Bell.jpg">smushed by a rock</a>).   And that ascent rocket, the most important piece of hardware in the lander, was a caveman design intentionally made so primitive that it  would struggle to find ways to fail.  

</p><p>On Artemis, it's the other way around: the more hazardous the mission phase, the more complex the hardware. It's hard to look at all this lunar machinery and feel reassured, especially when NASA's own Aerospace Safety Advisory Panel estimates that the Orion/SLS portion of a moon mission alone (not including anything to do with HLS) already <a href="https://oiir.hq.nasa.gov/asap/documents/2014_ASAP_Annual_Report.pdf">has a 1:75 chance</a> of killing the crew. 



</p><p><img src="https://idlewords.com/images/fuel_fight.jpg" alt="artist's rendering of human landing system'"></p>

<p><b><a name="refueling">VI. Refueling</a></b></p> 



<p>Since NASA’s biggest rocket struggles to get Orion into distant lunar orbit, and HLS weighs fifty times as much as Orion, the curious reader might wonder how the unmanned lander is supposed to get up there.

</p><p>NASA’s answer is, very sensibly, “not our problem”. They are paying Blue Origin and SpaceX the big bucks to figure this out on their own. And as a practical matter, the only way to put such a massive spacecraft into NRHO is to first refuel it in low Earth orbit. 

</p><p>Like a lot of space technology, orbital refueling sounds simple, has never been attempted, and can’t be adequately simulated on Earth.<a id="fn_refuel"></a><a class="fnote" href="#refuel"><span class="s9"><sup>[18]</sup></span></a>  The crux of the problem is that liquid and gas phases in microgravity jumble up into a three-dimensional mess, so that even measuring the quantity of propellant in a tank becomes difficult.  To make matters harder, Starship uses cryogenic propellants that boil at temperatures about a hundred degrees colder than the plumbing they need to move through.  Imagine trying to pour water from a thermos into a red-hot skillet while falling off a cliff and you get some idea of the difficulties. 

</p><p>To get refueling working, SpaceX will first have to demonstrate propellant transfer between rockets as a proof of concept, and then get the process working reliably and efficiently at a scale of hundreds of tons. (These are two distinct challenges).  Once they can routinely move liquid oxygen and methane from Starship A to Starship B, they’ll be ready to set up the infrastructure they need to launch HLS. 


</p><p><img src="https://idlewords.com/images/fueling_conops.jpg" alt="artist's rendering of human landing system'"></p>

<p>The plan for getting HLS to the moon looks like this: a few months before the landing date, SpaceX will launch a special variant of their Starship rocket configured to serve as a propellant depot. Then they'll start launching Starships one by one to fill it up. Each Starship arrives in low Earth orbit with some residual propellant; it will need to dock with the depot rocket and transfer over this remnant fuel.   Once the depot is full, SpaceX will launch HLS, have it fill its tanks at the depot rocket, and send it up to NRHO in advance of Orion. When Orion arrives, HLS will hopefully have enough propellant left on board to take on astronauts and make a single round trip from NRHO to the lunar surface.

</p><p>Getting this plan to work requires solving a second engineering problem, how to keep cryogenic propellants cold in space.  Low earth orbit is a toasty place, and without special measures, the cryogenic propellants Starship uses will quickly vent off into space.  The problem is easy to solve in deep space (use a sunshade), but becomes tricky in low Earth orbit, where a warm rock covers a third of the sky.  (Boil-off is also a big issue for HLS on the moon.)


</p><p> It’s not clear how many Starship launches it will take to refuel HLS.  Elon Musk has said four might be enough; NASA Assistant Deputy Associate Administrator Lakiesha Hawkins says the number is in the “high teens”.  Last week, SpaceX's Kathy Lueders <a href="https://youtu.be/vOg49BVhU40?si=6q8R2qvkmEDPGy0V&amp;t=2381">gave a figure of fifteen launches</a>.

</p><p>The real number is unknown and will come down to four factors:

</p><ol>
<li>How much propellant a Starship can carry to low Earth orbit.</li>

<li>What fraction of that can be usably pumped out of the rocket. </li>

<li>How quickly cryogenic propellant boils away from the orbiting depot.</li>

<li>How rapidly SpaceX can launch Starships.</li>
</ol>

<p>SpaceX probably knows the answer to (1), but isn’t talking.  Data for (2) and (3) will have to wait for flight tests that are planned for 2025.  And obviously a lot is riding on (4), also called launch cadence.  

</p><p>The record for heavy rocket launch cadence belongs to the Space Shuttle, which flew nine times in the calendar year before the Challenger disaster. Second place belongs to the Saturn V, which launched three times during a four and a half month period in 1969.    In third place is Falcon Heavy, which flew six times in a 13 month period beginning in November 2022. 

</p><p>For the refueling plan to work, Starship will have to break this record by a factor of ten, launching every six days or so across multiple launch facilities. <a id="fn_cadence"></a><a class="fnote" href="#cadence"><span class="s9"><sup>[19]</sup></span></a>  The refueling program can tolerate a few launch failures, as long as none of them damages a launch pad. 

</p><p>There’s no company better prepared to meet this challenge than SpaceX. Their Falcon 9 rocket has shattered records for both reliability and cadence, and now launches about once every three days.  But it took SpaceX ten years to get from the first orbital Falcon 9 flight to a weekly cadence, and Starship is vastly bigger and more complicated than the Falcon 9. <a id="fn_falcon9"></a><a class="fnote" href="#falcon9"><span class="s9"><sup>[20]</sup></span></a>

</p><p>Working backwards from the official schedule allows us to appreciate the time pressure facing SpaceX. To make the official Artemis landing date, SpaceX has to land an unmanned HLS prototype on the moon in early 2026. That means tanker flights to fill an orbiting depot would start in late 2025.  This doesn’t leave a lot of time for the company to invent orbital refueling, get it working at scale, make it efficient, deal with boil-off, get Starship launching reliably, begin recovering booster stages,<a id="fn_recovery"></a><a class="fnote" href="#recovery"><span class="s9"><sup>[21]</sup></span></a> set up additional launch facilities, achieve a weekly cadence,  and at the same time design and test all the other systems that need to go into HLS. 

</p><p>Lest anyone think I’m picking on SpaceX, the development schedule for Blue Origin’s 2029 lander is even more fantastical. That design requires pumping tons of liquid hydrogen between spacecraft in lunar orbit, a challenge perhaps an order of magnitude harder than what SpaceX is attempting. Liquid hydrogen is bulky, boils near absolute zero, and is infamous for its ability to leak through anything (the Shuttle program couldn't get a handle on hydrogen leaks on Earth even after a hundred some launches).  And the rocket Blue Origin needs to test all this technology has never left the ground. 

</p><p>The upshot is that NASA has put a pair of last-minute long-shot technology development programs between itself and the moon.  Particularly striking is the contrast between the ambition of the HLS designs and the extreme conservatism and glacial pace of SLS/Orion.  The same organization that spent 23 years and 20 billion dollars building the world's most vanilla spacecraft demands that SpaceX darken the sky with Starships within four years of signing the initial HLS contract. While thrilling for SpaceX fans, this is pretty unserious behavior from the nation’s space agency, which had several decades' warning that going to the moon would require a lander. 

</p><p>All this to say, it's universally understood that there won’t be a moon landing in 2026. At some point NASA will have to officially slip the schedule, as it did in 2021, 2023, and at the start of this year.  If this accelerating pattern of delays continues, by year’s end we might reach a state of continuous postponement, a kind of scheduling singularity where the landing date for Artemis 3 recedes smoothly and continuously into the future. 

</p><p>Otherwise, it's hard to imagine a manned lunar landing before 2030, if the Artemis program survives that long.


</p><p><img src="https://idlewords.com/images/artemis_cart.jpg" alt="Interior of Skylab"></p>

<p><b><a name="conclusion">VII. Conclusion</a></b></p>

<p>I want to stress that there’s nothing wrong with NASA making big bets on technology.  Quite the contrary, the audacious HLS contracts may be the healthiest thing about Artemis. Visionaries at NASA identified a futuristic new energy source (space billionaire egos) and found a way to tap it on a fixed-cost basis.  If SpaceX or Blue Origin figure out how to make cryogenic refueling practical, it will mean a big step forward for space exploration, exactly the thing NASA should be encouraging. And if the technology doesn’t pan out, we’ll have found that out mostly by spending Musk’s and Bezos’s money.  

</p><p>The real problem with Artemis is that it doesn’t think through the consequences of its own success.  A working infrastructure for orbital refueling would make SLS and Orion superfluous.  Instead of waiting two years to go up on a $4 billion rocket, crews and cargo could launch every weekend on cheap commercial rockets, refueling in low Earth orbit on their way to the moon. A similar logic holds for Gateway.  Why assemble a space station out of habitrail pieces out in lunar orbit, like an animal, when you can build one on Earth and launch it in one piece? Better yet, just spraypaint “<b>GATEWAY</b>” on the side of the nearest Starship, send it out to NRHO, and save NASA and its international partners billions.  Having a working gas station in low Earth orbit fundamentally changes what is possible, in a way the SLS/Orion arm of Artemis doesn't seem to recognize.

</p><p>Conversely, if SpaceX and Blue Origin can’t make cryogenic refueling work, then NASA has no plan B for landing on the moon. All the Artemis program will be able to do is assemble Gateway.  Promising taxpayers the moon only to deliver ISS Jr. does not broadcast a message of national greatness, and is unlikely to get Congress excited about going to Mars.  The hurtful comparisons between American dynamism in the 1960’s and whatever it is we have now will practically write themselves. 

</p><p>What NASA is doing is like an office worker blowing half their salary on lottery tickets while putting the other half in a pension fund.  If the lottery money comes through, then there was really no need for the pension fund. But without the lottery win, there’s not enough money in the pension account to retire on. The two strategies don't make sense together.

</p><p>There’s a ‘realist’ school of space flight that concedes all this but asks us to look at the bigger picture. We’re never going to have the perfect space program, the argument goes, but the important thing is forward progress. And Artemis is the first program in years to survive a presidential transition and have a shot at getting us beyond low Earth orbit.  With Artemis still funded, and Starship making rapid progress, at some point we’ll finally see American astronauts back on the moon.

</p><p>But this argument has two flaws. The first is that it feeds a cycle of dysfunction at NASA that is rapidly making it impossible for us to go anywhere.    Holding human space flight to a different standard than NASA’s science missions has been a disaster for space exploration.  Right now the Exploration Systems Development Mission Directorate (the entity responsible for manned space flight) couldn’t build a toaster for less than a billion dollars.  Incompetence, self-dealing, and mismanagement that end careers on the science side of NASA are not just tolerated but rewarded on the human space flight side.  Before we let the agency build out its third white elephant project in forty years,  it’s worth reflecting on what we're getting in return for half our exploration budget.

</p><p>The second, more serious flaw in the “realist” approach is that it enables a culture of institutional mendacity that must ultimately be fatal at an engineering organization. We've reached a point where NASA lies constantly, to both itself and to the public. It lies about schedules and capabilities. It lies about the costs and the benefits of its human spaceflight program. And above all, it lies about risk. All the institutional pathologies identified in the Rogers Report and the Columbia Accident Investigation Board are alive and well in Artemis—groupthink, management bloat, intense pressure to meet impossible deadlines, and a willingness to manufacture engineering rationales to justify flying unsafe hardware.

</p><p>Do we really have to wait for another tragedy, and another beautifully produced Presidential Commission report, to see that Artemis is broken? 

<br><br>

</p><p><b><a name="notes">Notes</a></b></p>



<p><a id="cost"></a><a class="fnote" href="#fn_cost">[1]</a>  Without NASA's help, it's hard to put a dollar figure on a mission without making somewhat arbitrary decisions about what to include and exclude. The $7-10 billion estimate comes from a Bush-era official in the Office of Management and Budget commenting <a href="https://forum.nasaspaceflight.com/index.php?topic=60228.msg2559545#msg2559545">on the NASA Spaceflight Forum</a>

</p><blockquote>
And that $7.2B assumes Artemis III stays on schedule.  Based on the FY24 budget request, each additional year between Artemis II and Artemis III adds another $3.5B to $4.0B in Common Exploration to Artemis III.  If Artemis III goes off in 2027, then it will be $10.8B total.  If 2028, then $14.3B.
</blockquote>

 <p>In other words, it's hard to break out an actual cost while the launch dates for both Artemis II and III keep slipping.
 
 </p><p>NASA's own Inspector General estimates the cost of <a href="https://oig.nasa.gov/wp-content/uploads/2024/02/IG-22-003.pdf">just the SLS/Orion portion</a> of a moon landing at $4.1 billion. 


</p><p><a id="nasatime"></a><a class="fnote" href="#fn_nasatime">[2]</a>  The first US suborbital flight, Friendship 7, launched on May 15, 1961. Armstrong and Aldrin landed on the moon eight years and two months later, on July 21, 1969.  President Bush announced the goal of returning to the moon in a January 2004 speech, setting the target date for the first landing "as early as 2015", and no later than 2020.

</p><p><a id="slscost"></a><a class="fnote" href="#fn_slscost">[3]</a> NASA refuses to track the per-launch cost of SLS, so it's easy to get into nerdfights. Since the main cost driver on SLS is the gigantic workforce employed on the project, something like two or three times the headcount of SpaceX, the cost per launch depends a lot on cadence.    If you assume a yearly launch rate (the official line), then the rocket costs $2.1 billion a launch. If like me you think one launch every two years is optimistic, the cost climbs up into the $4-5 billion range.   


</p><p><a id="dollarbills"></a><a class="fnote" href="#fn_dollarbills">[4]</a> The SLS weighs 2,600 metric tons fully fueled, and conveniently enough a dollar bill weighs about 1 gram. 

</p><p><a id="refurb"></a><a class="fnote" href="#fn_refurb">[5]</a> SpaceX does not disclose the cost, but it's widely assumed the Raptor engine used on Superheavy costs $1 million.   



</p><p><a id="rs25restart"></a><a class="fnote" href="#fn_rs25restart">[6]</a>  The $145 million figure comes from <a href="https://spacenews.com/aerojet-rocketdyne-defends-sls-engine-contract-costs/">dividing the contract cost by the number of engines</a>, caveman style. Others have reached a figure of $100 million for the unit cost of these engines. The important point is not who is right but the fact that NASA is paying vastly more than anyone else for engines of this class.


</p><p><a id="fheavy"></a><a class="fnote" href="#fn_fheavy">[7]</a> $250M is the figure you get by dividing the $3.2 billion Booster Production and Operations contract to Northrop Grumman by the number of boosters (12) in the contract.  Source:  <a href="https://oig.nasa.gov/wp-content/uploads/2024/02/IG-23-015.pdf">Office of the Inspector General</a>. For cost overruns replacing asbestos, see the OIG report on <a href="https://oig.nasa.gov/wp-content/uploads/2024/02/IG-23-015.pdf">NASA’s Management of the Space Launch
System Booster and Engine Contracts</a>.  The Department of Defense paid <a href>$130 million</a> for a Falcon Heavy launch in 2023. 

</p><p><a id="electron"></a><a class="fnote" href="#fn_electron">[8]</a>  Rocket Lab developed, tested, and flew its Electron rocket for a total program cost of <a href="https://twitter.com/Peter_J_Beck/status/1302692025297379328">$100 million</a>. 

</p><p><a id="heatshield"></a><a class="fnote" href="#fn_heatshield">[9]</a> In particular, the separation bolts embedded in the Orion heat shield were built based on a flawed thermal model, and need to be redesigned to safely fly a crew. From <a href="https://oig.nasa.gov/office-of-inspector-general-oig/audit-reports/nasas-readiness-for-the-artemis-ii-crewed-mission-to-lunar-orbit/">the OIG report</a>:

</p><blockquote>
Separation bolt melt beyond the thermal barrier during reentry can expose the vehicle to hot gas ingestion behind the heat shield, exceeding Orion’s structural limits and resulting in the breakup of the vehicle and loss of crew. Post-flight inspections determined there was a discrepancy in the thermal model used to predict the bolts’ performance pre-flight. Current predictions using the correct information suggest the bolt melt exceeds the design capability of Orion.
</blockquote>

<p>The current plan is to work around these problems on Artemis 2, and then redesign the components for Artemis 3. That means astronauts have to fly at least twice with an untested heat shield design. 




</p><p><a id="oriondeltav"></a><a class="fnote" href="#fn_oriondeltav">[10]</a> 
Orion/ESM has a delta V budget of 1340 m/s. Getting into and out of an equatorial low lunar orbit takes about 1800 m/s, more for a polar orbit.  (See <a href="https://www.nasa.gov/wp-content/uploads/2023/10/nrho-artemis-orbit.pdf">source</a>.)

</p><p><a id="nrho"></a><a class="fnote" href="#fn_nrho">[11]</a> 
It takes about 900 m/s of total delta V to get in and out of NHRO, comfortably within Orion/ESM's 1340 m/s budget.  (See <a href="https://www.nasa.gov/wp-content/uploads/2023/10/nrho-artemis-orbit.pdf">source</a>.)

</p><p><a id="abort"></a><a class="fnote" href="#fn_abort">[12]</a> 
In <i>Carrying the Fire</i>, Apollo 11 astronaut Michael Collins recalls carrying a small notebook covering 18 lunar rendezvous scenarios he might be called on to fly in various contingencies. If the Lunar Module could get itself off the surface, there was probably a way to dock with it.

</p><p>For those too young to remember, Tang is a powdered orange drink <a href="https://www.foodandwine.com/lifestyle/how-nasa-made-tang-cool">closely associated</a> with the American space program. 


</p><p><a id="abortnrho"></a><a class="fnote" href="#fn_abortnrho">[13]</a> For a detailed (if somewhat cryptic) discussion of possible Artemis abort modes to NRHO, see <a href="https://ntrs.nasa.gov/api/citations/20230002566/downloads/HLS%20NRHO%20to%20Lunar%20Surface%20and%20Back%20Mission%20Design_STRIVES.pptx.pdf">HLS NRHO to Lunar Surface and
Back Mission Design</a>, NASA 2022.


</p><p><a id="landingrisk"></a><a class="fnote" href="#fn_landingrisk">[14]</a>
The main safety issue is the difficult thermal environment at the landing site, where the Sun sits just above the horizon, heating half the lander. If it weren't for the NRHO constraint, it's very unlikely Artemis 3 would spend more than a day or two on the lunar surface. 

</p><p><a id="iss"></a><a class="fnote" href="#fn_iss">[15]</a>
The ISS program has been repeatedly extended, but the station is coming up against physical limiting factors (like metal fatigue) that will soon make it too dangerous to use.

</p><p><a id="hlsprop"></a><a class="fnote" href="#fn_hlsprop">[16]</a> This is my own speculative guess; the answer is very sensitive to the dry weight of HLS and the boil-off rate of its cryogenic propellants. Delta V from the lunar surface to NRHO is 2,610 m/sec.  Assuming HLS weighs 120 tons unfueled, it would need about 150 metric tons of propellant to get into NRHO from the lunar surface. Adding safety margin, fuel for docking operations, and allowing for a week of boiloff gets me to about 200 tons. 


</p><p><a id="ascent"></a><a class="fnote" href="#fn_ascent">[17]</a>
Recent comments by NASA suggest SpaceX has <a href="https://twitter.com/jeff_foust/status/1783877352432263175">voluntarily added an ascent phase</a> to its landing demo, ending a pretty untenable situation. However, there's still no requirement that the unmanned landing/ascent demo be performed using the same lander design that will fly on the actual mission, another oddity in the HLS contract.


</p><p><a id="refuel"></a><a class="fnote" href="#fn_refuel">[18]</a>
To be precise, I'm talking about moving bulk propellant between rockets in orbit. There are resupply flights to the International Space Station that deliver about 850 kilograms of non-cryogenic propellant to boost the station in its orbit, and there have been small-scale experiments in refueling satellites. But no one has attempted refueling a flown rocket stage in space, cryogenic or otherwise. 



</p><p><a id="cadence"></a><a class="fnote" href="#fn_cadence">[19]</a>

Both SpaceX's <a href="https://youtu.be/vOg49BVhU40?si=6q8R2qvkmEDPGy0V&amp;t=2381">Kathy Lueders</a> and NASA confirm Starship needs to launch from multiple sites.  Here's an excerpt from <a href="https://www.nasa.gov/wp-content/uploads/2024/01/heoc-november-2023-final-v2.pdf">the minutes</a> of the NASA Advisory Council Human Exploration and Operations Committee meeting on November 17 and 20, 2023:

</p><blockquote>
Mr. [Wayne] Hale asked where Artemis III will launch from. [Assistant Deputy AA for Moon to Mars Lakiesha] Hawkins said that launch pads will be used in Florida and potentially Texas. The missions will need quite a number of tankers; in order to meet the schedule, there will need to be a rapid succession of launches of fuel, requiring more than one site for launches on a 6-day rotation schedule, and multiples of launches. 
</blockquote>


<p><a id="falcon9"></a><a class="fnote" href="#fn_falcon9">[20]</a> Falcon 9 first flew in June of 2010 and achieved a weekly launch cadence over a span of six launches starting in November 2020. 


</p><p><a id="recovery"></a><a class="fnote" href="#fn_recovery">[21]</a> Recovering Superheavy stages is not a NASA requirement for HLS, but it's a huge cost driver for SpaceX given the number of launches involved. 
</p>
