title: Make kin not nets
url: https://everythingchanges.us/blog/make-kin-not-nets/
hash_url: c05e9b12fb3f7f4dd3ab59130fba726e
archive_date: 2024-08-10
og_image: https://everythingchanges.us/assets/img/social.png
description: Caretaking beats value capture every time.
favicon: https://everythingchanges.us/favicon.ico
language: en_US

<div class="post-content u-layout u-flow">
  <h1 class="hed-article">Make kin not nets</h1>

  <p class="article-meta u-layout">
    <time class="date">16 Jul 2024</time>
    <span class="by">by Mandy Brown</span>
  </p>

  <p><em>“UGH, I KNOW, I have to network.</em>” Whether I’m talking to someone bookish and quiet or a gregarious self-identified extrovert, the prospect of doing “networking” brings groans and heavy sighs almost every time. It’s a necessary evil, an uncomfortable chore, one they’ve put off for too long and now—when they are in need—can’t put off any longer. And yet I think a great many people would more cheerfully approach scrubbing their bathroom floor or cleaning out the garage than do the work of networking most days, no matter how much they know they need to do it.</p>

<p>A common response to this complaint is that networking is good, actually, and we should all get over the weird hangups we have about it. We groan and sigh because we have imposter syndrome, or we fear failure, or we aren’t sufficiently confident in our own abilities, or we’re just huge babies who need to grow up and put our big pants on already. But I think all of this elides the real and justified reasons for feeling icky about networking: the act, as it’s usually discussed, distills human relationships into resources to be mined. It translates caring and caretaking for one another—one of the most meaningful and sacred acts any of us ever performs—into a utility, a “value-add,” an exchange of capital. It demeans the real friendship and camaraderie that emerges from working closely with other people on things that we are mutually and genuinely interested in.</p>

<p>In other words, if networking feels bad, that’s because <em>networking feels bad</em>, not because you are wrong about networking.</p>

<p>And yet: we <em>do</em> need to build relationships in our work and we need to be able to depend on them. We need to acknowledge our interdependence with respect to how we work and live among each other. We need this especially now, in an era of no longer creeping but leaping fascism and an escalating climate crisis. As always, we can only ever depend on each other. But we—you and me, every living, breathing human being who is reading these words right now—need not engage in a cynical and dehumanizing act in order to do that.</p>

<p>So stop networking. <em>Kinwork,</em> instead.</p>

<p>“Kinwork” refers to the work of creating and sustaining kin relationships. Think of the work of checking in on people, arranging gatherings, keeping up the group DM, providing emotional and material support. Because we live within deeply patriarchal societies, kinwork is usually coded as feminine and often presumed to be the work of women. It is also, and for the same reasons, typically disparaged. But I for one am unwilling to cede either point: I assert, instead, that kinwork is critical work for people of all genders, that knitting stronger relationships is a core survival skill in difficult times and in every part of our lives—including in our work lives.</p>

<p>I’m using an expansive definition of <em>kin,</em> here, to refer not only to the (again) patriarchal nuclear family but also friends, roommates, neighbors, colleagues and comrades—everyone with whom we share our lives and are, at various points and to various degrees, interdependent with. I’m borrowing here from Donna Haraway’s concept of <a href="https://aworkinglibrary.com/writing/oddkin">oddkin</a>, in addition to godkin: that is, kin are not only the relationships we are born with but the ones we find ourselves among, whether by choice or circumstance. Kinwork is, then, the making and remaking of those relationships, the weaving together of people into ecosystems of support and care.</p>

<p>Jettisoning networking in favor of kinworking means taking a more ecological approach, one oriented towards nurturing the soil, planting seeds, providing water and sunlight—and then accepting that you have no control over what grows. This is as opposed to the strip mining orientation so common to much traditional networking, the expectation of a trade in value, of a return on the investment. The difference is between the act of contributing to the ground on which you and others stand versus negotiating an exchange that leaves the earth barren and dry. Which is not to say that kinworking doesn’t deliver, but rather that what it delivers isn’t capital but <em>life</em>—that connected, abundant, joyful experience of living among people and working, together, for a better world.</p>

<p>This is, to be plain, a narrative shift more than a tactical one. But stories are what make up our world; stories are what fuel all our possible futures. When you reach out to someone with the intent to make kin instead of catching them in a net, you are still asking for their attention, you are still vulnerable, still exposed to all the ways we can be awkward with one another, or do harm. Making kin isn’t <em>easy</em>—few things worth doing are. But it is <em>life-giving,</em> it is restorative and gratifying. It is the practice of curiosity and care, of connection rather than extraction, of cultivating common ground. And whether you are the one reaching out, or the one receiving the gift, making kin <em>feels good.</em> Because it <em>is</em> good. You can trust your instincts on that.<svg class="stopmark"><use xlink:href="/assets/img/ec-symbols.svg#stopmark"></use></svg></p>

</div>