title: We don’t need a boss, we need a process
url: https://www.miriamsuzanne.com/2024/08/08/vision/
hash_url: e89c9b835d4d17acf35f6152c4ee68d3
archive_date: 2024-08-10
og_image: https://www.miriamsuzanne.com/images/headshots/GBoSaie2zL-1600.jpeg
description: (and our team will probably need some training)
favicon: https://www.miriamsuzanne.com/favicon.svg
language: en_US

<p>Everyone can agree that
<em>design by committee</em> usually fails.
But it’s not because
there are multiple people involved,
it’s because (most) <em>committees</em>
are not made up of skilled collaborators
with a shared vision and process.</p>
<p>Shared vision and collaborative process
don’t <em>just happen</em>
when good developers sit around a table.
Like anything else,
collaborative art and design
are skills that people learn and practice.
We have to exercise new muscles,
not usually covered by
a developer bootcamp
or design school.
The process can have a lot in common
with <em>agile</em> approaches,
but it’s a different set of skills
from collaborating on a codebase.</p>
<p>Skills we can learn.
But skills we won’t have
unless we study and practice.</p>
<p>Or we can skip all that
and get one person to make all the decisions.
That’s an option,
but it’s not <em>the only way</em>.
It’s just the way most of us were taught.</p>
<p>I’m not saying this theoretically.
Not all theaters or bands
are collaborative, but many are –
and there are long traditions
around ‘devised’ or ‘ensemble’ theater in particular.
Learning to <em>write plays</em> or <em>act in them</em>
does not prepare you to devise with an ensemble,
but there are many people who do
study, learn, practice, document and teach those skills.</p>
<p>(In fact, it’s what I’ve spent most of my life doing,
with occasional CSS distractions)</p>
<p>But I suppose Robin is right that
even good collaboration
generally <em>ain’t a democracy</em>.
It’s more involved and messy than voting,
or tallying a majority opinion.
It requiring deep engagement,
and shared ownership of a vision.
Let’s call it anarchist, maybe,
with an emphasis on mutual aid?</p>
<p>Creative collaboration
requires effort, argument, trust, and play.
The ability to fight for an idea,
and then let it go.
To be open, and then decisive.
Knowing when to work together,
and when to work apart.
Cycles of action, reaction, reflection, etc.</p>
<p>Developers have excellent tools for that last bit –
working together, while apart.
Many artists would benefit from something like GitHub.
These skills are not entirely unrelated.
But they’re also not directly equivalent.</p>
<p>I don’t remember the source,
but at some point I learned
that ‘brainstorming’ tends to fail
because the strength of collaboration
comes from <em>pushing back</em>.
Not off-hand rejection,
shooting ideas down –
but honing our ideas
by articulating what makes them work or fail.</p>
<p>What we like about a dictator
is that they have a vision,
and set the process,
and take the responsibility
to be decisive when necessary.
But it’s not impossible for us to do that together,
if we learn how to hold a strong vision collectively.</p>
<p>We must become a team,
united against our work.
Our job, together,
is to hone and curate that work
towards the exclusive vision
through continuous questioning and articulation.</p>
<p>We define a vision by the choices we make,
and we clarify that vision by the choices we reject.</p>
<p>(Now I want to re-read Anne Bogart’s
<a href="https://bookshop.org/p/books/a-director-prepares-seven-essays-on-art-and-theatre-anne-bogart/21516283?ean=9780415238328">A Director Prepares</a>,
and
<a href="https://bookshop.org/p/books/the-viewpoints-book-a-practical-guide-to-viewpoints-and-composition-anne-bogart/10486980?ean=9781559362412">The Viewpoints Book</a>)</p>
