title: Les hommes doux sont-ils l’avenir du féminisme ?
url: https://blog.ecologie-politique.eu/post/Les-hommes-doux-sont-ils-l-avenir-du-feminisme
hash_url: ece1ee6687c7070e9bf39adb74294b8c
archive_date: 2024-04-22
og_image: 
description: Même si lafemme est l’avenir de l’homme, c’est moins sur nous que sur les hommes que sont projetées nombre d’attentes concernant le recul espéré du sexisme. Comme si nous ne
favicon: 
language: fr_FR

<p>Les études sur les masculinités, au pluriel, ont fait valoir que la classe des hommes était traversée de rapports de pouvoir, que nombre d'entre eux faisaient comme nous l’expérience de la marginalisation et de la réduction au statut de minorité, dominés par une masculinité hégémonique. Ce qui a pu laisser planer l’idée que beaucoup d’hommes étaient au fond des femmes comme les autres. Mais de quoi parle-t-on quand on parle de masculinité hégémonique ? Pour certain·es, ce serait celle des Pascal Brutal qui passent leurs loisirs à se faire pousser les muscles et rentrent battre leur femme comme tout bon prolétaire. Pour d’autres (qui ont mieux lu) ce sont les bourgeois blancs dans la force de l’âge qui posent les standards de la bonne masculinité, pas aussi stéréotypée mais aussi délétère. La confusion dans la réception de ces idées est bien pratique puisque c’est toujours l’autre qui est un sale mec toxique, ce qui dans les faits dédouane un peu tout le monde.</p>


<p>La sociologue australienne Raewyn Connell, une référence dans ce champ du savoir, n’a pourtant jamais manqué de signaler que les masculinités, dans leur diversité, avaient en commun une définition par opposition à la féminité. Un homme dominé a toujours la ressource de se faire reluire l’ego auprès des femmes et des enfants, au pire son chien, serait-ce à leurs dépens. Au contraire, dans certains discours contemporains (comme un bouquin sur les mecs doux à la Timothée Chalamet dont je me suis épargné la lecture après avoir été accablée par les pages de conclusion) on se complaît dans l’idée que le genre est un carcan qui pèse également sur les femmes et les hommes, qui ont tou·tes intérêt à s’en libérer.</p>


<p>Certes la masculinité a un coût pour les hommes (et surtout pour la société, comme l’a montré Lucile Peytavin dans <em>Le Coût de la virilité</em>) car leur espérance de vie est abrégée par leur comportement : surconsommation de viande, conduite dangereuse, tabagisme et alcoolisation, refus des gestes de dépistage (2), etc. Mais pour le reste, la masculinité est associée à de nombreux privilèges. Je voudrais interroger ici ceux des hommes doux, proféministes ou non binaires.</p>


<p>À ces hommes on donne le bon dieu sans confession, supposant que par principe ils sont nos alliés. Or les exemples sont nombreux qui nous montrent que non. François Bégaudeau, récemment poursuivi pour « diffamation en raison de l’appartenance à un sexe », n’a <a href="https://www.mediapart.fr/journal/france/040424/juge-pour-diffamation-sexiste-l-ecrivain-francois-begaudeau-plaide-l-humour-beauf">d’après ce reportage</a> jamais été capable de demander pardon à sa victime, ni en privé ni devant le tribunal où il se flatte plutôt : « Si on relisait tout ce que j’ai écrit, trente livres, des critiques, des articles, des pièces, je défie quiconque de trouver la moindre phrase misogyne. » Comme si on devait à ce petit monsieur la lecture de l’ensemble de son œuvre.</p>


<p>Je n’ai pas vraiment été surprise par cette incapacité masculine à demander pardon, ayant subi pour ma part des conditions de travail indignes et une relation à base de confidences malvenues de la part de l'universitaire proféministe François-Xavier Devetter, spécialiste de la qualité d’emploi justement (<a href="https://archive.org/details/profeministe-23">j’en ai fait le récit ici</a>). En privé comme devant la commission harcèlements de son université, je n’ai jamais pu lui arracher une demande d’excuses en bonne et due forme (3), seulement des justifications entrelardées de nouveaux blâmes envers moi.</p>


<p>Quand le proféministe (François ou un autre) s’est transformé en citrouille pour prendre ses aises aux dépens d’une femme, il refuse comme n’importe quel patriarche d’assumer son erreur, serait-ce en admettant un moment d’égarement ou une passe difficile dans sa vie, et on ne le voit pas proposer réparation. Il reste auréolé de ses engagements, qui justifient tous ses actes, et continue à profiter des privilèges de son genre, qu’il cumule avec bonne conscience.</p>


<p>Une masculinité très atypique n'a pas non plus empêché David Bowie, bisexuel affiché cultivant l’androgynie, d’abuser sexuellement, comme n’importe quel artiste célébré bien viril et bien hétéro, d’une fan mineure. Suffit-il d’avoir les ongles peints en violet et un peu de mascara aux yeux pour perdre ses privilèges masculins et ne pas se comporter comme un Depardieu ou un Polański ? Visiblement non.</p>


<p>J’ai cité à plusieurs reprises ici l’intervention d’un homme gay, essuyant avec d’autres hommes gays à la télévision l’accusation de représenter à eux seuls toutes les communautés LGBT et de ne laisser qu’une portion congrue aux lesbiennes. Ce représentant d’une plateforme associative (laquelle avait fait fuir nombre d’associations lesbiennes dans les mois précédant les faits, en raison de sa gouvernance lesbophobe et misogyne) mit un terme à la discussion en s’affirmant comme non binaire, dans le déni des privilèges dont il jouissait, en milieu LGBT et au-delà. En clair : le mec réduit au silence des femmes en parlant de son nombril. Ça ne nous rappelle rien ?</p>


<p>Je croise également des hommes se disant non binaires qui n’interrogent pas leur présence dans des lieux féminins non-mixtes, comme si elle allait de soi, comme si leur place était partout, alors qu’elle dérange une majorité de femmes. Auraient-ils, eux qui sont visiblement blancs, la même absence de gêne à faire intrusion dans une réunion non-mixte de personnes racisées ? Ni eux ni moi ne nous flattons d'être blanc·hes, pour nous le phénotype est insignifiant (4), mais nous reconnaissons pourtant la légitimité de ces espaces…</p>


<p>Le déni de ses privilèges, le fait de réclamer une position (prescriptrice) dans un mouvement féministe, tout cela sert des intérêts bien compris. Je me souviens d’un camarade qui m’expliquait que ne cohabitant pas avec sa compagne, il ne l’exploitait pas, donc il n’exploitait aucune femme, donc il ne m’exploitait pas alors que je venais justement de lui en faire le reproche. Ce qui lui a permis de ne pas remettre en question sa participation minimale au collectif de travail qui me pompait un plein temps bénévole. Dans le même groupe très masculin proliférait un mec geignard peu musclé que des amies avaient en conséquence appelé Caliméro. Il faisait valoir ses connaissances universitaires en études de genre et sa différence d’avec Pascal Brutal pour continuer à exploiter tranquillou les bonnes volontés féminines de son entourage et redéfinir à sa sauce (et dans son intérêt) le féminisme : un truc qui ne le dérangeait pas trop.</p>


<p>Et j’oubliais presque ce type dans une revue de gauche qui n’a pas demandé à deux femmes chargées d’un dossier sur le féminisme s’il pouvait partager leur réflexion déjà engagée et a posé sans concertation préalable deux articles dedans, comme deux couilles poilues sur une table (articles que toute la rédaction a trouvés déplorables mais qui sont néanmoins passés car nous n’avions plus de plan B). Il a également insisté pour imposer un passionnant récit intime de son parenting non genré en 50 000 signes qui n’a pu être accepté car notre plus gros format était 15 000 et devant ce refus est parti fâché (alors que moi, pas du tout, j’adore qu’un mec s’imagine que le féminisme, c’est SON sujet et écrive des bouses là où moi je n’ai pas osé prendre la plume autrement que pour la première version de l’édito).</p>


<p>Ce ne sont que des exemples glanés ici et là mais ceux qui me concernent directement m’ont épuisée en tant que féministe et ont porté atteinte à mon intégrité en tant que personne. Je m’estime donc en droit de les poser comme des contre-exemples du récit majoritaire qui dédouanerait les mecs doux de tout sexisme, sans attendre d’études quantitatives sur le pourcentage de mauvaise foi chez les « non binaires assigné·es hommes à la naissance » ou sur le temps précieux que les collectifs féministes passent à se pencher sur leur statut.</p>


<p>Alors oui, il y a des hommes objectivement plus dangereux, qui frappent et qui tuent. Mais ceux-là, on les voit venir de loin, quand ils essaient de nous faire taire on comprend ce qui nous arrive, ils n’essaient pas d’investir nos espaces et on les identifie vite comme des ennemis de classe. Je ne prends pas la peine d’écrire sur eux car ils n’ont jamais déçu personne. Avec eux, on est en terrain connu, on se protège. Avec les mecs doux, on peut tomber de très haut.</p>


<p>Dans mon expérience, les divergences d’avec une masculinité dominante stéréotypée et la mise en avant d’une masculinité atypique ou « déconstruite » servent à défendre des intérêts bien compris. D’abord ceux des hétérotes qui ont besoin de se dire qu’elles peuvent vivre une relation d’amour égalitaire avec un homme alors qu’elles ont à peu près autant de chances de gagner au loto (courage, les filles, continuez si ça vous aide, je ne disais pas ça pour vous accabler). La complicité de ces femmes qui rêvent d’un mec « déconstruit » est plus compréhensible et moins grave que le déni des hommes en question, qui n’ont aucun scrupule à se goinfrer de leurs privilèges aux dépens de femmes et, bonus, se servent de leur proféminisme ou de leur adhésion à des modèles alternatifs de masculinité pour se distinguer des autres hommes. J’ai pu l’observer partout, dans les milieux queer qui valident l’auto-déclaration du genre au mépris de toute considération matérielle comme chez les féministes radicales transexclusives de gauche dont les porte-parole sont des hommes-citrouilles.</p>


<p>Partout on dégaine l’adjectif « systémique » sauf là, où il serait pourtant bien utile. C’est pas un problème de personnes, c’est pas que les masculinités alternatives sont un modèle qui ne s’est pas encore assez diffusé, c’est parce que l’appartenance à une classe qui a des privilèges sur une autre produit quelque chose chez les dominants, une certaine répugnance à ne pas en profiter. Difficile dans ces conditions de se mettre au service du féminisme entendu comme l’émancipation des femmes et non comme une aventure de développement personnel (les hommes qui tentent de le faire, <a href="https://www.binge.audio/podcast/les-couilles-sur-la-table/les-bons-allies-et-les-faux-amis-du-feminisme">comme le politiste Francis Dupuis-Déri</a>, cultivent le soupçon face à leur positionnement et ont donc le bon goût de comprendre notre défiance).</p>


<p>Alors oui, y’en a des bien, comme disait Didier Super, mais nous sommes en droit d’adopter une grille de lecture binaire, car fondée sur ce que sont dans la bête réalité des rapports sociaux de sexe, pour ne pas devoir supporter l’ineffable individualité du premier venu. Et pour ne pas attendre de Timothée Chalamet la fin du sexisme, un peu comme les « alternatives » écolo (même collectives, coopératives et co-construites) allaient nous débarrasser des centrales nucléaires. C’est plutôt de notre capacité à envoyer chier les hommes, les durs comme les tendres, que se situe l’avenir du mouvement féministe. Ils trouveront leur place ailleurs.</p>


<p>(1) Il y a une incongruité à définir comme hommes des personnes se disant elles-mêmes non binaires mais j’assigne ici à la masculinité des personnes nées garçons et ayant un statut social masculin du fait de leur socialisation et de leur perception comme des hommes en l’absence d’engagement dans un parcours de transition. Leur auto-déclaration me semble dénuée de pertinence pour des raisons qui je l’espère apparaîtront plus loin.<br>
(2) Il y aurait beaucoup à dire sur le sujet car le dépistage précoce est parfois contre-productif. Mais la campagne actuelle pour le dépistage du cancer colo-rectal m’interroge déjà assez. C’est une campagne ultra genrée (Mars bleu et super-héros viril) qui laisse penser que les femmes ne sont pas plus concernées par ce cancer que par celui de la prostate. Ce qui est faux, j’ai vérifié, elles sont dotées elles aussi d’un système digestif (l’eusses-tu cru ?) et ce cancer touche assez indifféremment les deux sexes. La sensibilisation (nécessaire) des hommes se fait ainsi aux dépens de l'information des femmes. Une situation peu commune (tu parles) dans le monde de la santé publique et de la médecine… <br>
(3) « J’m’escuse » n’est pas seulement la version un peu relâchée d’« Excuse-moi », « Je te demande pardon » ou « Je te demande de bien vouloir m’excuser », non, c’est une expression dénuée de sens car on ne s’excuse pas soi-même, on demande à l’autre de le faire. Pour cela, compter sur sa complaisance est un peu limité quand pour donner une raison de vous pardonner on peut préciser en quoi on a merdé, vérifier qu’on est d’accord sur ce qui s’est passé et proposer réparation. Moi aussi, j’ai demandé pardon à des gens « dans la mesure où... » suivi de trucs auxquels je ne croyais pas ni ne croyais pas que l’autre croyait. C’était un crachat à la gueule poli.<br>
(4) En théorie car en pratique il me semble plus compliqué d’être exempt·e de tout racisme et sexisme, et ce d’autant plus quand on en tire, qu’on le veuille ou non, des bénéfices.</p>
