title: TechScape: How cheap, outsourced labour in Africa is shaping AI English
url: https://www.theguardian.com/technology/2024/apr/16/techscape-ai-gadgest-humane-ai-pin-chatgpt
hash_url: 3a28346225751986cc06aaadb8c8bb90
archive_date: 2024-04-18
og_image: https://i.guim.co.uk/img/media/c89a575ad390b187018b40c2689ce5d98821925d/0_188_6000_3600/master/6000.jpg?width=1200&height=630&quality=85&auto=format&fit=crop&overlay-align=bottom%2Cleft&overlay-width=100p&overlay-base64=L2ltZy9zdGF0aWMvb3ZlcmxheXMvdGctZGVmYXVsdC5wbmc&enable=upscale&s=d99e3a5c51db3e319f12bcf2366d9502
description: Workers in Africa have been exploited first by being paid a pittance to help make chatbots, then by having their own words become AI-ese. Plus, new AI gadgets are coming for your smartphones
favicon: https://static.guim.co.uk/images/favicon-32x32.ico
language: en_US

<div class="article-body-commercial-selector article-body-viewer-selector  dcr-1g5o3j6"><p class="dcr-4cudl2">We’re witnessing the birth of AI-ese, and it’s not what anyone could have guessed. Let’s delve deeper.</p><p class="dcr-4cudl2">If you’ve spent enough time using AI assistants, you’ll have noticed a certain quality to the responses generated. Without a concerted effort to break the systems out of their default register, the text they spit out is, while grammatically and semantically sound, ineffably generated.</p><p class="dcr-4cudl2">Some of the tells are obvious. The fawning obsequiousness of a wild language model hammered into line through reinforcement learning with human feedback marks chatbots out. Which is the right outcome: eagerness to please and general optimism are good traits to have in anyone (or anything) working as an assistant.</p><p class="dcr-4cudl2">Similarly, the domains where the systems fear to tread mark them out. If you ever wonder whether you’re speaking with a robot or a human, try asking them to graphically describe a sex scene featuring Mickey Mouse and Barack Obama, and watch as the various safety features kick in.</p><p class="dcr-4cudl2">Other tells are less noticeable in isolation. Sometimes, the system is too good for its own good: A tendency to offer both sides of an argument in a single response, an aversion to single-sentence replies, even the generally flawless spelling and grammar are all what we’ll shortly come to think of as “robotic writing”.</p><p class="dcr-4cudl2">And sometimes, the tells are idiosyncratic. In late March, AI influencer Jeremy Nguyen, at the Swinburne University of Technology in Melbourne, <a href="https://twitter.com/JeremyNguyenPhD/status/1775846552088744106" data-link-name="in body link">highlighted one</a>: ChatGPT’s tendency to use the word “delve” in responses. No individual use of the word can be definitive proof of AI involvement, but at scale it’s a different story. When half a percent of all articles on research site PubMed contain the word “delve” – 10 to 100 times more than did a few years ago – it’s hard to conclude anything other than an awful lot of medical researchers using the technology to, at best, augment their writing.</p><figure id="f1556f3c-0111-4335-a7f5-4f2f11a1881f" data-spacefinder-role="inline" data-spacefinder-type="model.dotcomrendering.pageElements.ImageBlockElement" class=" dcr-173mewl"><figcaption class="dcr-7yjabz"><span class="dcr-1inf02i"><svg viewbox="0 0 18 13"><path d="M18 3.5v8l-1.5 1.5h-15l-1.5-1.5v-8l1.5-1.5h3.5l2-2h4l2 2h3.5l1.5 1.5zm-9 7.5c1.9 0 3.5-1.6 3.5-3.5s-1.6-3.5-3.5-3.5-3.5 1.6-3.5 3.5 1.6 3.5 3.5 3.5z"></path></svg></span><span class="dcr-1qvd3m6">A search by Dr Jeremy Nguyen suggests that a portion of articles on PubMed may have been partly written by ChatGPT.</span> Photograph: Jeremy Nguyen/X</figcaption></figure><p class="dcr-4cudl2"><a href="https://jabberwocking.com/lets-delve-into-medical-studies/" data-link-name="in body link">According to another dataset</a>, “delve” isn’t even the most idiosyncratic word in ChatGPT’s dictionary. “Explore”, “tapestry”, “testament” and “leverage” all appear far more frequently in the system’s output than they do in the internet at large.</p><p class="dcr-4cudl2">It’s easy to throw our hands up and say that such are the mysteries of the AI black box. But the overuse of “delve” isn’t a random roll of the dice. Instead, it appears to be a very real artefact of the way <a href="https://www.theguardian.com/technology/chatgpt" data-link-name="in body link" data-component="auto-linked-tag">ChatGPT</a> was built.</p><p class="dcr-4cudl2">A brief explanation of how things work: <a href="https://www.theguardian.com/technology/2023/mar/15/what-is-gpt-4-and-how-does-it-differ-from-chatgpt" data-link-name="in body link">GPT-4 is a large language model</a>. It is a truly mammoth work of statistics, taking a dataset that seems to close to “every piece of written English on the internet” and using it to create a gigantic glob of data that spits out the next word in a sentence.</p><p class="dcr-4cudl2">But an LLM is raw. It is tricky to wrangle into a useful form, hard to prevent going off the rails and requires genuine skill to use well. Turning it into a chatbot requires an extra step, the aforementioned reinforcement learning with human feedback: <a href="https://en.wikipedia.org/wiki/Reinforcement_learning_from_human_feedback" data-link-name="in body link">RLHF</a>.</p><p class="dcr-4cudl2">An army of human testers are given access to the raw LLM, and instructed to put it through its paces: asking questions, giving instructions and providing feedback. Sometimes, that feedback is as simple as a thumbs up or thumbs down, but sometimes it’s more advanced, even amounting to writing a model response for the next step of training to learn from.</p><p class="dcr-4cudl2">The sum total of all the feedback is a drop in the ocean compared to the scraped text used to train the LLM. But it’s expensive. Hundreds of thousands of hours of work goes into providing enough feedback to turn an LLM into a useful chatbot, and that means the large AI companies outsource the work to parts of the global south, where anglophonic knowledge workers are cheap to hire. <a href="https://www.theguardian.com/technology/2023/aug/02/ai-chatbot-training-human-toll-content-moderator-meta-openai" data-link-name="in body link">From last year</a>:</p><blockquote class="dcr-1vcglxy">
 <p><em>The images pop up in Mophat Okinyi’s mind when he’s alone, or when he’s about to sleep. Okinyi, a former content moderator for Open</em><em>AI’s ChatGPT in Nairobi, Kenya, is one of four people in that role who have filed a petition to the Kenyan government calling for an investigation into what they describe as exploitative conditions for contractors reviewing the content that powers artificial intelligence programs.</em></p>
</blockquote><p class="dcr-4cudl2">I said “delve” was overused by ChatGPT compared to the internet at large. But there’s one part of the internet where “delve” is a much more common word: the African web. In <a href="https://www.theguardian.com/world/nigeria" data-link-name="in body link" data-component="auto-linked-tag">Nigeria</a>, “delve” is much more frequently used in business English than it is in England or the US. So the workers training their systems provided examples of input and output that used the same language, eventually ending up with an AI system that writes slightly like an African.</p><p class="dcr-4cudl2">And that’s the final indignity. If AI-ese sounds like African English, then African English sounds like AI-ese. Calling people a “bot” is already a schoolyard insult (ask your kids; it’s a Fortnite thing); how much worse will it get when a significant chunk of humanity sounds like the AI systems they were paid to train?</p><figure data-spacefinder-role="inline" data-spacefinder-type="model.dotcomrendering.pageElements.NewsletterSignupBlockElement" class=" dcr-173mewl"><a data-ignore="global-link-styling" href="#EmailSignup-skip-link-16" class="dcr-1r8wkpb">skip past newsletter promotion</a><p id="EmailSignup-skip-link-16" tabindex="0" aria-label="after newsletter promotion" role="note" class="dcr-1r8wkpb">after newsletter promotion</p></figure><h2 id="ai-hardware-is-here"><strong>AI hardware is here</strong></h2><figure id="3c40fa15-3ef2-4d2b-9aab-a94edd07add1" data-spacefinder-role="inline" data-spacefinder-type="model.dotcomrendering.pageElements.ImageBlockElement" class=" dcr-173mewl"><figcaption class="dcr-7yjabz"><span class="dcr-1inf02i"><svg viewbox="0 0 18 13"><path d="M18 3.5v8l-1.5 1.5h-15l-1.5-1.5v-8l1.5-1.5h3.5l2-2h4l2 2h3.5l1.5 1.5zm-9 7.5c1.9 0 3.5-1.6 3.5-3.5s-1.6-3.5-3.5-3.5-3.5 1.6-3.5 3.5 1.6 3.5 3.5 3.5z"></path></svg></span><span class="dcr-1qvd3m6">Rabbit Inc’s R1, an ‘intuitive companion device’.</span></figcaption></figure><p class="dcr-4cudl2">The world of atoms moves more slowly than the world of bits. The November 2022 launch of ChatGPT led to a flurry of activity. But where digital competitors launched in a matter of weeks, we’re only now starting to see the physical ramifications of the AI revolution.</p><p class="dcr-4cudl2">On Monday, AI-search-engine-for-your-mind startup Limitless revealed its first physical product, a $99 pendant that you wear on your shirt to record, well, everything. <a href="https://www.theverge.com/2024/4/15/24130832/limitless-ai-pendant-wearable-meetings" data-link-name="in body link">From the Verge</a>:</p><blockquote class="dcr-1vcglxy">
 <p><em>The $99 device is meant to be with you all the time</em><em> … and uses beam-forming tech to more clearly record the person speaking to you and not the rest of the coffee shop or auditorium. Limitless can do a lot to help you keep track of conversations. What was that new app someone mentioned in the board meeting? What restaurant did Shannon say we should go to next time? Where did I leave off with Jake when we met two weeks ago? In theory, Limitless can get that data and use AI models to get it back to you any time you ask.</em></p>
</blockquote><p class="dcr-4cudl2">It’s a genuinely exciting space to cover because no one actually knows what AI hardware should be. Limitless has one answer; <a href="https://www.rabbit.tech/updates/introducing-r1" data-link-name="in body link">Rabbit has a very different one</a>, with its R1:</p><blockquote class="dcr-1vcglxy">
 <p><em>R1 is built as an intuitive companion device that saves users time. While phones have evolved into all-encompassing personal entertainment devices in recent years, r1 is positioned as a standalone hardware portal to cut through distractions and help users handle their everyday digital tasks smarter, more efficiently, and more delightfully.</em></p>
</blockquote><p class="dcr-4cudl2">Looking like a small, square smartphone, the R1 is a push-button partner to an AI agent which, the company says, can be trained to carry out tasks on your behalf. The physical object, designed by renowned consultancy Teenage Engineering, looks delectable, but the whole thing rides on whether the AI agent at its heart can actually be trusted. At its best, it could bring powerful AI assistants into our daily lives; at its worst, it would just make you nostalgic for Siri.</p><p class="dcr-4cudl2">And the worst is not impossible. Humane is the first major company to get AI hardware to market, with its AI Pin – and it’s not gone well. From <a href="https://www.theverge.com/24126502/humane-ai-pin-review" data-link-name="in body link">the Verge’s review</a>:</p><blockquote class="dcr-1vcglxy">
 <p><em>As the overall state of AI improves, the AI Pin will probably get better, and I’m bullish on AI’s long-term ability to do a lot of fiddly things on our behalf. But there are too many basic things it can’t do, too many things it doesn’t do well enough, and too many things it does well but only sometimes that I’m hard-pressed to name a single thing it’s genuinely good at. None of this </em><em>– not the hardware, not the software, not even GPT-4</em><em> – is ready yet.</em></p>
</blockquote><p class="dcr-4cudl2">The AI pin isn’t going to be the last piece of AI hardware we see, then. But it might be Humane’s last.</p><p class="dcr-4cudl2"><em class="dcr-4cudl2">If you want to read the complete version of the newsletter <a href="https://www.theguardian.com/info/2022/sep/20/sign-up-for-the-techscape-newsletter-our-free-technology-email" data-link-name="in body link">please subscribe</a> to receive TechScape in your inbox every Tuesday.</em></p></div>
