title: Microsoft's new Windows 11 Recall is a privacy nightmare
url: https://www.bleepingcomputer.com/news/microsoft/microsofts-new-windows-11-recall-is-a-privacy-nightmare/
hash_url: e1f6125fe416ecd26f2804cdab5cc571
archive_date: 2024-05-24
og_image: https://www.bleepstatic.com/content/hl-images/2024/05/20/windows-11-recall.jpg
description: Microsoft&#039;s announcement of the new AI-powered Windows 11 Recall feature has sparked a lot of concern, with many thinking that it has created massive privacy risks and a new attack vector that threat actors can exploit to steal data.
favicon: https://www.bleepstatic.com/favicon/bleeping.ico
language: en_us

<p><img alt="Windows 11 Recall" src="https://www.bleepstatic.com/content/hl-images/2024/05/20/windows-11-recall.jpg"></p>
<p>Microsoft's announcement of the new AI-powered Windows 11 Recall feature has sparked a lot of concern, with many thinking that it has created massive privacy risks and a new attack vector that threat actors can exploit to steal data.</p>
<p>Revealed during a Monday AI event, the feature is designed to help "recall" information you have looked at in the past, making it easily accessible via a simple search.</p>
<p>While it's currently only available on Copilot+ PCs running Snapdragon X ARM processors, Microsoft says they are working with Intel and AMD to create compatible CPUs.</p>
<p>Recall works by taking a screenshot of your active window every few seconds, recording everything you do in Windows for up to three months by default.</p>
<p>These snapshots will be analyzed by the on-device Neural Processing Unit (NPU) and an AI model to extract data from the screenshot. The data will be saved in a semantic index, allowing Windows users to browse through the snapshot history or search using human language queries.</p>
<div>
<figure class="image"><img alt="Windows 11 Recall" src="https://www.bleepstatic.com/images/news/Microsoft/windows-11/r/recall/windows-11-recal.jpg"><figcaption><strong>Windows 11 Recall</strong></figcaption></figure></div>
<p>Microsoft says that all of this data is encrypted using BitLocker tied to the user's Windows account and is not shared with other users on the same device.</p>
<p>While this sounds fun and interesting, it immediately raised concerns about obvious privacy risks and whether Microsoft plans on gobbling up all of this data.</p>
<p>However, Microsoft says Recall has been designed so that all of the data is saved directly on the user's device in an encrypted format, providing users with complete control over the feature, including if it's enabled and what apps it can take screenshots of.</p>
<div class="fan_quote">
<p>"Recall is a key part of what makes Copilot+ PCs special, and Microsoft built privacy into Recall's design from the ground up. On Copilot+ PCs powered by a Snapdragon® X Series processor, you will see the Recall taskbar icon after you first activate your device. You can use that icon to open Recall's settings and make choices about what snapshots Recall collects and stores on your device. You can limit which snapshots Recall collects; for example, you can select specific apps or websites visited in a supported browser to filter out of your snapshots. In addition, you can pause snapshots on demand from the Recall icon in the system tray, clear some or all snapshots that have been stored, or delete all the snapshots from your device."</p><p>
❖ Microsoft</p></div>
<p>Microsoft also says it will not create screenshots of Microsoft Edge's InPrivate windows (and other Chromium-based browsers) or content protected by DRM. However, they have not confirmed whether other browser's private modes, like Firefox, will be supported.</p>
<p>In a Monday press event, Yusuf Mehdi, Corporate Vice President &amp; Consumer Chief Marketing Officer, assured journalists that Microsoft is taking a very conservative approach with Recall.</p>
<p>"We're going to keep your Recall index private and local and secure on just the device," said Mehdi.</p>
<p>"We won't use any of that information to train any AI model, and we put you completely in control with the ability to edit and delete anything that is captured."</p>
<p>Furthermore, Microsoft also reiterated to BleepingComputer that data for Recall will only be available locally and not be stored in the cloud, with the company once again restating that "data is not accessed by Microsoft."</p>
<p>Microsoft has also started to share more technical details, such as <a href="https://learn.microsoft.com/en-us/windows/client-management/manage-recall#configure-policies-for-recall" target="_blank" rel="nofollow noopener">group policies</a> that can be used to disable Recall company-wide and how end users can <a href="https://support.microsoft.com/en-us/windows/privacy-and-control-over-your-recall-experience-d404f672-7647-41e5-886c-a3c59680af15" target="_blank" rel="nofollow noopener">disable the feature</a>.</p>
<h2>Cybersecurity experts and regular users still concerned</h2>
<p>Microsoft's promises have not done much to reassure the cybersecurity community or its customers, with <a data-sk="tooltip_parent" data-stringify-link="https://x.com/BleepinComputer/status/1792631130983706926" delay="150" href="https://x.com/BleepinComputer/status/1792631130983706926" rel="noopener noreferrer" target="_blank">our tweet</a> regarding this new feature receiving over 90 comments, all negative.</p>
<p><a href="https://twitter.com/SchizoDuckie/status/1792640796333650342" target="_blank" rel="nofollow noopener"><img alt="Schizoduckie tweet" src="https://www.bleepstatic.com/images/news/Microsoft/windows-11/r/recall/security-concerns/schizo-tweet.jpg"></a></p>
<p>So, why are most cybersecurity experts, researchers, and analysts so worried about this feature?</p>
<p>First and foremost, large companies have a history of exploiting users' data for their own profit, making it <a data-sk="tooltip_parent" data-stringify-link="https://x.com/MegaMarian12350/status/1792642295814082659" delay="150" href="https://x.com/MegaMarian12350/status/1792642295814082659" rel="noopener noreferrer" target="_blank">hard for users to trust Microsoft</a> when they say they won't access the Recall data.</p>
<p>Users are not alone, as the United Kingdom's data protection agency, the Information Commissioner's Office (ICO), is also contacting Microsoft to ensure that users' data will be properly safeguarded and not used by the company.</p>
<p>"We expect organisations to be transparent with users about how their data is being used and only process personal data to the extent that it is necessary to achieve a specific purpose. Industry must consider data protection from the outset and rigorously assess and mitigate risks to peoples' rights and freedoms before bringing products to market," reads a <a href="https://ico.org.uk/about-the-ico/media-centre/news-and-blogs/2024/05/statement-in-response-to-microsoft-recall-feature/" target="_blank" rel="nofollow noopener">press statement</a> from the ICO.</p>
<p>"We are making enquiries with Microsoft to understand the safeguards in place to protect user privacy."</p>
<p>Even if we accept that Microsoft will not access Recall data, there are still massive security and privacy implications with this product.</p>
<p>Microsoft admits that the feature performs no content moderation, meaning it will gobble up anything it sees, including passwords in a password manager or your account numbers on your banking website.</p>
<p>Or if you are in Word, writing a confidential agreement, a screenshot of that content will be created, too. If you have a single PC and share it with others, then you may want to be careful about what pictures or videos you look at, as, guess what, those will be recorded as well.</p>
<p>Yes, you can block apps from being screenshotted by this feature, but most people will just let it run without mucking around with the feature's settings.</p>
<p>All of this information is now stored in Windows 11's semantic index and easily searchable by anyone with access to your PC, whether authorized or not.</p>
<p>That's just the tip of the iceberg, though.</p>
<p>If a threat actor or malware compromised your device, all of this data will already be decrypted by Bitlocker, making it accessible to the hacker. </p>
<p>For example, a threat actor or malware could simply steal a Recall database and upload it to their own servers for analysis. This information could then be used to extort users or potentially breach user's accounts if credentials were exposed.</p>
<p>Cybersecurity expert Kevin Beaumont, known to be an outspoken critic of Microsoft at times, also expressed concern about how this feature creates a massive attack surface, likening it to a keylogger "baked into Windows."</p>
<p>"If you look at what has happened historically with infostealer malware — malicious software snuck onto PCs — it has pivoted to automatically steal browser passwords stored locally," Beaumont explained in a <a href="https://doublepulsar.com/how-the-new-microsoft-recall-feature-fundamentally-undermines-windows-security-aa072829f218" target="_blank" rel="nofollow noopener">new blog post</a>.</p>
<p>"In other words, if a malicious threat actor gains access to a system, they already steal important databases stored locally. They can just extend this to steal information recorded by Copilot's Recall feature."</p>
<p>And it's not only information-stealing malware, as enterprise-targeting malware like TrickBot had previously included modules that would<a href="https://www.bleepingcomputer.com/news/security/trickbot-now-steals-windows-active-directory-credentials/" target="_blank"> steal a domain's Active Directory database</a> for offline cracking of credentials. There is nothing to stop malware from taking a similar approach and stealing the Recall databases as well.</p>
<p>Microsoft has always taken the stance with vulnerabilities and attacks that once a device is compromised, all bets are off, and security boundaries are thrown out the window.</p>
<p>Basically, you got infected or fell for a social engineering attack, so it's your fault all these bad things will happen to you.</p>
<p>However, as Microsoft is one of, if not <strong>the</strong>, largest caretakers of consumer data and computing security, it seems irresponsible to introduce additional risk into an already risky environment.</p>
<p>While we can go on and on expressing how this feature is a massive privacy risk, I will instead leave you with this quote from <a href="https://blogs.microsoft.com/blog/2024/05/03/prioritizing-security-above-all-else/" target="_blank" rel="nofollow noopener">Microsoft's recent pledge</a> to prioritize security above all else.</p>
<p>"If you're faced with the tradeoff between security and another priority, your answer is clear: <strong>Do security</strong>. In some cases, this will mean prioritizing security above other things we do, such as releasing new features or providing ongoing support for legacy systems," Microsoft's CEO Satya Nadella said in an email to Microsoft employees.</p>
<p>"This is key to advancing both our platform quality and capability such that we can protect the digital estates of our customers and build a safer world for all."</p>
<p><em>Update 5/22/24: This article previously said Microsoft is working with Intel and AMD to make all Windows 11 devices compatible, when they are instead working with them to make compatible CPUs.</em></p>
