title: Understanding AuDHD: The Co-Occurence of Autism and ADHD
url: https://www.relationalpsych.group/articles/understanding-audhd-the-co-occurence-of-autism-and-adhd
hash_url: 7f7afbfc0e4528838aadd7db4ba231cb
archive_date: 2024-05-20
og_image: https://assets-global.website-files.com/638a47e8e6837e942b7565f6/663a368c6beeb947832176ca_Understanding%20AuDHD_%20The%20Co-Occurence%20of%20Autism%20and%20ADHD.webp
description: Autism Assessment at Relational Psych involves comprehensive evaluations to diagnose Autism Spectrum Disorders (ASD). Our assessments are conducted by experienced professionals and are tailored to identify the unique needs and strengths of each individual.
favicon: https://assets-global.website-files.com/638a47e8e6837e0de97565b0/63fc2dfc3efb72e41f561cf0_Exclude.png
language: en_US

<p>AuDHD refers to the co-occurrence of Attention Deficit Hyperactivity Disorder (<a href="https://www.relationalpsych.group/tags/adhd">ADHD</a>) and Autism Spectrum Disorder (<a href="https://www.relationalpsych.group/tags/autism">ASD</a>). This term has developed in the last few years within neurodivergent communities to acknowledge the unique experience of having both of these neurodevelopmental conditions. While more people are becoming knowledgeable about the various presentations of ADHD and autism, the interaction of these conditions is still under researched. By building greater awareness of the frequency with which ADHD and autism co-occur and understanding of the ways in which traits and symptoms overlap, perhaps more people who identify with these experiences can find clarity and direction for care.</p><figure style="max-width:2166pxpx" class="w-richtext-align-fullwidth w-richtext-figure-type-image"><div><img src="https://assets-global.website-files.com/638a47e8e6837e942b7565f6/663a368c6beeb947832176ca_Understanding%20AuDHD_%20The%20Co-Occurence%20of%20Autism%20and%20ADHD.webp" loading="lazy" alt=""/></div></figure><div class="w-embed"></div><h2>Differentiating ADHD, Autism, and AuDHD</h2><p>To understand the nature of AuDHD, it is important to understand the aspects of ADHD and autism that are unique to each neurotype.</p><p>ADHD is characterized by differences in attention, executive functioning, reward-seeking, and activity levels.</p><ul role="list"><li>Traits that are common with ADHD include:<ul role="list"><li>Tendencies to hyperfocus on a wide-range of interests, some of which may be long-lasting while many are maintained intensely for a shorter period of time before finding a new interest</li><li>Needing movement, fidgeting, or stimming to assist with maintaining focus and regulating emotion</li><li>Changes in attention regulation depending on the level of interest in the subject or urgency inherent to the tasksome text<ul role="list"><li>This can look like the individual becoming bored easily, craving novelty, or having a strong ability to respond quickly and calmly in crisis situations</li></ul></li><li>Impact to working memory and processing speed</li><li>Social interactions impacted by impulsivity and differences in focus</li><li>Difficulties switching focus leading to challenges with transitioning between tasks</li></ul></li></ul><p>Autism is characterized by differences in social interaction, information processing, communication, sensory processing, and behavior. </p><ul role="list"><li>Traits that are common with autism include:<ul role="list"><li>Hyper and/or hypo-awareness of sensory information. The level of sensitivity an autistic individual can also vary depending on factors like stress and sleep.</li><li>Difficulty identifying and naming feelings or associating physical sensations with emotions</li><li>Tendencies to hyperfocus on a few interests for an extended period of time</li><li>Preference for interpersonal connection through interests</li><li>Pattern recognition</li><li>Tendencies toward concrete or literal thinking</li><li>Preference for direct and precise communication</li><li>Benefiting from routine, order, and clear expectations, particularly when under stress or when demands are made of them</li><li>Impacted motor skills</li><li>Differences in verbal and non-verbal communication</li><li>Highly developed sense of morality and justice</li><li>Needing time alone </li></ul></li></ul><p>There are many traits and behaviors common to both ADHD and autism, including stimming, <a href="https://www.relationalpsych.group/articles/understanding-rejection-sensitive-dysphoria-and-its-connection-to-adhd">emotional sensitivity</a>, being driven by interests, difficulties with executive functions, impacted processing speed, and differences with interoception, perception of time, and non-linear ways of learning. Additionally, having asynchronous development over childhood is often associated with both ADHD and autism. </p><p>AuDHD represents a blend of ADHD and autistic traits, leading to unique experiences and challenges. When the underlying needs of ADHD and autism interact, it can feel like a tug of war for the AuDHDer - Do I need routine or spontaneity? Newness or familiarity? Busyness or a steady pace? Though these examples are quite simplistic, they illustrate the internal confusion of the AuDHDer attempting to address their needs. </p><p>The presentation of AuDHD is highly variable, and still understudied, but here are some examples of common AuDHD experiences:</p><ul role="list"><li>Being highly organized to compensate for internal disorganization, or, being easily overwhelmed by mess or disorganization while struggling to keep things in order</li><li>Frequently burning out from busyness and social overwhelm, but still struggling to slow down and keep a sustainable pace</li><li>Cyclical patterns with energy, experiencing big bursts of energy followed by a crash</li><li>Impulsively making changes and then experiencing significant anxiety due to the change and struggling to adjust</li><li>Regularly creating new routines they attempt to stick to</li><li>Seeking out new things, but only with familiar people or while completing things in a familiar process</li><li>Specific interests may routinely change topic or theme</li><li>Coming up with new ways of doing the same task, allowing them to experience something new while minimizing their anxiety around change<a href="https://autisticgirlsnetwork.org/audhd/"><sup>[1]</sup></a></li></ul><p>Having both ADHD and autism can lead to the traits of each condition masking each other. When an AuDHDer does not present as typically autistic or typically ADHD, it can make it more challenging for providers, <a href="https://www.relationalpsych.group/articles/self-advocacy-strategies-for-neurodivergent-adults">employers</a>, teachers, or family members to catch onto their true diagnoses. </p><h2>Diagnostic Challenges and Approaches</h2><p>Until 2013, clinical guidelines stated that autism and ADHD could not be diagnosed simultaneously, indicating the long-held belief that an individual could be autistic or have ADHD, but not both. While this may have maintained clarity between diagnostic categories, this practice also led to many neurodivergent individuals receiving no or incomplete diagnoses due to the non-”typical” presentation of their symptoms. A study by researchers at Duke University found that up to 50% of people diagnosed autistic also exhibit ADHD symptoms and that characteristics of autism are present in two-thirds of people diagnosed with ADHD.<a href="https://doi.org/10.1007/s13311-012-0126-9"><sup>[2]</sup></a></p><p>Some researchers posit that the experience identified as AuDHD may not be the co-occurence of autism and ADHD, but may describe increased severity of an attentional trait present in all autistic individuals. From this perspective, the differences in attention found in AuDHD-identified people may be affected by heightened attentional abilities present in autism (too much attention to internal and external stimuli), rather than the “attention deficit” of ADHD (too little regulation of attention). These researchers call for more nuanced analysis of the neuropsychological features present in these conditions to clarify their relationship and to optimize treatment approaches.<a href="https://doi.org/10.3389/fpsyt.2022.837424"><sup>[3]</sup></a></p><p>As indicated by the differences in diagnostic perspectives represented above, <a href="https://www.relationalpsych.group/articles/how-to-get-tested-for-adult-adhd">diagnosing both autism and ADHD</a> can be complex. However, it is invaluable for AuDHDers to have both their autistic and ADHD experiences acknowledged, understood, respected, and addressed. Many AuDHDers find diagnostic clarity through extensive personal research and involvement with neurodivergent communities. Others find comprehensive evaluations with mental health professionals to be the tool most useful for finding clarity and direction for care. For many, the decision of which route to go is highly dependent on their need for and ability to access specific services, which of can require a formal diagnosis, and the extent to which they feel they are able to parse out their experiences independently.</p><h2>Treatment Considerations for AuDHD</h2><p>AuDHD typically requires a highly individualized approach as the needs and experiences of AuDHDers vary greatly. For those interested in psychotherapy for support, it can be important to seek out a therapist who is neurodiversity-affirming and familiar with adult presentations of autism and ADHD. Neurodiversity-affirming therapy varies based on the therapeutic modality of the clinician and often can assist with building self-understanding, integrating AuDHD identity, addressing emotional, physical, and relational needs, and developing strategies for advocating for and accommodating oneself in various aspects of life. Neurodivergent coaching can be particularly beneficial for those seeking non-clinical, practical understanding and ideas tailored to their unique needs. </p><p>For AuDHDers interested in pursuing medication to assist with managing certain symptoms or co-occurring concerns, such as anxiety or depression, a personalized and nuanced approach is also needed. Working with a medication provider familiar with the nuances of both autism and ADHD can help with addressing the unique needs of AuDHDers. Some ADHD medications have been shown to be helpful in treating the overlap of symptoms of AuDHD, particularly those centered on attention and activity level, while some neuroleptic medications that act upon dopamine receptors in the nervous system can assist with irritability and stimming-related self-injury. Research has shown that certain stimulants, including amphetamine and methylphenidate, can be less effective and cause more side effects when taken by AuDHDers than when they are used to treat ADHD alone.<a href="http://chadd.org/about-adhd/adhd-and-autism-spectrum-disorder/"><sup>[4]</sup></a> </p><h2>Conclusion</h2><p>Understanding the intersection of ADHD and autism is essential for the accurate diagnosing and most beneficial support for AuDHDers. Because the needs and challenges of ADHD and autism present uniquely when combined, the awareness and recognition of interacting traits can provide much needed insight and open up new avenues for accommodations, services, and support. </p><p>A few resources for continuing to learn about AuDHD include:</p><ul role="list"><li><a href="https://neurodivergentinsights.com/">Neurodivergent Insights</a></li><li><a href="https://autisticadvocacy.org/">Autistic Self-Advocacy Network</a></li><li><a href="https://www.relationalpsych.group/services/seattle-psychological-assessment">Comprehensive psychological assessment in Seattle from Relational Psych</a></li></ul><h2>Common Questions About AuDHD</h2><h3>What is AuDHD?</h3><p>AuDHD refers to the co-occurrence of <a href="https://www.relationalpsych.group/tags/adhd">Attention Deficit Hyperactivity Disorder (ADHD)</a> and <a href="https://www.relationalpsych.group/tags/autism">Autism Spectrum Disorder (ASD)</a>. It describes the unique experience of having traits and symptoms of both neurodevelopmental conditions.</p><h3>How common is it to have both ADHD and autism?</h3><p>Research suggests that up to 50% of people diagnosed with autism also exhibit ADHD symptoms, and characteristics of autism are present in two-thirds of people diagnosed with ADHD.</p><h3>What are some common traits of AuDHD?</h3><p>Common AuDHD traits include a blend of ADHD and autistic characteristics, such as hyperfocus on interests, difficulty with transitions, sensory sensitivities, impulsivity, and challenges with social interactions.</p><h3>How is AuDHD diagnosed?</h3><p>Diagnosing AuDHD can be complex due to the overlapping symptoms of ADHD and autism. Some individuals find clarity through personal research and involvement with <a href="https://www.relationalpsych.group/categories/neurodivergence">neurodivergent</a> communities, while others benefit from comprehensive evaluations with <a href="https://www.relationalpsych.group/services/seattle-psychological-assessment">mental health professionals</a>.</p><h3>What treatment options are available for AuDHD?</h3><p>Treatment for AuDHD typically involves a personalized approach that may include <a href="https://www.relationalpsych.group/services/seattle-individual-psychotherapy">psychotherapy</a>, neurodiversity-affirming support, and sometimes <a href="https://www.relationalpsych.group/tags/medication">medication</a> to manage specific symptoms or co-occurring concerns like <a href="https://www.relationalpsych.group/categories/depression">anxiety or depression</a>.</p><h3>Where can I find more information about AuDHD?</h3><p>Resources for learning more about AuDHD include <a href="https://neurodivergentinsights.com/">Neurodivergent Insights</a> and the <a href="https://autisticadvocacy.org/">Autistic Self-Advocacy Network</a>.</p>
