title: We need more calm companies
url: https://justinjackson.ca/calm-company
hash_url: 944899e3cafa6019bd2f285284a14dd7
archive_date: 2024-04-18
og_image: https://justinjackson.ca/assets/calm-companies.png
description: Calm companies are profitable, value freedom, have a purpose, and improve the team's lives. Frenzied companies are crisis-driven.
favicon: https://justinjackson.ca/img/asset/bWFpbi9icnV0YWwvanVzdGluLWphY2tzb24tZG90cy1jaXJjbGUucG5n?w=32&h=32&s=84e63e02be5161c4fdb75e2f8304ae35
language: en

<p>It's been hard to watch the recent layoffs in the tech industry. Seeing so many good people being let go has been heartbreaking.</p><p>Getting laid off doesn’t just rattle your career; it shakes the very foundation of your life. I've seen friends lose their jobs and go into an existential tailspin. It's not uncommon for them to blame themselves and to feel immense guilt and shame. The experience is especially hard on parents whose families depend on them for income.</p><h2>An inevitable outcome of a flawed system</h2><p>Layoffs are inevitable during a company's lifespan. But seeing startups cut 20-30% of their workforce feels especially cruel in light of the aggressive hiring they did during the pandemic.</p><p>The recent tech layoff spree was a result of following the wrong incentives. Investors had flooded the market with cash and told companies to hire aggressively. Growth took precedence over profitability. Then, capital dried up, and companies started thrashing. Their response was to fire large groups of people in a hasty and unthought-out manner.</p><p>This is a sad reality of corporations optimizing for investor returns: the people who work on and buy the product suffer. Good employees are fired, and useful products are shut down.</p><p>This chaos has reaffirmed my belief that we need more <strong>calm companies.</strong></p><h2>Calm Company definition</h2><p>On the <a href="https://lnk.to/73fDM7">​Pathless Path podcast</a>, Paul Millard asked me to define "calm company:"</p>

<p>A calm company's purpose is to provide exceptional service to customers while simultaneously improving the lives of the people who work there.</p><p>By default, a calm company is profitable. Those profits give a calm company its resilience: there's no last-minute scramble to meet payroll or earn a last-minute sale to keep the business afloat. The company has enough financial margin to weather economic storms.</p><p>Moreover, calm companies are fun to work for. The work is usually interesting and enjoyable. The team has been carefully selected, and there's a good vibe in meetings. </p><p>Calm companies provide meaningful work, healthy interactions, and flexibility for people's lives. If your kid is home sick, you can set work aside and take care of them. If it's a beautiful day, you can go for a run on the beach. </p><h3>Here is my list of Calm Company attributes:</h3><ol><li><p><strong>Profitable</strong>: Calm Companies have a strong financial engine working with <a href="https://justinjackson.ca/margin">good margins</a>. This foundation enables everything else.</p></li><li><p><strong>Purpose</strong>: Calm Companies have a strong sense of purpose: "What are we building this company for?" Generally, there's an internal purpose: "to improve the lives of the people working here," and an external purpose: "to help more creators get their message into the world."</p></li><li><p><strong>Freedom and Flexibility</strong>: As founders, we build businesses to give us more freedom. A Calm Company gives team members the flexibility to live well, pursue hobbies, exercise, take breaks, go on trips, and connect with family and friends.</p></li><li><p><strong>Fun: </strong>Calm Companies produce more opportunities for fun. "What if we ran this event?" "What if we went on a team retreat in the mountains?" "What if we put an easter egg on our website that plays a silly song?" "What if we made some fun stickers?"</p></li><li><p><strong>Mindful: </strong>At a Calm Company, decisions and commitments are made mindfully. We ask: will this decision make our lives worse? More stressful? Does it align with our values? Will this commitment add too much weight to our culture?</p></li><li><p><strong>Sustainable Growth</strong>: Calm Companies want to grow but at a sustainable pace. Growth should serve a higher purpose. Ambition is good, but not at the expense of well-being.</p></li><li><p><strong>Calm Work Environment</strong>: Stress and chaos are replaced with clear work goals, boundaries, and communication.</p></li></ol><h2>Contrast: the Frenzied Company</h2><p>Let's contrast the idea of a Calm Company with that of a Frenzied Company.</p><p>A frenzied company is perpetually in crisis. They have a culture of impossible deadlines and unrealistic expectations.</p><p>Managers pressure employees to constantly be "on" and "available," even after work hours.</p>

<p>An implicit—or sometimes explicitly stated—threat hangs over everyone’s head: "If things don’t turn around, jobs will be lost."</p><p>Managers frequently dump their stress and anxiety on their staff. Employees regularly find themselves absorbing negative emotions from work. They come home feeling drained and overwhelmed.</p><p>Financially, frenzied companies aren't profitable (or have bad margins). They need a constant cash infusion (investment or debt) to keep the lights on. </p><p>Founders at frenzied companies believe pushing harder and working longer will lead to success. But often, the business's underlying structure is rotten. The fundamentals are bad and unlikely to improve. They can't overcome the weight of a bad business model, poor margins, and out-of-control spending.</p><p>The frenzied company is a cautionary tale. The path to success isn't to "grind harder," but rather to:</p><h2>My story of calm</h2><p>When Jon and I started <a href="https://transistor.fm/?via=justin">​Transistor</a>, we were in our late thirties. We'd worked for venture-funded companies, experienced layoffs, and felt the squeeze. We asked each other: "Why are we building this business? What's this in service of?" Our conclusion was to <strong>design the company to improve our lives</strong>.</p>

<p>To do that, we needed a strong <a href="https://justinjackson.ca/the-market/">financial engine</a>. That's not easy to find (and it takes a bit of luck). But once we had one, we had the power to shape our lives through our decisions: How much <a href="https://justinjackson.ca/margin">financial margin</a> would we keep in the business? How much margin for our time? What about leaving margin for our physical and emotional health?</p><p>Building a calm company has meant saying no to opportunities that don't align with our values. We've purposefully declined complicated enterprise contracts that would require us to staff up, add more compliance, and sign complicated legal contracts. We try not to commit to projects that burn us out. We've prioritized doing work that we enjoy and that brings customers value.</p><p>The world needs more indie entrepreneurs building calm businesses. We won't get more calm from publicly traded companies or the over-funded venture-backed class. It's going to come from the next crop of small, purposefully built, indie startups with healthy margins.</p><p>Cheers,<br>Justin Jackson<br><br>Connect with me on:<br>💼 <a href="https://www.linkedin.com/in/justinijackson/">LinkedIn</a><br>🐘 <a href="https://mastodon.social/@mijustin">Mastodon</a><br>🧵 <a href="https://www.threads.net/@mijustin">Threads</a><br>🐦 <a href="https://twitter.com/mijustin">Twitter</a></p>
